<?php
/**
 * Post author template part.
 *
 * 🚫🚫🚫
 * DO NOT EDIT THIS FILE WHILE INSIDE THE PLUGIN! Changes You make will be lost when a new version
 * of the AMP plugin is released. You need to copy this file out of the plugin and put it into your
 * custom theme, for example. To learn about how to customize these Reader-mode AMP templates, please
 * see: https://amp-wp.org/documentation/how-the-plugin-works/classic-templates/
 * 🚫🚫🚫
 *
 * @package AMP
 */

/**
 * Context.
 *
 * @var AMP_Post_Template $this
 */

$post_author = $this->get( 'post_author' );
?>

<div class="amp-wp-post-meta">
	<div class="amp-wp-post-meta-left">
		<?php if(kanews_get_option('amp-post-author') == true): ?>
			<span class="amp-wp-author">
				<?php if ( function_exists( 'get_avatar_url' ) ) : ?>
					<div class="amp-wp-author-avatar">
						<?php echo kanews_user_avatar($post_author->user_email, 40, 'disable'); ?>
					</div>
				<?php endif; ?>
				<span class="amp-wp-author author vcard"><?php echo esc_html( $post_author->display_name ); ?></span>	
			</span>
		<?php endif; ?>
		<?php if(kanews_get_option('amp-post-published') == true): ?>
			<span class="posted-on">Yayınlanma: <time datetime="<?php echo esc_attr( gmdate( 'c', $this->get( 'post_publish_timestamp' ) ) ); ?>">
				<?php echo get_the_date('j F Y, H:i'); ?>
			</time></span>	
		<?php endif; ?>								
	</div>
	<?php if(kanews_get_option('amp-post-updated') == true): ?>
		<div class="amp-wp-post-meta-right">
			<span class="updated-on"><time datetime="<?php echo esc_attr( gmdate( 'c', $this->get( 'post_modified_timestamp' ) ) ); ?>"><?php printf( __( 'Güncelleme: %s', 'amp' ), get_the_modified_date('j F Y, H:i') ); ?></time></span>
		</div>
	<?php endif; ?>
</div>