<?php

if(kanews_get_option('amp-related') != true)
return false;

$cat = wp_get_post_categories( get_the_ID() );

$args_query = array(
	'order'          => 'DESC',
	'post__not_in'   => array( get_the_ID() ),
	'category__in'   => $cat,
	'orderby'        => 'rand',
	'posts_per_page' => kanews_get_option('amp-related-count'),
);

$query = new WP_Query( $args_query );

if( $query->have_posts() ) {
	?>
    <div class="amp-wp-section">
			<?php echo kanews_widget_title(kanews_translate('related-posts-text', esc_html__('Benzer Haberler', 'kanews'))); ?>
			<div class="amp-wp-related-posts row">
				<?php
				while ( $query->have_posts() ) {
					$query->the_post(); global $post; ?>
					<div class="col-6 col-md-4">
						<article class="kanews-post-item">
							<?php kanews_amp_post_thumbnail(); ?>
							<div class="kanews-post-content">
								<a href="<?php echo amp_get_permalink(get_the_ID()); ?>" title="<?php the_title(); ?>" class="amp-wp-related-post-title kanews-post-headline">
								<?php the_title(); ?>
								</a>
							</div>
						</article>
					</div>
				<?php } ?>
      </div>
    </div>
	<?php
}

wp_reset_postdata();
?>