<?php
/**
 * The template for displaying author archive pages
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @package Kanews
 * @since 1.0.0
 */
$curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));
get_header();
?>

<?php do_action('kanews_header_ad'); ?>

<main id="main" class="site-main">
	 <div class="container">
		 <div class="row">
		 	<div class="kanews-widget-area kanews-widgets-content">

       <div class="col-12 col-md-4 kanews-sticky">
					<div class="kanews-section">
						<div class="kanews-profile-card">

							<div class="kanews-profile-header d-flex align-items-end">
							<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $curauth->ID ) ); ?>" class="kanews-panel-user-avatar"> 
								<?php echo kanews_user_avatar(get_the_author_meta('ID', $curauth->ID),'90'); ?>
							</a>
							<div class="kanews-profile-nick">
									<div class="display_name"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $curauth->ID ) ); ?>"><?php the_author_meta('display_name', $curauth->ID); ?> <?php echo KANEWS_INSIGHTS::user_badge($curauth->ID); ?></a></div>
								</div>
							</div>
							<div class="kanews-profile-badges">
							<?php echo user_badge($curauth->ID); ?>
							</div>

							<div class="kanews-profile-content">
								<?php if(get_the_author_meta('description', $curauth->ID)): ?>
									<p><?php the_author_meta('description', $curauth->ID); ?></p>
								<?php endif; ?>
								<div class="kanews-article-share">
									<?php $twitter = get_the_author_meta('twitter_profile', $curauth->ID); if($twitter): ?> <a rel="external nofollow noopener" target="_blank" class="social-link bg-twitter" href="https://www.twitter.com/<?php echo $twitter; ?>"><i class="icon-twitter"></i></a><?php endif; ?>
									<?php $facebook = get_the_author_meta('facebook_profile', $curauth->ID); if($facebook): ?><a rel="external nofollow noopener" target="_blank" class="bg-facebook" href="https://www.facebook.com/<?php echo $facebook; ?>"><i class="icon-facebook"></i></a> <?php endif; ?>
									<?php $instagram = get_the_author_meta('instagram_profile', $curauth->ID); if($instagram): ?><a rel="external nofollow noopener" target="_blank" class="bg-instagram" href="https://www.instagram.com/<?php echo $instagram; ?>"><i class="icon-instagram"></i></a> <?php endif; ?>
									<?php $linkedin = get_the_author_meta('linkedin_profile', $curauth->ID); if($linkedin): ?><a rel="external nofollow noopener" target="_blank" class="bg-linkedin" href="https://www.linkedin.com/<?php echo $linkedin; ?>"><i class="icon-linkedin"></i></a> <?php endif; ?>
									<?php $youtube = get_the_author_meta('youtube_profile', $curauth->ID); if($youtube): ?><a rel="external nofollow noopener" target="_blank" class="bg-youtube" href="https://www.youtube.com/channel/<?php echo $youtube; ?>"><i class="icon-video"></i></a> <?php endif; ?>
									<?php if (current_user_can('administrator')): ?>
										<?php $mail = get_the_author_meta('user_email', $curauth->ID); if($mail): ?> <a class="bg-dark" href="mailto:<?php echo $mail; ?>"><i class="icon-mail-forward"></i></a> <?php endif; ?>
									<?php endif; ?>
								</div>
							</div>
							<ul class="kanews-profile-statistics d-flex flex-wrap no-gutters">
								<li class="kanews-profile-statistic col">
									<span class="kanews-profile-statistic-label"><?php esc_html_e( 'Yazı Sayısı', 'kanews' ); ?></span>
									<span class="kanews-profile-statistic-value"><?php echo count_user_posts( $curauth->ID ); ?></span>
								</li>
								<li class="kanews-profile-statistic col">
								<span class="kanews-profile-statistic-label"><?php esc_html_e( 'Yorum Sayısı', 'kanews' ); ?></span>
									<span class="kanews-profile-statistic-value"><?php echo kanews_get_comments_count_by_user($curauth->ID)?></span>
								</li>
							</ul>
		
						</div>
					</div>
				</div>

        <div class="col-12 col-lg-8">
					<?php $title = get_the_author_meta('display_name', $curauth->ID).' Yazıları'; ?>
					<div class="row">
						<?php 
							kanews_recent_posts('author', $title, 'h1'); 
						?>
					</div>
				 </div>

		 	</div>
		 </div>
	 </div>
 </main>

<?php get_footer(); ?>