<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Kanews
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
	$login = '';
	if(!is_user_logged_in() && kanews_get_option('login-system') == true) {
		// $login_link = kanews_account_page_url();
		$login = '<a class="kanews-btn kanews-btn-sm kanews-btn-o" data-toggle="kanews-modal-login">'.esc_html__( 'Giriş Yap', 'kanews' ).'</a>';
	}
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );
	$fields = array (
		'author' => '<div class="kanews-form"><input id="author" class="comment-input" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .'" size="30"' . $aria_req . ' /><span class="highlight"></span><span class="bar"></span><label for="author">' . __( 'Adınız', 'kanews' ) .( $req ? '<span class="required color-danger"> *</span>' : '' ) . '</label>' .'</div>',
  	'email' => '<div class="kanews-form"><input id="email" class="comment-input" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .'" size="30"' . $aria_req . ' /><span class="highlight"></span><span class="bar"></span><label for="email">' . __( 'E-Posta', 'kanews' ) . ( $req ? '<span class="required color-danger"> *</span>' : '' ) . '</label>' .'</div>',
		'cookies' => false
	);
	$args = array(
		'id_form'           => 'commentform',
		'class_form'        => 'comment-form',
		'id_submit'         => 'submit',
		'class_submit'      => 'kanews-btn kanews-btn-sm',
		'submit_button'     => '<div class="kanews-btn-group"><button name="%1$s" type="submit" id="%2$s" class="%3$s">%4$s</button>'.$login.'</div>',
		'name_submit'       => 'submit',
		'title_reply'       => '<label>'.__( 'Bir Cevap Yaz', 'kanews' ).'</label>',
		'title_reply_to'    => __( 'Bir Cevap Yaz %s', 'kanews' ),
		'cancel_reply_link' => __( 'İptal', 'kanews' ),
		'label_submit'      => __( 'Yorum Gönder', 'kanews' ),
		'title_reply_before'=> '<div class="kanews-section-heading kanews-section-flat-heading"><h3 class="kanews-section-headline"><span>',
		'title_reply_after' => '</span></h3></div>',
		'format'            => 'xhtml',
		'must_log_in'  => 'asdas',
		'comment_field'     =>  '<div class="kanews-form"><textarea class="comment-input" id="comment" name="comment" cols="45" rows="4" aria-required="true" required>' .'</textarea><span class="highlight"></span><span class="bar"></span><label for="comment">' . _x( 'Yorumunuz', 'kanews' ) .'</label></div>',
		'fields' 					  => apply_filters( 'comment_form_default_fields', $fields ),
	);
?>
<div id="comments" class="comments-area kanews-section-box">

	<?php if ( comments_open() && kanews_get_option('show-post-comments') == false ) :
		comment_form($args);
		if ( have_comments() ) : $count = get_comments_number( $post->ID ); ?>
			<div class="comments-list">
				<?php if(kanews_get_option('show-popular-comments') == true):
					$modify_args = array(
						'orderby'  => 'meta_value_num',
						'meta_key' => '_comment_like_count',
						'number'   => kanews_get_option('popular-comments-count'),
						'post_id'  => get_the_ID(),
						'order'    => 'DESC',
						'status'   => 'approve',
					);
					$popular_comments = get_comments( $modify_args );
					if ( $popular_comments && $count > 1): $args2['max_depth'] = '1'; ?>
						<h3 class="comments-title mt-3"><?php echo kanews_translate('popular-comments-title', esc_html_e( 'Öne Çıkan Yorumlar', 'kanews' )); ?></h3>
						<ol class="comment-list">
							<?php foreach ( $popular_comments as $comment ) : 
								kanews_get_comment($comment, $args2, '1');
							endforeach; ?>
						</ol>
						<div class="empty-height" style="height: 50px"></div>
					<?php endif;
				endif; ?>

				<?php $title = sprintf(esc_html__( ' %s Yorum', 'kanews' ), $count); ?>
				<div class="d-flex">
					<h3 class="comments-title"><?php echo $title; ?></h3>
					<div class="kanews-dropdown">
						<div data-toggle="kanews-dropdown-comments-order-<?php echo $post->ID; ?>" class="kanews-dropdown-item"><i class="icon-menu2 icon-3x"></i></div>
						<div id="kanews-dropdown-comments-order-<?php echo $post->ID; ?>" class="kanews-dropdown-content">
							<ul>
								<li class="kanews-dropdown-title"><?php esc_html_e( 'Yorumların Sıralanışı', 'kanews' ); ?></li>
								<li><a href="<?php the_permalink( $post->ID ); ?>?comments_order=asc"><?php esc_html_e( 'Yeniden Eskiye', 'kanews' ); ?></a></li>
								<li><a href="<?php the_permalink( $post->ID ); ?>?comments_order=desc"><?php esc_html_e( 'Eskiden Yeniye', 'kanews' ); ?></a></li>
							</ul>
						</div>
					</div>
				</div>
				<?php the_comments_navigation(); ?>
				<ol class="comment-list">
					<?php wp_list_comments(array('callback' => 'kanews_list_comments')); ?>
				</ol>
				<?php
				the_comments_navigation();
				if ( ! comments_open() ) :
					?>
					<p class="no-comments"><?php esc_html_e( 'Yorumlar kapalı.', 'kanews' ); ?></p>
					<?php
				endif; ?>
			</div>
	<?php endif;
	else: ?>
		<p class="no-comments"><?php esc_html_e( 'Yorumlar kapalı.', 'kanews' ); ?></p>
	<?php endif; ?>
	

</div><!-- #comments -->
