<?php

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

if( ! class_exists( 'KANEWS_ADVERTISEMENT' ) ) {

	class KANEWS_ADVERTISEMENT {

		function __construct() {
      add_action('kanews_header_ad', array($this, 'ad_header_above'));
      add_action('kanews_footer', array($this, 'ad_left_side'), 1);
      add_action('kanews_footer', array($this, 'ad_right_side'), 1);
      add_action('kanews_footer', array($this, 'ad_footer_above'), 1);
      add_action('kanews_entry_above', array($this, 'ad_single_below'));
      add_action('kanews_entry_below', array($this, 'ad_single_above'));
      add_action('kanews_entry_meta_below', array($this, 'ad_single_meta_below'));
      add_action('kanews_entry_comment_above', array($this, 'ad_single_comment_above'));
      add_filter('the_content', array($this, 'ad_single_anywhere'));
      add_shortcode('kanews-ad', array($this, 'ad_shortcode'));

      add_action('amp_post_template_body_open', array($this, 'ad_amp_auto'));
      add_action('amp_header', array($this, 'ad_amp_header_below'));
      add_action('amp_footer', array($this, 'ad_amp_footer_above'));
      add_action('amp_article_above', array($this, 'ad_amp_single_above'));
      add_action('amp_article_below', array($this, 'ad_amp_single_below'));
    }

    function ad($id, $before = NULL, $after = NULL, $echo = true) {
      $code = kanews_get_option($id) ? kanews_get_option($id) : '';
      $switch = kanews_get_option($id.'-switch');

      if(!$code || $switch == false ||  kanews_insights_control(get_current_user_id()) == true )
      return false;

      if($echo == false)
      return $before.$code.$after;

      echo $before.$code.$after;
    }
    
    function ad_header_above() {
      $this->ad('ad-header', '<div class="container"><div class="kanews-banner kanews-banner-header-above">', '</div></div>');
    }

    function ad_footer_above() {
      $this->ad('ad-footer', '<div class="container"><div class="kanews-banner kanews-banner-footer-below">', '</div></div>');
    }

    function ad_left_side() {
      $this->ad('ad-left-side', '<div class="kanews-banner-left-side"><div class="kanews-banner">', '</div></div>');
    }

    function ad_right_side() {
      $this->ad('ad-right-side', '<div class="kanews-banner-right-side"><div class="kanews-banner">', '</div></div>');
    }

    public static function ad_archives($style,$counter) {
      if(kanews_insights_control(get_current_user_id()) == true )
      return false;

      switch($style) {
        case '1':
          $col = 'col-12 toinfinite';
          $item = 'kanews-post-item kanews-post-list-item';
        break;
        case '2':
          $col = 'col-12 col-md-6 toinfinite';
          $item = 'kanews-post-item kanews-post-grid-item';
        break;
        case '3':
          $col = 'col-6 col-lg-4 toinfinite';
          $item = 'kanews-post-item kanews-post-grid-item';
        break;
        case '4':
          $col = 'col-12 toinfinite';
          $item = 'kanews-post-item kanews-post-big-item';
        break;
        case '5':
          $col = 'col-12 toinfinite';
          $item = 'kanews-post-item kanews-post-special-item';
        break;
      }

      if($counter == 1) {
        if(kanews_get_option('ad-archieve-second-switch') == true && kanews_get_option('ad-archieve-second') != '')
        echo '<div class="'.$col.'"><div class="kanews-banner kanews-banner-archieve-item">'.kanews_get_option('ad-archieve-second').'</div></div>';
      } elseif($counter == 4) {
        if(kanews_get_option('ad-archieve-fifth-switch') == true && kanews_get_option('ad-archieve-fifth') != '')
        echo '<div class="'.$col.'"><div class="kanews-banner kanews-banner-archieve-item">'.kanews_get_option('ad-archieve-fifth').'</div></div>';
      } else {
        return false;
      }
    }

    function ad_single_above() {
      global $post;
      if(get_post_meta( $post->ID, 'show_post_ads', true ) == 'off')
      return false;
      $this->ad('ad-single-above', '<div class="kanews-banner kanews-banner-single">', '</div>');
    }

    function ad_single_below() {
      global $post;
      if(get_post_meta( $post->ID, 'show_post_ads', true ) == 'off')
      return false;
      $this->ad('ad-single-below', '<div class="kanews-banner kanews-banner-single">', '</div>');
    }

    function ad_single_meta_below() {
      global $post;
      if(get_post_meta( $post->ID, 'show_post_ads', true ) == 'off')
      return false;
      $this->ad('ad-single-meta-below', '<div class="kanews-banner kanews-banner-single kanews-banner-single-meta mb-0">', '</div>');
    }

    function ad_single_comment_above() {
      global $post;
      if(get_post_meta( $post->ID, 'show_post_ads', true ) == 'off')
      return false;
      $this->ad('ad-single-comment-above', '<div class="kanews-banner kanews-banner-footer-below">', '</div>');
    }

    function ad_single_anywhere( $content ) {
      global $post;
      if(get_post_meta( $post->ID, 'show_post_ads', true ) == 'off')
      return $content;
      $ad_position = kanews_get_option('ad-single-amid-limit');
      $code = kanews_get_option('ad-single-amid') ? kanews_get_option('ad-single-amid') : '';
      $switch = kanews_get_option('ad-single-amid-switch');

      if($code && $switch == true && kanews_insights_control(get_current_user_id()) == false )
        return $this->ad_single_insert( '<div class="kanews-banner kanews-banner-single">'.$code.'</div>', $ad_position, $content );
      else 
        return $content;
    }

    function ad_single_insert( $insertion, $paragraph_id, $content ) {
      global $post;
      if(get_post_meta( $post->ID, 'show_post_ads', true ) == 'off')
      return $content;
      $closing_p = '</p>';
      $paragraphs = explode( $closing_p, $content );
      foreach ($paragraphs as $index => $paragraph) {
        if ( trim( $paragraph ) ) {
          $paragraphs[$index] .= $closing_p;
        }
        if ( $paragraph_id == $index + 1 ) {
          $paragraphs[$index] .= $insertion;
        }
      } 
      return implode( '', $paragraphs );
    }

    function ad_shortcode( $atts, $content = null ) {
      global $post;
      if(get_post_meta( $post->ID, 'show_post_ads', true ) == 'off')
      return false;
      if( is_array( $atts ) ) extract($atts);
      $out = $this->ad('ad-single-shortcode', '<div class="kanews-banner kanews-banner-single">', '</div>', false);
      return $out;
    }

    function ad_amp_header_below() {
      $this->ad('amp-ad-header', '<div class="kanews-banner">', '</div>');
    }
    function ad_amp_footer_above() {
      $this->ad('amp-ad-footer', '<div class="kanews-banner">', '</div>');
    }
    function ad_amp_single_above() {
      $this->ad('amp-ad-single-above', '<div class="kanews-banner">', '</div>');
    }
    function ad_amp_single_below() {
      $this->ad('amp-ad-single-below', '<div class="kanews-banner">', '</div>');
    }
    function ad_amp_auto() {
      $this->ad('amp-ads-auto');
    }
    
  }
  
  $KANEWS_ADVERTISEMENT = new KANEWS_ADVERTISEMENT();
}