<?php 

class KANEWS_API {
	public function __construct() {
		$this->namespace = 'kanews/api';
		add_action( 'rest_api_init', array( $this, 'register_routes' ) );
	}
	
	function register_routes() {
		register_rest_route( $this->namespace, '/covid', array(
			'methods'  => WP_REST_Server::READABLE,
			'callback' => array( $this, 'license' ),
			'permission_callback' => '__return_true', // wp 5.5
		) );
	}
	
	public function license( $request ) {
    $params = $request->get_params();
		$args = array(
			'timeout' => '20',
			'sslverify' => false // for localhost
		);
		$response = wp_remote_get( 'https://api.covid19api.com/summary', $args );
		if( is_wp_error( $response ) ) {
			return $params;
		}
		$body = wp_remote_retrieve_body( $response );
		$data = json_decode($body, true);
		$params[] = $data;
		return $params;
	}

}
$KANEWS_API = new KANEWS_API;