<?php

defined( 'ABSPATH' ) || exit; // Exit if accessed directly


if( ! class_exists( 'KANEWS_CURRENCIES' ) ) {

	class KANEWS_CURRENCIES {

    var $option = 'kanews_currencies';

		function __construct() {
      add_filter( 'switch_theme', array($this, 'clear_scheduled') );
      add_action( 'kanews_currencies', array($this, 'update') );		
      
      if ( !wp_next_scheduled( 'kanews_currencies' ) ) {
        wp_schedule_event( time(), 'hourly', 'kanews_currencies' );
      }
    }

    function clear_scheduled() {	
      wp_clear_scheduled_hook( 'kanews_currencies' );
    }

    function update() {
      $response = wp_remote_get( 'http://api.bigpara.hurriyet.com.tr/doviz/headerlist/anasayfa' );
      if( is_wp_error( $response ) ) {
        return false;
      }
      $body = wp_remote_retrieve_body( $response );
      $currencies = json_decode($body);

      $response = wp_remote_get( 'https://min-api.cryptocompare.com/data/price?fsym=BTC&tsyms=TRY' );
      if( is_wp_error( $response ) ) {
        return false;
      }
      $body = wp_remote_retrieve_body( $response );
      $btc = json_decode($body);

      $response = wp_remote_get( 'https://min-api.cryptocompare.com/data/price?fsym=ETH&tsyms=TRY' );
      if( is_wp_error( $response ) ) {
        return false;
      }
      $body = wp_remote_retrieve_body( $response );
      $eth = json_decode($body);

      $response = wp_remote_get( 'https://min-api.cryptocompare.com/data/price?fsym=XRP&tsyms=TRY' );
      if( is_wp_error( $response ) ) {
        return false;
      }
      $body = wp_remote_retrieve_body( $response );
      $xrp = json_decode($body);

      $response = wp_remote_get( 'https://min-api.cryptocompare.com/data/price?fsym=BCH&tsyms=TRY' );
      if( is_wp_error( $response ) ) {
        return false;
      }
      $body = wp_remote_retrieve_body( $response );
      $bch = json_decode($body);

      $response = wp_remote_get( 'https://min-api.cryptocompare.com/data/price?fsym=LTC&tsyms=TRY' );
      if( is_wp_error( $response ) ) {
        return false;
      }
      $body = wp_remote_retrieve_body( $response );
      $ltc = json_decode($body);

      $post_data = array(
        'ise-100' => array(
          'name' => 'BIST',
          'full' => 'Bist 100',
          'value' => $currencies->data[1]->SATIS,
          'shutdown' => $currencies->data[1]->KAPANIS,
          'change_percent' => $currencies->data[1]->YUZDEDEGISIM,
          'change_value' => $currencies->data[1]->NET,
        ),
        'usd' => array(
          'name' => 'USD',
          'full' => 'Amerikan Doları',
          'value' => $currencies->data[6]->SATIS,
          'shutdown' => $currencies->data[6]->KAPANIS,
          'change_percent' => $currencies->data[6]->YUZDEDEGISIM,
          'change_value' => $currencies->data[6]->NET,
        ),
        'euro' => array(
          'name' => 'EURO',
          'full' => 'Euro',
          'value' => $currencies->data[3]->SATIS,
          'shutdown' => $currencies->data[3]->KAPANIS,
          'change_percent' => $currencies->data[3]->YUZDEDEGISIM,
          'change_value' => $currencies->data[3]->NET,
        ),
        'gbp' => array(
          'name' => 'GBP',
          'full' => 'İngiliz Sterlini',
          'value' => $currencies->data[7]->SATIS,
          'shutdown' => $currencies->data[7]->KAPANIS,
          'change_percent' => $currencies->data[7]->YUZDEDEGISIM,
          'change_value' => $currencies->data[7]->NET,
        ),
        'eur-usd' => array(
          'name' => 'EURO/USD',
          'full' => 'Euro Amerikan Doları',
          'value' => $currencies->data[4]->SATIS,
          'shutdown' => $currencies->data[4]->KAPANIS,
          'change_percent' => $currencies->data[4]->YUZDEDEGISIM,
          'change_value' => $currencies->data[4]->NET,
        ),
        'gau' => array(
          'name' => 'GR. ALTIN',
          'full' => 'Gram Altın',
          'value' => $currencies->data[5]->SATIS,
          'shutdown' => $currencies->data[5]->KAPANIS,
          'change_percent' => $currencies->data[5]->YUZDEDEGISIM,
          'change_value' => $currencies->data[5]->NET,
        ),
        'btc' => array(
          'name' => 'BTC',
          'full' => 'Bitcoin',
          'value' => $btc->TRY,
          'shutdown' => '0',
          'change_percent' => '0',
          'change_value' => '0',
        ),
        'eth' => array(
          'name' => 'ETH',
          'full' => 'Ethereum',
          'value' => $eth->TRY,
          'shutdown' => '0',
          'change_percent' => '0',
          'change_value' => '0',
        ),
        'xrp' => array(
          'name' => 'XRP',
          'value' => $xrp->TRY,
          'shutdown' => '0',
          'change_percent' => '0',
          'change_value' => '0',
        ),
        'bch' => array(
          'name' => 'BCH',
          'full' => 'Bitcoin Cash',
          'value' => $xrp->TRY,
          'shutdown' => '0',
          'change_percent' => '0',
          'change_value' => '0',
        ),
        'bch' => array(
          'name' => 'BCH',
          'full' => 'Bitcoin Cash',
          'value' => $bch->TRY,
          'shutdown' => '0',
          'change_percent' => '0',
          'change_value' => '0',
        ),
        'ltc' => array(
          'name' => 'LTC',
          'full' => 'Litecoin',
          'value' => $ltc->TRY,
          'shutdown' => '0',
          'change_percent' => '0',
          'change_value' => '0',
        ),
      );
      $post_data = json_encode($post_data);
      $post_data = json_decode($post_data);
      update_option('kanews_currencies', $post_data);
    }

    public static function get_currencies($s, $percent = true) {
      $option = get_option('kanews_currencies');
      $out = '';
      // print_r($option);

      if($option) {
        if ($s == 'all') {
          foreach ($option as $currency) {
            // KAPANIS
            if($currency->value == 0)
            $currency->value = number_format((float)$currency->shutdown, 3,",",".");

            $name = '<span class="site-currencies-name">'.$currency->name.'</span>';
            $value = '<span class="site-currencies-value">'. number_format((float)$currency->value, 3,",",".") .'</span>';
            $change =  $currency->change_percent;
            if ($change < 0) {
              $class = 'site-currencies-down-item';
              $icon = 'icon-caret';
            } else {
              $class = 'site-currencies-up-item';
              $icon = 'icon-caret';
            }
            if ($percent == true)
            $change = '<span class="site-currencies-change"><i class="'.$icon.'"></i> %'.$change.'</span>';
            else
            $change = '<span class="site-currencies-change"><i class="'.$icon.'"></i></span>';

            // Output
            $out .= '<div class="site-currencies-item '.$class.'">'.$name.$value.$change.'</div>';
          }
        } else {
          if(!$s)
          return;
          foreach($s as $currency) {
            
            // KAPANIS
            if($option->$currency->value == 0)
            $option->$currency->value = number_format((float)$option->$currency->shutdown, 2,",",".");

            $name = '<span class="site-currencies-name">'.$option->$currency->name.'</span>';
            $value = '<span class="site-currencies-value">'. number_format((float)$option->$currency->value, 3,",",".") .'</span>';
            $change =  $option->$currency->change_percent;
            if ($change < 0) {
              $class = 'site-currencies-down-item';
              $icon = 'icon-caret';
            } else {
              $class = 'site-currencies-up-item';
              $icon = 'icon-caret';
            }
            if ($percent == true)
            $change = '<span class="site-currencies-change"><i class="'.$icon.'"></i> %'.$change.'</span>';
            else
            $change = '<span class="site-currencies-change"><i class="'.$icon.'"></i></span>';

            // Output
            $out .= '<div class="site-currencies-item '.$class.'">'.$name.$value.$change.'</div>';

          }
        }
        echo $out;
      } else {
        echo esc_html__( 'Veri alınamadı', 'kanews' );
      }

    }

  }
  
  $KANEWS_CURRENCIES = new KANEWS_CURRENCIES();
}
