<?php

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

if( ! class_exists( 'KANEWS_REACTION' ) ) {

	class KANEWS_REACTION {

    function __construct() {
      add_action('kanews_entry_above', array($this,'addContent'), 1);
  
      add_action( 'wp_ajax_kanews_react', array($this,'react'));
      add_action( 'wp_ajax_nopriv_kanews_react', array($this,'react' ));
  
      // add_shortcode( 'kanews_reactions', array($this, 'shortCode') );
    }
  
    function shortCode() {
      return $this->renderPlugin();
    }
  
    function addContent() {

      $show_on_every_post = kanews_get_option('reaction-system');
      $post_id = get_the_ID();
      $enabled = get_post_meta( $post_id, 'kanews_reaction_enable', true );
  
      if (!is_page() && $enabled!="off") {
        if ($show_on_every_post==true) {
          $plugin = $this->renderPlugin();
        }
      } else {
        return false;
      }
  
      echo $plugin;
    }
    
    function react_img($img, $size, $slug) {
      $out = '';
      $emoji = (!empty($img))? $img: get_template_directory_uri().'/assets/img/alkis.png';
      if(kanews_get_option('lazy') == true) {
        $out = 'class="animated kanews-lazy" alt="'.$slug.'" data-src="'.$emoji.'" src="data:image/gif;base64,R0lGODlhAQABAAD/ACwAAAAAAQABAAACADs=" width="'.$size.'" height="'.$size.'"';
      } else {
        $out = 'class="animated" alt="'.$slug.'" src="'.$emoji.'" width="'.$size.'" height="'.$size.'"';
      }
      return $out;
    }
    
    function renderPlugin() {
      $post_id = get_the_ID();
      $post_url = get_permalink($post_id);
      ob_start() ?>
        <div id="kanews_viral_reactions" class="d-flex flex-wrap justify-content-between align-items-center">
          <?php if (empty($slug)){$slug = '';} ?>
            <div class="kanews-reaction-title"><?php echo kanews_translate('reaction-title', esc_html__( 'Bu Yazıya Tepki Ver', 'kanews' )); ?></div>
            <ul class="d-flex" data-post-id="<?php echo $post_id ?>" <?php echo $this->getReactStatus($slug, $post_id); ?>>
              <?php $reaction = kanews_get_option('reaction-buttons'); if($reaction): ?>
                <?php $i=0;foreach($reaction as $emoji): $i++; $slug = (!empty($emoji['title']) ? strtolower(trim(preg_replace('/[^A-Za-z0-9-]+/', '_', $emoji['title']))): 'emoji-'.$i); $label = (!empty($emoji['title']) ? $emoji['title']: 'Emoji'); ?>
                  <li aria-label="<?php echo $label ?>" role="tooltip" data-microtip-position="left" class="animated" data-reaction="<?php echo $slug; ?>" <?php echo $this->getClass($slug, $post_id); ?> ><a href="javascript:void(0)"><img <?php echo $this->react_img($emoji['emoji'], 40, $slug); ?> /><div><span><?php echo $this->getAmount($slug,$post_id) ?></span></div></a></li>
                <?php endforeach; ?>
              <?php endif; ?>
            </ul>
         </div>
  
      <?php
      $plugin = ob_get_contents();
      ob_clean();
      return $plugin;
    }
  
    function getClass($reaction, $post_id) {
      $out = '';
      if (isset($_COOKIE["kanews_reacted_".$reaction."_".$post_id])) {
        $out = 'data-reacted="yes"';
      } else {
        $out = 'data-reacted="no"';
      }
      return $out;
    }
    
    function getReactStatus($reaction, $post_id) {
      $out = '';
      $_COOKIE["kanews_reacted_".$post_id] = !empty($_COOKIE["kanews_reacted_".$post_id]) ? $_COOKIE["kanews_reacted_".$post_id] : '';
      if ($_COOKIE["kanews_reacted_".$post_id] == 1){
        $out = 'data-reacted="yes"';
      }
      return $out;
    }
    
  
    function getAmount($reaction, $post_id) {
      $meta_key = "kanews_reaction_".$reaction;
      $amount = get_post_meta($post_id, $meta_key, true) ? get_post_meta($post_id, $meta_key, true) : 0;
      return $amount;
    }
  
    function react() {
      if (isset($_POST["postid"])) {
        $post_id = $_POST["postid"];
        $reaction = $_POST["reaction"];
        $unreact = $_POST["unreact"];
      }
       $amount = $this->getAmount($reaction, $post_id);
      if (isset($unreact) && $unreact === "true") {
        // unset($_COOKIE['kanews_reacted_'.$post_id]);
        // unset($_COOKIE['kanews_reacted_'.$reaction.'_'.$post_id]);
          // setcookie('kanews_reacted_'.$reaction.'_'.$post_id, '', time() - 3600, "/");
        // $amount = (int) $amount - 1;
        // if ($amount >=0) {
          // echo "Amount: ".$amount." ";
          // update_post_meta($post_id, "kanews_reaction_".$reaction, $amount);
        // }
      }
      else {
        setcookie('kanews_reacted_'.$post_id, true, time() + (86400 * 30), "/");
        setcookie('kanews_reacted_'.$reaction.'_'.$post_id, $reaction, time() + (86400 * 30), "/");
        $amount = (int) $amount + 1;
        if ($amount >=0) {
          echo "Amount: ".$amount." ";
          update_post_meta($post_id, "kanews_reaction_".$reaction, $amount);
        }
      }
      return;
    }
    
  }
  
  new KANEWS_REACTION();
}

