<?php 

add_action('wp_footer', 'dynamic_scripts');
if ( ! function_exists( 'dynamic_scripts' ) ) {
	function dynamic_scripts() {
		$font = kanews_get_option('site-font');
		$first_big = ucwords(strtolower($font));
		$first_word2 = ucwords(strtolower($first_big), '_');
		$bul = '_';
		$degistir = '+';
		$font_final = str_replace($bul, $degistir, $first_word2);
		if ($font_final == '') {
			$font_final = 'Inter';
		} 
		?>
		<script>
		var connection = navigator.connection || navigator.mozConnection || navigator.webkitConnection;
		if ( typeof connection != 'undefined' && (/\slow-2g|2g/.test(connection.effectiveType))) {
			console.warn( 'Slow Connection Google Fonts Disabled' );
		}
		else {
			WebFontConfig ={
				google:{
					families: ['<?php echo $font_final; ?>:regular,500,600,700:latin&display=swap']
				}
			};

			(function(){
				var wf   = document.createElement('script');
				wf.src   = '//ajax.googleapis.com/ajax/libs/webfont/1.6.26/webfont.js';
				wf.type  = 'text/javascript';
				wf.defer = 'true';
				var s = document.getElementsByTagName('script')[0];
				s.parentNode.insertBefore(wf, s);
			})();
	
		}

		</script>
		<?php
	}
}

/* Dynamic Styles  */
add_action( 'wp_head', 'kanews_dynamic_styles', 100 );
if ( ! function_exists( 'kanews_dynamic_styles' ) ) {
	function kanews_dynamic_styles() {	
		$terms = get_terms( 'category' );
		
    // begin
    $styles = '<style>'."\n";
		
			if(kanews_get_option('login-left-background')) {
				$styles .= '.kanews-lr-page-left {';
					foreach(kanews_get_option('login-left-background') as $key => $value) {
						if($key == 'background-image')
						$styles .= $key.': url('.$value['url'].');';
						else
						$styles .= $key.': '.$value.';';
					}
				$styles .= '}';
			}
			
		
      // Fonts
      $font = kanews_get_option('site-font');
      $first_big = ucwords(strtolower($font));
      $first_word2 = ucwords(strtolower($first_big), '_');
      $bul = '_';
      $degistir = ' ';
      $font_final = str_replace($bul, $degistir, $first_word2);

      if ($font_final != '') {

        $styles .= '* {font-family: "'.$font_final.'", sans-serif !important;}
        code,kbd,pre,samp {
          font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace !important; 
        }
        .dashicons {font-family: dashicons!important}
        [class^="icon-"], [class*=" icon-"] {
          font-family: "icomoon" !important;
          speak: never;}
        '."\n";

			}

			// Dark Logo
			$dark_logo = (!empty(kanews_get_option('logo-dark'))) ? kanews_get_option('logo-dark') : '';
			
			if ($dark_logo != '') {
				$styles .= '.dark-mode .site-header-logo img{ 
					content: url('.$dark_logo['url'].');
					width: '.$dark_logo['width'].'px;
					height: '.$dark_logo['height'].'px;
				}'."\n";
			}
			
			// Single Sidebar
			if(kanews_get_option('single-sidebar') == false && is_singular()) {
				$styles .= '@media (max-width: 992px) {
					.sidebar-right{display:none!important}
				}
				';
			}

      // All Settings
			$customizer = [
				'bg' => (!empty(kanews_get_option('site-background'))) ? kanews_get_option('site-background') : '',
				'primary' => (!empty(kanews_get_option('primary-color'))) ? kanews_get_option('primary-color') : '',
				
        'header-bg' => (!empty(kanews_get_option('header-color'))) ? kanews_get_option('header-color') : '',
				'header-bg-gradient' => (!empty(kanews_get_option('header-color-2'))) ? kanews_get_option('header-color-2') : '',
				
        'footer-bg' => (!empty(kanews_get_option('footer-color'))) ? kanews_get_option('footer-color') : '',
				'footer-bg-gradient' => (!empty(kanews_get_option('footer-color-2'))) ? kanews_get_option('footer-color-2') : '',
				
        'navbar-bg' => (!empty(kanews_get_option('navbar-color'))) ? kanews_get_option('navbar-color') : '',
        'navbar-bg-gradient' => (!empty(kanews_get_option('navbar-color-2'))) ? kanews_get_option('navbar-color-2') : '',
        'navbarlink-color' => (!empty(kanews_get_option('navbarlink-color'))) ? kanews_get_option('navbarlink-color') : '',
				'navbarlinkhover-color' => (!empty(kanews_get_option('navbarlinkhover-color'))) ? kanews_get_option('navbarlinkhover-color') : '',
				'navbar-typography' => (!empty(kanews_get_option('navbar-typography'))) ? kanews_get_option('navbar-typography') : '',
				
        'mobilmenu-bg' => (!empty(kanews_get_option('mobilmenu-color'))) ? kanews_get_option('mobilmenu-color') : '',
				'mobilmenu-bg-gradient' => (!empty(kanews_get_option('mobilmenu-color-2'))) ? kanews_get_option('mobilmenu-color-2') : '',
				'mobilmenu-color' => (!empty(kanews_get_option('mobilmenu-color'))) ? kanews_get_option('mobilmenu-color') : '',
				'mobilmenulink-color' => (!empty(kanews_get_option('mobilmenulink-color'))) ? kanews_get_option('mobilmenulink-color') : '',
				
        'pageheader-bg' => (!empty(kanews_get_option('pageheader-color'))) ? kanews_get_option('pageheader-color') : '',
				'pageheader-bg-gradient' => (!empty(kanews_get_option('pageheader-color-2'))) ? kanews_get_option('pageheader-color-2') : '',
				'pageheadertext-color' => (!empty(kanews_get_option('pageheadertext-color'))) ? kanews_get_option('pageheadertext-color') : '',
				
        'bigmenu-bg' => (!empty(kanews_get_option('bigmenu-color'))) ? kanews_get_option('bigmenu-color') : '',
				'bigmenu-bg-gradient' => (!empty(kanews_get_option('bigmenu-color-2'))) ? kanews_get_option('bigmenu-color-2') : '',
				'bigmenulink-color' => (!empty(kanews_get_option('bigmenulink-color'))) ? kanews_get_option('bigmenulink-color') : '',

				'backtotop-background' => (!empty(kanews_get_option('backtotop-background'))) ? kanews_get_option('backtotop-background') : '',
				'backtotop-color' => (!empty(kanews_get_option('backtotop-color'))) ? kanews_get_option('backtotop-color') : '',
				
				'single-postitle-color' => (!empty(kanews_get_option('single-postitle-color'))) ? kanews_get_option('single-postitle-color') : '',
				'single-postitle-typography' => (!empty(kanews_get_option('single-postitle-typography'))) ? kanews_get_option('single-postitle-typography') : '',
				'single-postsubtitle-color' => (!empty(kanews_get_option('single-postsubtitle-color'))) ? kanews_get_option('single-postsubtitle-color') : '',
				'single-postsubtitle-typography' => (!empty(kanews_get_option('single-postsubtitle-typography'))) ? kanews_get_option('single-postsubtitle-typography') : '',
				'single-postmeta-color' => (!empty(kanews_get_option('single-postmeta-color'))) ? kanews_get_option('single-postmeta-color') : '',
				'single-postmeta-typography' => (!empty(kanews_get_option('single-postmeta-typography'))) ? kanews_get_option('single-postmeta-typography') : '',
				'single-postcontentlink-color' => (!empty(kanews_get_option('single-postcontentlink-color'))) ? kanews_get_option('single-postcontentlink-color') : '',
				'single-postcontentlinkhover-color' => (!empty(kanews_get_option('single-postcontentlinkhover-color'))) ? kanews_get_option('single-postcontentlinkhover-color') : '',
				'single-postcontent-color' => (!empty(kanews_get_option('single-postcontent-color'))) ? kanews_get_option('single-postcontent-color') : '',
				'single-postcontent-typography' => (!empty(kanews_get_option('single-postcontent-typography'))) ? kanews_get_option('single-postcontent-typography') : '',
      ];

      /* Background */
			if (!empty($customizer['bg'])) {
				if($customizer['bg']['background-gradient-direction'] == '')
				$customizer['bg']['background-gradient-direction'] = 'to right';
				if(kanews_get_option('site-background')) {
					$styles .= '.site-wrapper {';
						foreach(kanews_get_option('site-background') as $key => $value) {
							if($key == 'background-image') {
								if($value['url'] != '')
								$styles .= $key.': url('.$value['url'].');';
							}
							elseif($key == 'background-color' || $key == 'background-gradient-color' || $key == 'background-gradient-direction') {
								if($customizer['bg']['background-color'] != '' && $customizer['bg']['background-gradient-color'] != '')
								$styles .= 'background: linear-gradient('.$customizer['bg']['background-gradient-direction'].', '.$customizer['bg']['background-color'].', '.$customizer['bg']['background-gradient-color'].' );';
								else {
									if($value != '')
									$styles .= 'background: '.$customizer['bg']['background-color'].';';
								}
								
							}
							else {
								if($value != '')
								$styles .= $key.': '.$value.';';
							}
							
						}
					$styles .= '}';
				}
			}

			
			
			/* Primary Background */
			$bg = '#site-menu-block, .bg-primary, #navbar-sub, .kanews-btn,.kanews-covid-widget-heading, .kanews-category,.nav-links .page-numbers.current,.nav-links .post-page-numbers.current,.kanews-section>ul>li.current_page_item>a,.page-links .post-page-numbers.current, .kanews-form input[type=checkbox]:checked:after, page-links .page-numbers.current, .kanews-posts-shortcode .kanews-section-heading span:after, .kanews-section-flat .kanews-section-heading .kanews-section-headline:after, .kanews-section-flat-heading .kanews-section-headline:after, .kanews-section-heading .kanews-section-headline>span:before, .kanews-slide-category-avatar, .kanews-tab .nav-tabs>*>.nav-link.active, .kanews-weather-widget-date, .kanews_widget_ticker .kanews-ticker-heading, .kanews_widget_video_sidebar .kanews-playlist-title, .search-submit, .extra-sub .kanews-ticker-wrapper .kanews-ticker-control>*, .extra-sub .kanews-ticker-wrapper .kanews-ticker-heading, .site-header-wrapper.header-skin-dark, .site-navbar .site-navbar-nav>li:after, .kanews-slider-2 .slick-dots li.slick-active';
			$color = '.site-navbar .site-navbar-nav>li.home-btn a,.color-primary, .kanews-article-content blockquote:before, .kanews-copy-link button, .kanews-label-o, .kanews-private-post i, .site-navbar .site-navbar-nav li .sub-menu li.current-category-ancestor>a, .site-navbar .site-navbar-nav li .sub-menu li.current-category-parent>a, .site-navbar .site-navbar-nav li .sub-menu li.current-menu-ancestor>a, .site-navbar .site-navbar-nav li .sub-menu li.current-menu-item>a, .site-navbar .site-navbar-nav li .sub-menu li.current-menu-parent>a';
			$border = '.border-primary, .kanews-article-meta .kanews-post-author>.author-avatar, .kanews-form input[type=checkbox]:checked:after, .kanews-label-bg, .kanews-label-o, .kanews-panel-nav li.is-active a, .kanews-slider-2 .slick-dots li.slick-active, .nav-links .page-numbers.current, .nav-links .post-page-numbers.current, .page-links .page-numbers.current, .page-links .post-page-numbers.current, .search-field:focus, .site-navbar .site-navbar-nav li .sub-menu';
			
			$bg_hover = '.kanews-tab .nav-tabs>*>.nav-link:hover,.nav-links .page-numbers:hover, .nav-links .post-page-numbers:hover, .page-links .page-numbers:hover, .page-links .post-page-numbers:hover,.kanews-slider-2 .slick-dots li:hover,.kanews-slider-thumbs .slick-arrow:hover, .kanews-slider-wrapper .slick-arrow:hover,.kanews-article-action .kanews-add-bookmark:hover,.kanews-article-assets a:hover,.kanews-label:hover,.kanews-modal-close-btn:hover, .kanews-popup-close-btn:hover, .kanews-section>ul>li:hover>a';
			$color_hover = '.kanews-article-content a:hover, .widget_recent_entries>ul>li:hover>a,.kanews-btn.kanews-btn-o:not(:hover),.kanews-comment-item a:hover,.kanews-form a:hover,.kanews-form a:hover, .kanews-dropdown-content ul li a:hover,.kanews-table.table-sorter #more:hover,.site-navbar .site-navbar-nav li .sub-menu li:hover>a,.kanews-lr-page a:hover,.kanews-post-meta a:hover,.kanews-post-item:hover .kanews-post-headline a,.kanews-table.table-sorter #more:hover, .site-footer a:hover, .kanews-article-meta a:hover,.widget_recent_comments>ul>li:hover>a,.site-navbar .site-navbar-nav>li.current-category-ancestor>a, .site-navbar .site-navbar-nav>li.current-category-parent>a, .site-navbar .site-navbar-nav>li.current-menu-ancestor>a, .site-navbar .site-navbar-nav>li.current-menu-item>a, .site-navbar .site-navbar-nav>li.current-menu-parent>a, .site-navbar .site-navbar-nav>li:hover>a';
			$border_hover = '.kanews-tab .nav-tabs>*>.nav-link:hover,.kanews-label:hover, .google-news-link:hover, .kanews-btn.kanews-btn-o:not(:hover),.tagcloud a:hover, .kanews-label:hover, .kanews-slider-2 .slick-dots li:hover,.kanews-tab .nav-tabs>*>.nav-link:hover,.nav-links .page-numbers:hover, .nav-links .post-page-numbers:hover, .page-links .post-page-numbers:hover,.page-links .page-numbers:hover,';

			$bg_hover = explode(",", $bg_hover);
			$color_hover = explode(",", $color_hover);
			$border_hover = explode(",", $border_hover);

			if (!empty($customizer['primary'])) {
				$styles .= '
				'.$bg.'
				{background: '.$customizer['primary'].'}
        
				'.$color.'
				{color: '.$customizer['primary'].'}
        
				'.$border.'
				{border-color: '.$customizer['primary'].'}
				';

				foreach ($bg_hover as $hover_bg) {
					$styles .= '
					'.$hover_bg.'
					{background: '.$customizer['primary'].'}
					';
				}
				foreach ($color_hover as $hover_color) {
					$styles .= '
					'.$hover_color.'
					{color: '.$customizer['primary'].'}
					';
				}
				foreach ($border_hover as $hover_border) {
					$styles .= '
					'.$hover_border.'
					{border-color: '.$customizer['primary'].'}
					';
				}
			}

			/* Header*/
			if($customizer['header-bg-gradient'] != '' && $customizer['header-bg'] != '') {
				$styles .= '.site-header .site-header-wrapper {background: linear-gradient(to right, '.$customizer['header-bg'].', '.$customizer['header-bg-gradient'].')}';
			} elseif($customizer['header-bg'] != '') {
				$styles .= '.site-header .site-header-wrapper {background-color: '.$customizer['header-bg'].'}';
			}

			/* Header*/
			if($customizer['footer-bg-gradient'] != '' && $customizer['footer-bg'] != '') {
				$styles .= '.site-footer.dark-mode,.site-footer.light-mode {background: linear-gradient(to right, '.$customizer['footer-bg'].', '.$customizer['footer-bg-gradient'].')}';
			} elseif($customizer['footer-bg'] != '') {
				$styles .= '.site-footer.dark-mode,.site-footer.light-mode {background-color: '.$customizer['footer-bg'].'}';
			}

			/* Navbar*/
			if($customizer['navbar-bg-gradient'] != '' && $customizer['navbar-bg'] != '') {
				$styles .= '.site-navbar, .site-navbar .site-navbar-nav li .sub-menu {background: linear-gradient(to right, '.$customizer['navbar-bg'].', '.$customizer['navbar-bg-gradient'].')}';
			} elseif($customizer['navbar-bg'] != '') {
				$styles .= '.site-navbar, .site-navbar .site-navbar-nav li .sub-menu {background-color: '.$customizer['navbar-bg'].'}';
			}
			if($customizer['navbarlink-color'] != '') {
				$styles .= '.site-navbar .site-navbar-nav li a {color: '.$customizer['navbarlink-color'].'}';
			}
			if($customizer['navbarlinkhover-color'] != '') {
				$styles .= '.site-navbar .site-navbar-nav li a:hover,.site-navbar .site-navbar-nav li .sub-menu li.current-category-ancestor>a, .site-navbar .site-navbar-nav li .sub-menu li.current-category-parent>a, .site-navbar .site-navbar-nav li .sub-menu li.current-menu-ancestor>a, .site-navbar .site-navbar-nav li .sub-menu li.current-menu-item>a, .site-navbar .site-navbar-nav li .sub-menu li.current-menu-parent>a, .site-navbar .site-navbar-nav>li.current-category-ancestor>a, .site-navbar .site-navbar-nav>li.current-category-parent>a, .site-navbar .site-navbar-nav>li.current-menu-ancestor>a, .site-navbar .site-navbar-nav>li.current-menu-item>a, .site-navbar .site-navbar-nav>li.current-menu-parent>a {color: '.$customizer['navbarlinkhover-color'].'}';
				$styles .= '.site-navbar .site-navbar-nav>li:after {background-color: '.$customizer['navbarlinkhover-color'].'}';
			}
			if($customizer['navbar-typography'] != '') {
				$styles .= '.site-navbar .site-navbar-nav li a {';
				foreach($customizer['navbar-typography'] as $key => $value) {
					if($value != '' && $key != 'unit') {
						if($key == 'text-transform') {
							$styles .= $key.': '.$value.';';
						} else {
							$styles .= $key.': '.$value.'px;';
						}
					}
				}
				$styles .= '}';
			}

			/* Single Post */
			/* Single Post: Title */
			if($customizer['single-postitle-color'] != '') {
				$styles .= '.kanews-article-title {color: '.$customizer['single-postitle-color'].'}';
			}
			if($customizer['single-postitle-typography'] != '') {
				$styles .= '@media (min-width: 992px){.kanews-article-title {';
				foreach($customizer['single-postitle-typography'] as $key => $value) {
					if($value != '' && $key != 'unit') {
						if($key == 'text-transform' || $key == 'text-decoration') {
							$styles .= $key.': '.$value.';';
						} else {
							$styles .= $key.': '.$value.'px;';
						}
					}
				}
				$styles .= '}}';
			}
			/* Single Post: Excerpt */
			if($customizer['single-postsubtitle-color'] != '') {
				$styles .= '.kanews-article-title+p {color: '.$customizer['single-postsubtitle-color'].'}';
			}
			if($customizer['single-postsubtitle-typography'] != '') {
				$styles .= '@media (min-width: 992px){.kanews-article-title+p {';
				foreach($customizer['single-postsubtitle-typography'] as $key => $value) {
					if($value != '' && $key != 'unit') {
						if($key == 'text-transform' || $key == 'text-decoration') {
							$styles .= $key.': '.$value.';';
						} else {
							$styles .= $key.': '.$value.'px;';
						}
					}
				}
				$styles .= '}}';
			}
			/* Single Post: Meta */
			if($customizer['single-postmeta-color'] != '') {
				$styles .= '.kanews-article-meta {color: '.$customizer['single-postmeta-color'].'}';
			}
			if($customizer['single-postmeta-typography'] != '') {
				$styles .= '@media (min-width: 992px){.kanews-article-meta {';
				foreach($customizer['single-postmeta-typography'] as $key => $value) {
					if($value != '' && $key != 'unit') {
						if($key == 'text-transform' || $key == 'text-decoration') {
							$styles .= $key.': '.$value.';';
						} else {
							$styles .= $key.': '.$value.'px;';
						}
					}
				}
				$styles .= '}}';
			}
			/* Single Post: Content */
			if($customizer['single-postcontent-color'] != '') {
				$styles .= '.kanews-article-content li, .kanews-article-content p, .kanews-article-content {color: '.$customizer['single-postcontent-color'].'}';
			}
			if($customizer['single-postcontentlink-color'] != '') {
				$styles .= '.entry-content-inner a {color: '.$customizer['single-postcontentlink-color'].'}';
			}
			if($customizer['single-postcontentlinkhover-color'] != '') {
				$styles .= '.entry-content-inner a:hover {color: '.$customizer['single-postcontentlinkhover-color'].'}';
			}
			if($customizer['single-postcontent-typography'] != '') {
				$styles .= '@media (min-width: 992px){.kanews-article-content li, .kanews-article-content p, .kanews-article-content {';
				foreach($customizer['single-postcontent-typography'] as $key => $value) {
					if($value != '' && $key != 'unit') {
						if($key == 'text-transform') {
							$styles .= $key.': '.$value.';';
						} else {
							$styles .= $key.': '.$value.'px;';
						}
					}
				}
				$styles .= '}}';
			}

			/* Page Header*/
			if($customizer['pageheader-bg-gradient'] != '' && $customizer['pageheader-bg'] != '') {
				$styles .= '#site-menu-block {background: linear-gradient(to right, '.$customizer['bigmenu-bg'].', '.$customizer['bigmenu-bg-gradient'].')}';
			} elseif($customizer['pageheader-bg'] != '') {
				$styles .= '.kanews-page-header {background-color: '.$customizer['pageheader-bg'].'}';
			}
			if($customizer['pageheadertext-color'] != '') {
				$styles .= '.kanews-page-header, .kanews-page-header .kanews-page-title {color: '.$customizer['pageheadertext-color'].'}';
			}

			/* Big Menu*/
			if($customizer['bigmenu-bg-gradient'] != '' && $customizer['bigmenu-bg'] != '') {
				$styles .= '#site-menu-block {background: linear-gradient(to right, '.$customizer['bigmenu-bg'].', '.$customizer['bigmenu-bg-gradient'].')}';
			} elseif($customizer['bigmenu-bg'] != '') {
				$styles .= '#site-menu-block {background-color: '.$customizer['bigmenu-bg'].'}';
			}
			if($customizer['bigmenulink-color'] != '') {
				$styles .= '#site-menu-block a {color: '.$customizer['bigmenulink-color'].'}';
			}

			/* Mobil Menu*/
			if($customizer['mobilmenu-bg-gradient'] != '' && $customizer['mobilmenu-bg'] != '') {
				$styles .= '#site-mobile-menu .site-mobile-menu-wrapper{background: linear-gradient(to right, '.$customizer['mobilmenu-bg'].', '.$customizer['mobilmenu-bg-gradient'].')}';
			} elseif($customizer['mobilmenu-bg'] != '') {
				$styles .= '#site-mobile-menu .site-mobile-menu-wrapper {background-color: '.$customizer['mobilmenu-bg'].'}';
			}
			if($customizer['mobilmenulink-color'] != '') {
				$styles .= '#site-mobile-menu .site-mobile-menu-nav>ul>li>a {color: '.$customizer['mobilmenulink-color'].'}';
			}
			if($customizer['mobilmenu-color'] != '') {
				$styles .= '#site-mobile-menu,#site-mobile-menu .site-mobile-menu-footer p {color: '.$customizer['mobilmenulink-color'].'}';
			}

			/* Back to top */
			if($customizer['backtotop-background'] != '') {
				$styles .= '.kanews-back-to-top {background: '.$customizer['backtotop-background'].'}';
			}
			if($customizer['backtotop-color'] != '') {
				$styles .= '.kanews-back-to-top {color: '.$customizer['backtotop-color'].'}';
			}

			/* Main Cat Color */
			if(is_category()) {
				$cat = get_query_var('cat');
				$cat_color = get_term_meta( $cat, '_category_color', true );
				if($cat_color) {
					$bul = ', ';
					$degistir = ', .category-'.$cat.' ';
					$bg = str_replace($bul, $degistir, $bg);
					$color = str_replace($bul, $degistir, $color);
					$border = str_replace($bul, $degistir, $border);
					$bg_hover = str_replace($bul, $degistir, $bg_hover);
					$color_hover = str_replace($bul, $degistir, $color_hover);
					$border_hover = str_replace($bul, $degistir, $border_hover);
					$styles .= '
					.category-'.$cat.' '.$bg.'
					{background: #'.$cat_color.'}
					
					.category-'.$cat.' '.$color.'
					{color: #'.$cat_color.'}
					
					.category-'.$cat.' '.$border.'
					{border-color: #'.$cat_color.'}
					';
					foreach ($bg_hover as $hover_bg) {
						$styles .= '
						'.$hover_bg.'
						{background: #'.$cat_color.'}
						';
					}
					foreach ($color_hover as $hover_color) {
						$styles .= '
						'.$hover_color.'
						{color: #'.$cat_color.'}
						';
					}
					foreach ($border_hover as $hover_border) {
						$styles .= '
						'.$hover_border.'
						{border-color: #'.$cat_color.'}
						';
					}
				}
			}elseif(is_single()) {
				$cat = KANEWS_WP_HELPER::primary_category_id(get_the_ID());
				$cat_color = get_term_meta( $cat, '_category_color', true );
				if($cat_color) {
					$bul = ', ';
					$degistir = ', .category-'.$cat.' ';
					$bg = str_replace($bul, $degistir, $bg);
					$color = str_replace($bul, $degistir, $color);
					$border = str_replace($bul, $degistir, $border);
					$bg_hover = str_replace($bul, $degistir, $bg_hover);
					$color_hover = str_replace($bul, $degistir, $color_hover);
					$border_hover = str_replace($bul, $degistir, $border_hover);
					$styles .= '
					.category-'.$cat.' '.$bg.'
					{background: #'.$cat_color.'}
					
					.category-'.$cat.' '.$color.'
					{color: #'.$cat_color.'}
					
					.category-'.$cat.' '.$border.'
					{border-color: #'.$cat_color.'}
					';
					foreach ($bg_hover as $hover_bg) {
						$styles .= '
						'.$hover_bg.'
						{background: #'.$cat_color.'}
						';
					}
					foreach ($color_hover as $hover_color) {
						$styles .= '
						'.$hover_color.'
						{color: #'.$cat_color.'}
						';
					}
					foreach ($border_hover as $hover_border) {
						$styles .= '
						'.$hover_border.'
						{border-color: #'.$cat_color.'}
						';
					}
				}
			}

			/* Button Cat Color */
			foreach ( $terms as $term ) {
				$control_term = get_term_meta( $term->term_id, '_category_color', true );
				if ($control_term != '') {
					$control_term_id = $term->term_id;
					$styles .= '
					.kanews-category-'.$control_term_id.'.kanews-category {background-color: #'.$control_term.' !important}
					';
				}
			}

      /* Browser Color */
      $styles .= '</style>'."\n";
      
      if ( $customizer['primary']) {
        echo '<meta name="theme-color" content="'.$customizer['primary'].'" />';
      } else {
        echo '<meta name="theme-color" content="#e50914" />';
			}
			
			

    // end
    echo $styles;		
	}
}


add_action('admin_init', 'kanews_gutenberg_editor_font_load');
function kanews_gutenberg_editor_font_load() {
	global $pagenow;
	if ( $pagenow == 'post.php' || $pagenow == 'page.php' ) {
		add_action('admin_head', 'dynamic_scripts');
	}
}

add_action('admin_head', 'kanews_gutenberg_editor_font');
function kanews_gutenberg_editor_font() {
	$font = kanews_get_option('site-font');
	$first_big = ucwords(strtolower($font));
	$first_word2 = ucwords(strtolower($first_big), '_');
	$bul = '_';
	$degistir = ' ';
	$h_font = str_replace($bul, $degistir, $first_word2);
	if ($h_font == '') {
		$h_font = 'Inter';
		$p_font = 'Inter';
	} else {
	}
	$styles = '<style type="text/css">
	.editor-styles-wrapper, .editor-styles-wrapper p,.editor-post-title__block .editor-post-title__input, .wp-block-heading , .block-editor-block-list__layout h1, .block-editor-block-list__layout h2, .block-editor-block-list__layout h3, .block-editor-block-list__layout h4, .block-editor-block-list__layout h5, .block-editor-block-list__layout h6{
			font-family: "'.$h_font.'","Noto Serif", serif !important
		}
		
	</style>';
	echo $styles;
}