<?php


function kanews_metaboxes() {


	acf_add_local_field_group(array(
		'key' => 'post_video_settings',
		'title' => esc_html__( 'Video Galeri', 'kanews-admin' ),
		'fields' => array (
			array (
				'key' => 'video_embed',
				'label' => esc_html__( 'Video Linki', 'kanews-admin' ),
				'name' => 'video_embed',
				'type' => 'oembed',
				'width' => '500',
				'height' => '300',
			),
			array (
				'key' => 'select_video_post_layout',
				'label' => esc_html__( 'Yazı Düzeni', 'kanews-admin' ),
				'name' => 'select_video_post_layout',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'0'	=> esc_html__( 'Formata Özel Görünüm', 'kanews-admin' ),
					'1'	=> esc_html__( 'Görünüm', 'kanews-admin' ).' #1',
					'2'	=> esc_html__( 'Görünüm', 'kanews-admin' ).' #2',
					'3'	=> esc_html__( 'Görünüm', 'kanews-admin' ).' #3',
					'4'	=> esc_html__( 'Görünüm', 'kanews-admin' ).' #4',
				),
			),
			array (
				'key' => 'show_post_more',
				'label' => esc_html__( 'Daha Fazla Göster', 'kanews-admin' ),
				'name' => 'show_post_more',
				'default_value' => 'default',
				'type' => 'select',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'video_time',
				'label' => esc_html__( 'Video Süresi', 'kanews-admin' ),
				'name' => 'video_time',
				'default_value' => '',
				'type' => 'text',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
				),
			),
    ),
    'menu_order' => 0,
		'label_placement' => 'left',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
	));


	acf_add_local_field_group(array(
		'key' => 'post_settings',
		'title' => esc_html__( 'Yazı Ayarları', 'kanews-admin' ),
		'fields' => array (
			array (
				'key' => 'post_insight',
				'label' => esc_html__( 'Görünürlük', 'kanews-admin' ),
				'name' => 'post_insight',
				'type' => 'select',
				'default_value' => '0',
				'choices' => array(
					'0'	=> esc_html__( 'Herkese Açık', 'kanews-admin' ),
					'1'	=> esc_html__( 'Ücretli İçerik', 'kanews-admin' ),
				),
			),
			array (
				'key' => 'select_post_layout',
				'label' => esc_html__( 'Yazı Düzeni', 'kanews-admin' ),
				'name' => 'select_post_layout',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'1'	=> esc_html__( 'Görünüm', 'kanews-admin' ).' #1',
					'2'	=> esc_html__( 'Görünüm', 'kanews-admin' ).' #2',
					'3'	=> esc_html__( 'Görünüm', 'kanews-admin' ).' #3',
					'4'	=> esc_html__( 'Görünüm', 'kanews-admin' ).' #4',
				),
			),
			array (
				'key' => 'post_pagination_type',
				'label' => esc_html__( 'Sayfalama Tipi', 'kanews-admin' ),
				'name' => 'post_pagination_type',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'number'	=> esc_html__( 'Numaralı Sayfalama', 'kanews-admin' ),
					'infinite'	=> esc_html__( 'Aşağı İndikçe Yükle', 'kanews-admin' ),
					'button'	=> esc_html__( 'Daha Fazla Yükle Butonu ile', 'kanews-admin' ),
				),
			),
			array (
				'key' => 'show_post_ads',
				'label' => esc_html__( 'Reklamlar', 'kanews-admin' ),
				'name' => 'show_post_ads',
				'default_value' => 'on',
				'type' => 'select',
				'choices' => array(
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_breacrumb',
				'label' => esc_html__( 'Breadcrumb', 'kanews-admin' ),
				'name' => 'show_post_breacrumb',
				'default_value' => 'default',
				'type' => 'select',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'kanews_post_excerpt',
				'label' => esc_html__( 'Yazı Açıklaması', 'kanews-admin' ),
				'name' => 'kanews_post_excerpt',
				'type' => 'textarea',
				'rows' => '3',
			),
			array (
				'key' => 'show_post_share',
				'label' => esc_html__( 'Yazıyı Paylaş', 'kanews-admin' ),
				'name' => 'show_post_share',
				'default_value' => 'default',
				'type' => 'select',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'geo_reaction_enable',
				'label' => esc_html__( 'Reaksiyon Butonları', 'kanews-admin' ),
				'name' => 'geo_reaction_enable',
				'default_value' => 'on',
				'type' => 'select',
				'choices' => array(
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_excerpt',
				'label' => esc_html__( 'Yazı Açıklaması', 'kanews-admin' ),
				'name' => 'show_post_excerpt',
				'default_value' => 'default',
				'type' => 'select',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_thumbnail',
				'label' => esc_html__( 'Öne Çıkarılan Görsel', 'kanews-admin' ),
				'name' => 'show_post_thumbnail',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_author',
				'label' => esc_html__( 'Yazar', 'kanews-admin' ),
				'name' => 'show_post_author',
				'default_value' => 'default',
				'type' => 'select',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_cat',
				'label' => esc_html__( 'Kategori', 'kanews-admin' ),
				'name' => 'show_post_cat',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_date',
				'label' => esc_html__( 'Yayınlanma Tarihi', 'kanews-admin' ),
				'name' => 'show_post_date',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_update_date',
				'label' => esc_html__( 'Güncelleme Tarihi', 'kanews-admin' ),
				'name' => 'show_post_update_date',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_views',
				'label' => esc_html__( 'Okunma Sayısı', 'kanews-admin' ),
				'name' => 'show_post_views',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_read_time',
				'label' => esc_html__( 'Okuma Süresi', 'kanews-admin' ),
				'name' => 'show_post_read_time',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_assets',
				'label' => esc_html__( 'Yazı Araçları', 'kanews-admin' ).' <span>'. esc_html__('Yazı içeriğinin boyutu ayarlayan, hızlı yorum yap gibi işlevsel butonların durumu.', 'kanews-admin').'</span>',
				'name' => 'show_post_assets',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'post_text_to_speech',
				'label' => esc_html__( 'Konuşma Metni', 'kanews-admin' ).' <span>Desteklenen tipler: mp3, wav, ogg.</span>',
				'name' => 'post_text_to_speech',
				'type' => 'file',
				// 'mime_types' => array('mp3', 'wav', 'ogg')
			),
			array (
				'key' => 'show_post_tags',
				'label' => esc_html__( 'Etiketler', 'kanews-admin' ),
				'name' => 'show_post_tags',
				'type' => 'select',
				'default_value' => 'default',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'on'	=> esc_html__( 'Göster', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_like',
				'label' => esc_html__( 'Yazıyı Beğen', 'kanews-admin' ),
				'name' => 'show_post_like',
				'default_value' => 'default',
				'type' => 'select',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
			array (
				'key' => 'show_post_bookmark',
				'label' => esc_html__( 'Yazıyı Favorilerine Ekle', 'kanews-admin' ),
				'name' => 'show_post_bookmark',
				'default_value' => 'default',
				'type' => 'select',
				'choices' => array(
					'default'	=> esc_html__( 'Varsayılan', 'kanews-admin' ),
					'off'	=> esc_html__( 'Gösterme', 'kanews-admin' )
				),
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
				),
			),
    ),
    'menu_order' => 0,
		'label_placement' => 'left',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
	));
	
	acf_add_local_field_group(array(
		'key' => 'manset_thumbs',
		'title' => esc_html__( 'Manşet Ayarları', 'kanews-admin' ),
		'fields' => array (
			array (
				'key' => 'post_detail',
				'label' => esc_html__( 'Yazı Detaylarını Gizle', 'kanews-admin' ).' <span>Yazı başlığı vb gibi detayların görselin üstünde gözükmesini engeller, seçili olduğunda sadece manşet görseli gözükür.</span>',
				'name' => 'post_detail',
				'type' => 'true_false',
			),
			array (
				'key' => 'manset_1',
				'label' => 'Manşet Görseli <span>1100x375px ebatlarında olmalı.</span>',
				'name' => 'manset_1',
				'preview_size' => 'thumbnail',
				'type' => 'image',
			),
			array (
				'key' => 'manset_2',
				'label' => 'Manşet Görseli <span>975x375px ebatlarında olmalı.</span>',
				'name' => 'manset_2',
				'preview_size' => 'thumbnail',
				'type' => 'image',
			),
			array (
				'key' => 'manset_3',
				'label' => 'Manşet Görseli <span>730x375px ebatlarında olmalı.</span>',
				'name' => 'manset_3',
				'preview_size' => 'thumbnail',
				'type' => 'image',
			),
			array (
				'key' => 'manset_4',
        'label' => 'Manşet Görseli <span>540x375px ebatlarında olmalı.</span>',
				'name' => 'manset_4',
				'preview_size' => 'thumbnail',
				'type' => 'image',
			),
			array (
				'key' => 'manset_5',
        'label' => 'Manşet Görseli <span>350x375px ebatlarında olmalı.</span>',
				'name' => 'manset_5',
				'preview_size' => 'thumbnail',
				'type' => 'image',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
				),
			),
    ),
    'menu_order' => 0,
		'label_placement' => 'left',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
	));
	
	acf_add_local_field_group(array(
		'key' => 'page_options',
		'title' => esc_html__( 'Sayfa Ayarları', 'kanews-admin' ),
		'fields' => array (
			array (
				'key' => 'page_header',
				'label' => esc_html__( 'Page Header', 'kanews-admin' ),
				'name' => 'page_header',
				'type' => 'select',
				'default_value' => 'on',
				'choices' => array(
					'on'	=> esc_html__( 'Oluştur', 'kanews-admin' ),
					'off'	=> esc_html__( 'Oluşturma', 'kanews-admin' )
				),
			),
			array (
				'key' => 'post_insight',
				'label' => esc_html__( 'Görünürlük', 'kanews-admin' ),
				'name' => 'post_insight',
				'type' => 'select',
				'default_value' => '0',
				'choices' => array(
					'0'	=> esc_html__( 'Herkese Açık', 'kanews-admin' ),
					'1'	=> esc_html__( 'Ücretli İçerik', 'kanews-admin' ),
				),
			),
			array (
				'key' => 'page_sidebar_status',
				'label' => esc_html__( 'Sidebar Alanları Oluştur', 'kanews-admin' ).' <span>Ardından şablon olarak Sayfa Oluşturucu veya Sayfa Sidear Oluşturucu seçin daha sonra ise görünüm>bileşenler kısmından kendi düzeninizi yaratın.</span>',
				
				'name' => 'page_sidebar_status',
				'type' => 'select',
				'default_value' => 'off',
				'choices' => array(
					'on'	=> esc_html__( 'Oluştur', 'kanews-admin' ),
					'off'	=> esc_html__( 'Oluşturma', 'kanews-admin' )
				),
			),
			array (
				'key' => 'custom_page_related',
				'label' => esc_html__( 'İlgilinizi Çekebilir Kategorisi', 'kanews-admin' ).' <span>Döviz kurları vb gibi sayfalarda bulunan ilginizi çekebilir alanında gözükecek yazıların kategorisi belirleyin.</span>',
				'name' => 'custom_page_related',
				'type' => 'taxonomy',
				'taxonomy' => 'category',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
				),
			),
    ),
    'menu_order' => 0,
		'label_placement' => 'left',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
	));
	
}

add_action('acf/init', 'kanews_metaboxes');
