<?php

// Check core class for avoid errors
if( class_exists( 'CSF' ) ) {

  $prefix = 'kanews_options';

  CSF::createOptions( $prefix, array(
    'menu_title' => esc_html__('Kanews', 'Admin Menu Title',  'kanews-admin'),
    'menu_slug'  => 'kanews-options',
    'menu_type'           => 'submenu',
    'menu_parent'         => 'Kanews',
    'framework_title'     => esc_html__('Kanews Tema Ayarları', 'kanews-admin'),
    'admin_bar_menu_icon' => 'dashicons-admin-generic',
    'footer_text'         => esc_html__('Kan Themes Gururla Sunar.', 'kanews-admin'),
    'theme'               => 'light'
	) );

  /**
	 * General Settings
	 */
  CSF::createSection( $prefix, array(
    'title'  => esc_html__('Genel Ayarlar', 'kanews-admin'),
    'icon'  => 'fas fa-cog',
    'fields' => array(

      array(
        'type'    => 'heading',
        'content' => esc_html__('Genel Ayalar', 'kanews-admin'),
      ),
      // Logo
      array(
        'id'     => 'logo',
        'type'   => 'fieldset',
        'title'   => esc_html__('Site Logosu', 'kanews-admin' ),
        'fields' => array(
          array(
            'id'      => 'type',
            'type'    => 'radio',
            'inline'  => false,
            'options' => array(
              'text'    => esc_html__('Yazı', 'kanews-admin'),
              'img'    => esc_html__('Görsel', 'kanews-admin'),
            ),
          ),
          array(
            'id'    => 'logo-text',
            'type'  => 'text',
            'title' => __('Site İsmi', 'kanews-admin'),
            'dependency' => array( 'type', '==', 'text' ),
          ),
          array(
            'type'       => 'media',
            'id'          => 'logo-img',
            'button_title' => esc_html__('Görsel Yükle', 'kanews-admin'),
            'dependency' => array( 'type', '==', 'img' ),
          ),
        ),
        'default' => array(
          'type' => 'text',
          'logo-text' => KAN_THEME_NAME,
        ),
      ),
      // Retina Logo
      array(
        'id'    => 'logo-mobile',
        'title'  => esc_html__('Retina Logo', 'kanews-admin'),
        'desc'  => esc_html__('Ana logodan 2 kat daha büyük olmalıdır.', 'kanews-admin'),
        'type'  => 'media'
      ),
      // Retina Logo
      array(
        'id'    => 'logo-dark',
        'class'    => 'yeni',
        'title'  => esc_html__('Koyu Mod Logo', 'kanews-admin'),
        'desc'  => esc_html__('Koyu mod aktif edildiğinde gözükecek olan logo.', 'kanews-admin'),
        'type'  => 'media'
      ),
      // Post Views
      array(
        'id'    => 'mode',
        'title'  => esc_html__('Gece/Gündüz Modu', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ),
      // Post Views
      array(
        'id'    => 'post-views',
        'title'  => esc_html__('Okunma Sayısı', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ),
      // LazyLoad
      array(
        'id'    => 'lazy',
        'title'  => esc_html__('Lazy Load', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ), 
      // Sticky Sidebar
      array(
        'id'    => 'sticky-sidebar',
        
        'title'  => esc_html__('Yapışkan Sidebar', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ), 
      // Google News
      array(
        'id'       => 'google-news-link',
        'type'     => 'text',
        'title'    => esc_html__( 'Google News', 'kanews-admin' ),
        'placeholder'  => 'https://www.',
        'validate' => 'csf_validate_url',
      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Seo Ayarları', 'kanews-admin'),
      ),
      // Article Json LD
      array(
        'id'    => 'article-json-ld',
        'title'  => esc_html__('Yapısal Veri', 'kanews-admin'),
        'desc'  => esc_html__('Her wordpress yazısına json ld formatında yazının verilerini işaretler ve arama motorları bu verileri işler.', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ), 
      array(
        'id'      => 'article-json-ld-format',
        'type'    => 'select',
        'title'   => esc_html__('Varsayılan Şema türü', 'kanews-admin'),
        'dependency' => array( 'article-json-ld', '==', 'true' ),
        'options' => array(
          'article' => esc_html__('Makale', 'kanews-admin'),
          'NewsArticle' => esc_html__('Haber', 'kanews-admin'),
          'BlogPosts' => esc_html__('Blog Yazısı', 'kanews-admin'),
        ),
        'default' => 'news'
      ),
      // Organization Json LD
      array(
        'id'    => 'organization-json-ld',
        'title'  => esc_html__('Organizasyon İşaretlemesi', 'kanews-admin'),
        'desc'  => esc_html__('Her wordpress sayfasına json ld formatında site verilerini ekler (logo, site adı/açıklaması vs) ve arama motorları bu verilerini işler.', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ), 
      // Saarch Json LD
      array(
        'id'    => 'search-json-ld',
        'title'  => esc_html__('Arama Kutusu İşaretlemesi', 'kanews-admin'),
        'desc'  => esc_html__('Her wordpress sayfasına json ld formatında site arama sistemi ile alakalı veriler ekler ve arama motorları bu verilerini işler.', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ), 
      // Breadcrumb Json LD
      array(
        'id'    => 'breadcrumb',
        'title'  => esc_html__('Breadcrumb İşaretlemesi', 'kanews-admin'),
        'desc'  => esc_html__('Her wordpress sayfasına json ld formatında breadcrumb verilerini ekler ve arama motorları bu verilerini işler.', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ), 
      // OpenGraph
      array(
        'id'    => 'open-graph',
        'title'  => esc_html__('Open Graph Etiketleri', 'kanews-admin'),
        'desc'  => esc_html__('Sosyal medya siteleri için meta etiketi olarak yazı ve ana sayfalara site/yazı verilerini ekler ve sosyal medya siteleri bu verileri işler.', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ), 

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Hız Ayarları', 'kanews-admin'),
      ),
      // Dashicons
      array(
        'id'    => 'dashicons',
        'title'  => esc_html__('Dashicons Dosyaları Kaldır', 'kanews-admin'),
        'desc'  => esc_html__('Wordpress varsayılanı olarak eklenen dashicons font icon dosyasını kaldırır.', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ), 
      array(
        'id'    => 'dns-prefetch',
        'title'  => esc_html__('DNS Prefetch', 'kanews-admin'),
        'desc'  => esc_html__('Font, gravatar, analytics vb gibi üçüncü taraf kaynakların önceden dns adreslerini çözer.', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ), 
      array(
        'id'    => 'emoji',
        'title'  => esc_html__('Emoji', 'kanews-admin'),
        'desc'  => esc_html__('Wordpress varsayılanı olarak eklenen emoji kalıntılarını kaldırır.', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ), 

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Diğer Ayalar', 'kanews-admin'),
      ),
      
       // Adblock
       array(
        'id'    => 'adblock-detected',
        'title'  => esc_html__('Reklam Engelleyicilerini Tespit Et', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ), 
       // Back to top
       array(
        'id'    => 'back-to-top',
        'title'  => esc_html__('Başa Dön Tuşu', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ), 
       // Right Click
       array(
        'id'    => 'right-click',
        'title'  => esc_html__('Sağ Tıkları Yasakla', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ), 
       // Privacy Policy Box
       array(
        'id'    => 'privacy-policy',
        'title'  => esc_html__('Gizlilik Politikası Uyarısı', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ), 
      // Privacy Policy Page
      array(
        'id'          => 'privacy-policy-page',
        'type'        => 'select',
        'title'       => esc_html__('Gizlilik Politikası Sayfası', 'kanews-admin'),
        'dependency'  => array( 'privacy-policy', '==', 'true' ),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin')
      ),
      // WP Head
      array(
        'id'    => 'wp-head',
        'type'  => 'code_editor',
        'sanitize' => false,
        'desc'  => esc_html__('Head etiketi içerisine kod eklemenizi sağlar, örneğin meta kodları.', 'kanews-admin'),
        'title'  => esc_html__('Head Kodları', 'kanews-admin'),
      ),

      // WP Footer
      array(
        'id'    => 'wp-footer',
        'type'  => 'code_editor',
        'sanitize' => false,
        'desc'  => esc_html__('Body etiketinin sonuna kod eklemenizi sağlar, örneğin google analiz kodları, adsense kodları.', 'kanews-admin'),
        'title'  => esc_html__('Footer Kodları', 'kanews-admin'),
      ),
		)
	));
	
	/**
	 * Header
   */	
   CSF::createSection( $prefix, array(
    'title'  => esc_html__('Header Ayarları', 'kanews-admin'),
    'icon'  => 'fas fa-heading',
    'fields' => array(
      array(
        'type'    => 'heading',
        'content' => esc_html__('Header Ayaları', 'kanews-admin'),
      ),
      
      // Layout
      array(
        'id'      => 'header-layout',
        'type'    => 'image_select',
        'title'   => esc_html__('Görünüm', 'kanews-admin'),
        'options' => array(
          'style-1' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/header/1.png',
        ),
        'default' => 'style-1',
      ),
      
      array(
        'id'      => 'header-skin',
        'type'    => 'select',
        'class'    => 'yeni',
        'title'   => esc_html__('Mod', 'kanews-admin'),
        'options' => array(
          'dark' => esc_html__('Koyu', 'kanews-admin'),
          'light' => esc_html__('Açık', 'kanews-admin'),
        ),
        'default' => 'dark'
      ),

      // Sub Header
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Sub Header Ayarları', 'kanews-admin'),
      ),
      array(
        'id'    => 'subheader-switch',
        'title'  => esc_html__('Durum', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ),

      array(
        'id'      => 'subheader-position',
        'type'    => 'select',
        'class'    => 'yeni',
        'title'   => esc_html__('Konumu', 'kanews-admin'),
        'options' => array(
          'top' => esc_html__('Üst', 'kanews-admin'),
          'bottom' => esc_html__('Alt', 'kanews-admin'),
        ),
        'default' => 'top'
      ),

      // Sub Header: Left
      array(
        'id'      => 'subheader-left',
        'type'    => 'button_set',
        'title'   => esc_html__('Sol Bölme', 'kanews-admin'),
        'desc'   => esc_html__('Sol kısımda gözükmesini istediğiniz modülü seçin.', 'kanews-admin'),
        'options' => array(
          'weather' => esc_html__('Hava Durumu', 'kanews-admin'),
          'currencies' => esc_html__('Öne Çıkan Kurlar', 'kanews-admin'),
          'breaking-news' => esc_html__('Son Dakika', 'kanews-admin'),
          'menu' => esc_html__('Menü', 'kanews-admin'),
          'disable' => esc_html__('Hiçbir şey', 'kanews-admin'),
        ),
        'default' => 'weather'
      ),


      // Sub Header Left: Weather Deault City
      array(
        'id'         => 'subheader-weather-city',
        'type'       => 'text',
        'title'      => esc_html__('Şehir', 'kanews-admin'),
        'default'      => 'İstanbul',
        'dependency' => array( 'subheader-left', '==', 'weather' ),
        'desc'      => esc_html__('Hava durumunda varsayılan olarak gösterilecek şehir.', 'kanews-admin'),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Api anahtarı girdiğinizden emin olun.', 'kanews-admin' ).' <a href="'.admin_url('admin.php?page=kanews-options#tab=api-ayarlari').'">'.esc_html__( 'Tıkla ve Ekle', 'kanews-admin' ).'</a>',
        'dependency' => array( 'subheader-left', '==', 'weather' ),
      ),

      // Sub Header Left: Select Currencies
      array(
        'id'      => 'subheader-left-currencies',
        'type'    => 'button_set',
        'title'   => esc_html__('Gözükecek Para Birimleri', 'kanews-admin'),
        'dependency' => array( 'subheader-left', '==', 'currencies' ),
        'multiple' => true,
        'options' => array(
          'usd' => esc_html__('USD/TRY', 'kanews-admin'),
          'euro' => esc_html__('EUR/TRY', 'kanews-admin'),
          'gbp' => esc_html__('GBP/TRY', 'kanews-admin'),
          'eur-usd' => esc_html__('EUR/USD', 'kanews-admin'),
          'ise-100' => esc_html__('Bist 100', 'kanews-admin'),
          'gau' => esc_html__('Gram Altın', 'kanews-admin'),
          'btc' => esc_html__('Bitcoin', 'kanews-admin'),
          'eth' => esc_html__('Ethereum', 'kanews-admin'),
          'bch' => esc_html__('Bitcoin Cash', 'kanews-admin'),
          'xrp' => esc_html__('XRP', 'kanews-admin'),
          'ltc' => esc_html__('Litecoin', 'kanews-admin'),
        ),
        'default' => array('usd', 'euro', 'gbp', 'btc', 'ise-100', 'gau')
      ),

      // Sub Header Left: Set Query for Breaking News Ticker
      array(
        'id'          => 'subheader-left-bn-cats',
        'type'        => 'select',
        'title'       => esc_html__('Kategoriler', 'kanews-admin'),
        'dependency'  => array( 'subheader-left', '==', 'breaking-news' ),
        'chosen'      => true,
        'multiple'    => true,
        'sortable'    => true,
        'options'     => 'category',
        'placeholder' => esc_html__('Tüm Kategoriler', 'kanews-admin')
      ),

      array(
        'id'      => 'subheader-left-bn-sortby',
        'type'    => 'select',
        'title'   => esc_html__('Göre Sırala', 'kanews-admin'),
        'dependency' => array( 'subheader-left', '==', 'breaking-news' ),
        'options' => array(
          'recent' => esc_html__('Yayınlanma Tarihine Göre', 'kanews-admin'),
          'modified' => esc_html__('Düzenlenme Tarihine Göre', 'kanews-admin'),
        ),
        'default' => 'modified'
      ),

      array(
        'id'       => 'subheader-left-bn-count',
        'type'     => 'slider',
        'title'    => esc_html__('Yazı Sayısı', 'kanews-admin'),
        'dependency' => array( 'subheader-left', '==', 'breaking-news' ),
        'min'      => 1,
        'max'      => 15,
        'step'     => 1,
        'default'  => 5,
      ),

      array(
        'id'          => 'subheader-left-bn-post-not-in',
        'type'        => 'select',
        'title'       => esc_html__('Hariç Tutulan Yazılar', 'kanews-admin'),
        'dependency' => array( 'subheader-left', '==', 'breaking-news' ),
        'chosen'      => true,
        'multiple'    => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'posts',
        'placeholder' => esc_html__( 'Yazı Seçin', 'kanews-admin' ),
      ),

      // Sub Header: Right
      array(
        'id'      => 'subheader-right',
        'type'    => 'button_set',
        'title'   => esc_html__('Sağ Bölme', 'kanews-admin'),
        'desc'   => esc_html__('Sağ kısımda gözükmesini istediğiniz modülü seçin.', 'kanews-admin'),
        'options' => array(
          'weather' => esc_html__('Hava Durumu', 'kanews-admin'),
          'currencies' => esc_html__('Öne Çıkan Kurlar', 'kanews-admin'),
          'menu' => esc_html__('Menü', 'kanews-admin'),
          'disable' => esc_html__('Hiçbir şey', 'kanews-admin'),
        ),
        'default' => 'menu'
      ),

       // Sub Header Right: Weather Deault City
       array(
        'id'         => 'subheader-weather-city2',
        'type'       => 'text',
        'title'      => esc_html__('Hava Durumu Varsayılan Şehir', 'kanews-admin'),
        'default'    => 'İstanbul',
        'dependency' => array( 'subheader-right', '==', 'weather' ),
        'desc'       => esc_html__('Hava durumunda varsayılan olarak gösterilecek şehir.', 'kanews-admin'),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__( 'Api anahtarı girdiğinizden emin olun.', 'kanews-admin' ).' <a href="'.admin_url('admin.php?page=kanews-options#tab=api-ayarlari').'">'.esc_html__( 'Tıkla ve Ekle', 'kanews-admin' ).'</a>',
        'dependency' => array( 'subheader-right', '==', 'weather' ),
      ),

      // Sub Header Right: Select Currencies
      array(
        'id'         => 'subheader-right-currencies',
        'type'       => 'button_set',
        'title'      => esc_html__('Gözükecek Para Birimleri', 'kanews-admin'),
        'dependency' => array( 'subheader-right', '==', 'currencies' ),
        'multiple'   => true,
        'options'    => array(
          'usd'     => esc_html__('USD/TRY', 'kanews-admin'),
          'euro'    => esc_html__('EUR/TRY', 'kanews-admin'),
          'gbp'     => esc_html__('GBP/TRY', 'kanews-admin'),
          'eur-usd' => esc_html__('EUR/USD', 'kanews-admin'),
          'ise-100' => esc_html__('Bist 100', 'kanews-admin'),
          'gau'     => esc_html__('Gram Altın', 'kanews-admin'),
          'btc' => esc_html__('Bitcoin', 'kanews-admin'),
          'eth' => esc_html__('Ethereum', 'kanews-admin'),
          'bch' => esc_html__('Bitcoin Cash', 'kanews-admin'),
          'xrp' => esc_html__('XRP', 'kanews-admin'),
          'ltc' => esc_html__('Litecoin', 'kanews-admin'),
        ),
        'default' => array('ise-100', 'gau')
      ),

      // Header
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Header Ayarları', 'kanews-admin'),
      ),
      // Big Menu
      array(
        'id'      => 'big-menu',
        'title'   => esc_html__('Büyük Menü', 'kanews-admin'),
        'desc'    => esc_html__('Logo yanında bulunan menü butonuna tıklandığında büyük bir menü açar.', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => false
      ),
      // Header Middle
      array(
        'id'         => 'header-center',
        'type'       => 'button_set',
        'class'    => 'yeni',
        'title'      => esc_html__('Orta Kısım', 'kanews-admin'),
        'options'    => array(
          'search'      => esc_html__('Arama Kutusu', 'kanews-admin'),
          'covid'       => esc_html__('Türkiye Tüm Covid Verileri', 'kanews-admin'),
          'covid-daily'       => esc_html__('Türkiye Son Covid Verileri', 'kanews-admin'),
          'currencies'  => esc_html__('Döviz Kurları', 'kanews-admin')
        ),
        'default' => 'search'
      ),
      // Header Middle: Select Currencies
      array(
        'id'         => 'header-center-currencies',
        'type'       => 'button_set',
        'title'      => esc_html__('Gözükecek Para Birimleri', 'kanews-admin'),
        'dependency' => array( 'header-center', '==', 'currencies' ),
        'multiple'   => true,
        'options'    => array(
          'usd'     => esc_html__('USD/TRY', 'kanews-admin'),
          'euro'    => esc_html__('EUR/TRY', 'kanews-admin'),
          'gbp'     => esc_html__('GBP/TRY', 'kanews-admin'),
          'eur-usd' => esc_html__('EUR/USD', 'kanews-admin'),
          'ise-100' => esc_html__('Bist 100', 'kanews-admin'),
          'gau'     => esc_html__('Gram Altın', 'kanews-admin'),
          'btc' => esc_html__('Bitcoin', 'kanews-admin'),
          'eth' => esc_html__('Ethereum', 'kanews-admin'),
          'bch' => esc_html__('Bitcoin Cash', 'kanews-admin'),
          'xrp' => esc_html__('XRP', 'kanews-admin'),
          'ltc' => esc_html__('Litecoin', 'kanews-admin'),
        ),
        'default' => array('usd', 'euro', 'gbp', 'btc', 'ise-100', 'gau')
      ),
      // User/Login Button
      array(
        'id'      => 'login-user-button',
        'title'   => esc_html__('Üyelik Butonu', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => false
      ),
      // Search Button
      array(
        'id'      => 'search-button',
        'title'   => esc_html__('Arama Butonu', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => false
      ),
      // action Button
      array(
        'id'      => 'action-button',
        'title'   => esc_html__('Araçlar Butonu', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => false
      ),
      array(
        'id'         => 'action-items',
        'type'       => 'button_set',
        'title'      => esc_html__('Gözükecek Araçlar', 'kanews-admin'),
        'dependency' => array( 'action-button', '==', 'true' ),
        'multiple'   => true,
        'options'    => array(
          'breaking-news'     => esc_html__('Son Dakika', 'kanews-admin'),
          'currencies'     => esc_html__('Döviz Kurları', 'kanews-admin'),
          'covid'     => esc_html__('Covid 19', 'kanews-admin'),
          'cryptocurrency'     => esc_html__('Kripto Paralar', 'kanews-admin'),
          'weather'     => esc_html__('Hava Durumu', 'kanews-admin'),
          'standings'     => esc_html__('Puan Durumları', 'kanews-admin'),
          'newspaper'     => esc_html__('Gazeteler', 'kanews-admin'),
          'live'     => esc_html__('Canlı TV', 'kanews-admin'),
          'traffic'     => esc_html__('Yol Durumu', 'kanews-admin'),
          
        ),
      ),
      array(
        'id'          => 'action-item-covid-page',
        'type'        => 'select',
        'dependency'  => array( 'action-items|action-button', 'any|==', 'covid|true' ),
        'title'       => esc_html__('Covid 19 Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),
      array(
        'id'          => 'action-item-weather-page',
        'type'        => 'select',
        'dependency'  => array( 'action-items|action-button', 'any|==', 'weather|true' ),
        'title'       => esc_html__('Hava Durumu Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),
      array(
        'id'          => 'action-item-currencies-page',
        'type'        => 'select',
        'dependency'  => array( 'action-items|action-button', 'any|==', 'currencies|true' ),
        'title'       => esc_html__('Döviz Kurları Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),
      array(
        'id'          => 'action-item-cryptocurrency-page',
        'type'        => 'select',
        'dependency'  => array( 'action-items|action-button', 'any|==', 'cryptocurrency|true' ),
        'title'       => esc_html__('Kripto Paralar Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),
      array(
        'id'          => 'action-item-breaking-news-page',
        'type'        => 'select',
        'dependency'  => array( 'action-items|action-button', 'any|==', 'breaking-news|true' ),
        'title'       => esc_html__('Son Dakika Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),
      array(
        'id'          => 'action-item-standings-page',
        'type'        => 'select',
        'dependency'  => array( 'action-items|action-button', 'any|==', 'standings|true' ),
        'title'       => esc_html__('Puan Durumları Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),
      array(
        'id'          => 'action-item-newspaper-page',
        'type'        => 'select',
        'dependency'  => array( 'action-items|action-button', 'any|==', 'newspaper|true' ),
        'title'       => esc_html__('Gazeteler Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),
      array(
        'id'          => 'action-item-live-page',
        'type'        => 'select',
        'dependency'  => array( 'action-items|action-button', 'any|==', 'live|true' ),
        'title'       => esc_html__('Canlı TV Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),
      array(
        'id'          => 'action-item-traffic-page',
        'type'        => 'select',
        'dependency'  => array( 'action-items|action-button', 'any|==', 'traffic|true' ),
        'title'       => esc_html__('Yol Durumu Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),
    

      // Header
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Navbar Ayarları', 'kanews-admin'),
      ),
      // User/Login Button
      array(
        'id'      => 'home-button',
        'title'   => esc_html__('Anasayfa Butonu', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),

      // Header
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Son Dakika Barı Ayarları', 'kanews-admin'),
      ),

      array(
        'id'      => 'subnavbar-left-bn',
        'title'   => esc_html__('Son Dakika Barı', 'kanews-admin'),
        'type'    => 'switcher',
        'type'    => 'switcher',
        'default' => false
      ),

      // Sub Header Left: Set Query for Breaking News Ticker
      array(
        'id'          => 'subnavbar-left-bn-cats',
        'type'        => 'select',
        'title'       => esc_html__('Kategoriler', 'kanews-admin'),
        'chosen'      => true,
        'multiple'    => true,
        'sortable'    => true,
        'options'     => 'category',
        'placeholder' => esc_html__('Tüm Kategoriler', 'kanews-admin')
      ),

      array(
        'id'      => 'subnavbar-left-bn-sortby',
        'type'    => 'select',
        'title'   => esc_html__('Göre Sırala', 'kanews-admin'),
        'options' => array(
          'recent' => esc_html__('Yayınlanma Tarihine Göre', 'kanews-admin'),
          'modified' => esc_html__('Düzenlenme Tarihine Göre', 'kanews-admin'),
        ),
        'default' => 'modified'
      ),

      array(
        'id'       => 'subnavbar-left-bn-count',
        'type'     => 'slider',
        'title'    => esc_html__('Yazı Sayısı', 'kanews-admin'),
        'min'      => 1,
        'max'      => 15,
        'step'     => 1,
        'default'  => 5,
      ),

      array(
        'id'          => 'subnavbar-left-bn-post-not-in',
        'type'        => 'select',
        'title'       => esc_html__('Hariç Tutulan Yazılar', 'kanews-admin'),
        'chosen'      => true,
        'multiple'    => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'posts',
        'placeholder' => esc_html__( 'Yazı Seçin', 'kanews-admin' ),
      ),


    )
  ));

  /**
	 * Footer
   */	
   CSF::createSection( $prefix, array(
    'title'  => esc_html__('Footer Ayarları', 'kanews-admin'),
    'icon'  => 'fas fa-city',
    'fields' => array(
      array(
        'type'    => 'heading',
        'content' => esc_html__('Footer Ayaları', 'kanews-admin'),
      ),
       // Layout
       array(
        'id'      => 'footer-layout',
        'type'    => 'image_select',
        'title'   => esc_html__('Görünüm', 'kanews-admin'),
        'options' => array(
          'style-1' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/footer/1.png',
        ),
        'default' => 'style-1',
      ),
      array(
        'id'      => 'footer-skin',
        'type'    => 'select',
        'class'    => 'yeni',
        'title'   => esc_html__('Mod', 'kanews-admin'),
        'options' => array(
          'dark' => esc_html__('Koyu', 'kanews-admin'),
          'light' => esc_html__('Açık', 'kanews-admin'),
        ),
        'default' => 'light'
      ),

      // Logo
      array(
        'id'     => 'logo-2',
        'type'   => 'fieldset',
        'title'   => esc_html__('Site Logosu', 'kanews-admin' ),
        'fields' => array(
          array(
            'id'      => 'type',
            'type'    => 'radio',
            'inline'  => false,
            'options' => array(
              'text'    => esc_html__('Yazı', 'kanews-admin'),
              'img'    => esc_html__('Görsel', 'kanews-admin'),
            ),
          ),
          array(
            'id'    => 'logo-text',
            'type'  => 'text',
            'title' => __('Site İsmi', 'kanews-admin'),
            'dependency' => array( 'type', '==', 'text' ),
          ),
          array(
            'type'       => 'media',
            'id'          => 'logo-img',
            'button_title' => esc_html__('Görsel Yükle', 'kanews-admin'),
            'dependency' => array( 'type', '==', 'img' ),
          ),
        ),
        'default' => array(
          'type' => 'text',
          'logo-text' => KAN_THEME_NAME,
        ),
      ),

      // Widgets
      array(
        'id'    => 'footer-widgets',
        'title'  => esc_html__('Bileşenler', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ),

      // Sosyal
      array(
        'id'    => 'footer-social-links',
        'title'  => esc_html__('Sosyal Medya', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ),
      array(
        'id'     => 'social-links',
        'type'   => 'group',
        'dependency' => array( 'footer-social-links', '==', 'true' ),
        'title'  => esc_html__('Hesap Oluştur', 'kanews-admin'),
        'button_title'  => esc_html__('Yeni Ekle', 'kanews-admin'),
        'fields' => array(
          array(
            'id'    => 'title',
            'type'  => 'text',
            'title' => __('Başlık', 'kanews-admin'),
          ),
          array(
            'id'    => 'icon',
            'type'  => 'text',
            'title' => esc_html__('İkon', 'kanews-admin'),
          ),
          array(
            'id'       => 'url',
            'type'     => 'text',
            'title'    => 'URL',
            'default'  => 'https://www.',
            'validate' => 'csf_validate_url',
          ),
        ),
        'default' => array(
          array(
            'title' => esc_html__('Facebook', 'kanews-admin'),
            'icon' => 'icon-facebook',
            'url' => '#',
          ),
          array(
            'title' => esc_html__('Twitter', 'kanews-admin'),
            'icon' => 'icon-twitter',
            'url' => '#',
          ),
        ),
      ),

      // Copyright
      array(
        'id'    => 'footer-bottom-text',
        'type'  => 'textarea',
        'title'  => esc_html__('Telif Hakkı Yazısı', 'kanews-admin'),
        'desc'  => __('Sitenin altında bulunan alanın ortasında gözükecek olan yazıyı girin, öneri olaak telif hakkı yazısı olabilir. Aşağıdaki kısa kodları destekler.<br>
        <code>%year%</code> : Geçerli yıl<br>
        <code>%site%</code> : Sitenin adı<br>
        <code>%url%</code> : Site Linki
        ', 'kanews-admin'),
        'default' => __( '&copy; Telif Hakkı %year%, Tüm Hakları Saklıdır.', 'kanews' ),
      ),

    )
  ));
  

  /**
	 * Mobil 
   */	
   CSF::createSection( $prefix, array(
    'title'  => esc_html__('Mobil Ayarları', 'kanews-admin'),
    'icon'  => 'fas fa-mobile-alt',
    'fields' => array(
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Mobil Menü Ayaları', 'kanews-admin'),
      ),
      array(
        'id'      => 'mobile-menu-search',
        'title'   => esc_html__('Arama Kutusu', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      array(
        'id'    => 'mobile-menu-footer-text',
        'type'  => 'textarea',
        'title'  => esc_html__('Telif Hakkı Yazısı', 'kanews-admin'),
        'desc'  => __('Sitenin altında bulunan alanın ortasında gözükecek olan yazıyı girin, öneri olaak telif hakkı yazısı olabilir. Aşağıdaki kısa kodları destekler.<br>
        <code>%year%</code> : Geçerli yıl<br>
        <code>%site%</code> : Sitenin adı<br>
        <code>%url%</code> : Site Linki
        ', 'kanews-admin'),
        'default' => __( '&copy; Telif Hakkı %year%, Tüm Hakları Saklıdır.', 'kanews' ),
      ),
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Yazı Sayfası', 'kanews-admin'),
      ),
      array(
        'id'      => 'single-sidebar',
        'title'   => esc_html__('Yazı Sayfasında Sidebarı Göster', 'kanews-admin'),
        'type'    => 'switcher',
        
        'default' => true
      ),
    )
  ));

  /**
	 * AMP 
   */	
   CSF::createSection( $prefix, array(
    'title'  => esc_html__('AMP Ayarları', 'kanews-admin'),
    'icon'  => 'fas fa-bolt',
    'fields' => array(
      array(
        'type'    => 'notice',
        'style'   => 'danger',
        'content' => '<a target="_blank" href="'.admin_url('plugin-install.php?tab=plugin-information&amp;plugin=amp&amp;TB_iframe=true&amp;width=640&amp;height=500').'">Amp</a> eklentisinin kurulu olması gerekiyor. Template Mode: Okuyucu olmalı!        ',
      ),
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Header Ayaları', 'kanews-admin'),
      ),
       // Logo
       array(
        'id'     => 'amp-logo',
        
        'type'   => 'fieldset',
        'title'   => esc_html__('Site Logosu', 'kanews-admin' ),
        'fields' => array(
          array(
            'id'      => 'type',
            'type'    => 'radio',
            'inline'  => false,
            'options' => array(
              'text'    => esc_html__('Yazı', 'kanews-admin'),
              'img'    => esc_html__('Görsel', 'kanews-admin'),
            ),
          ),
          array(
            'id'    => 'logo-text',
            'type'  => 'text',
            
            'title' => __('Site İsmi', 'kanews-admin'),
            'dependency' => array( 'type', '==', 'text' ),
          ),
          array(
            'type'       => 'media',
            'id'          => 'logo-img',
            'button_title' => esc_html__('Görsel Yükle', 'kanews-admin'),
            'dependency' => array( 'type', '==', 'img' ),
          ),
        ),
        'default' => array(
          'type' => 'text',
          'logo-text' => KAN_THEME_NAME,
        ),
      ),
      array(
        'id'      => 'amp-menu',
        'title'   => esc_html__('Menu', 'kanews-admin'),
        'type'    => 'switcher',
        
        'default' => true
      ),
      array(
        'id'      => 'amp-search',
        'title'   => esc_html__('Arama', 'kanews-admin'),
        'type'    => 'switcher',
        
        'default' => true
      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('İçerik Ayaları', 'kanews-admin'),
      ),
      array(
        'id'      => 'amp-post-excerpt',
        'title'   => esc_html__('Yazı Açıklaması', 'kanews-admin'),
        
        'type'    => 'switcher',
        'default' => true
      ),
      array(
        'id'      => 'amp-post-author',
        'title'   => esc_html__('Yazar', 'kanews-admin'),
        
        'type'    => 'switcher',
        'default' => true
      ),
      array(
        'id'      => 'amp-post-published',
        'title'   => esc_html__('Yayınlanma Tarihi ', 'kanews-admin'),
        
        'type'    => 'switcher',
        'default' => true
      ),
      array(
        'id'      => 'amp-post-updated',
        'title'   => esc_html__('Güncellenme Tarihi ', 'kanews-admin'),
        
        'type'    => 'switcher',
        'default' => true
      ),
      array(
        'id'      => 'amp-post-share',
        'title'   => esc_html__('Yazıyı Paylaş', 'kanews-admin'),
        
        'type'    => 'switcher',
        'default' => true
      ),
      array(
        'id'      => 'amp-google-news',
        'title'   => esc_html__('Google News', 'kanews-admin'),
        
        'type'    => 'switcher',
        'default' => true
      ),
      array(
        'id'      => 'amp-cats',
        'title'   => esc_html__('Kategoriler', 'kanews-admin'),
        
        'type'    => 'switcher',
        'default' => false
      ),
      array(
        'id'      => 'amp-tags',
        'title'   => esc_html__('Etiketler', 'kanews-admin'),
        
        'type'    => 'switcher',
        'default' => false
      ),
      array(
        'id'      => 'amp-related',
        'title'   => esc_html__('Benzer Yazılar', 'kanews-admin'),
        
        'type'    => 'switcher',
        'default' => false
      ),
      array(
        'id'       => 'amp-related-count',
        'type'     => 'slider',
        'dependency' => array( 'amp-related', '!=', 'false' ),
        'title'    => esc_html__('Yazı Sayısı', 'kanews-admin'),
        
        'min'      => 1,
        'max'      => 20,
        'step'     => 1,
        'default'  => 6,
      ),

      // Footer
      array(
        'type'    => 'subheading',
        'content' => __('Reklam Yönetimi', 'kanews-admin'),
      ),
      array(
        'id'    => 'amp-auto-ads-switch',
        'type'  => 'switcher',
        
        'sanitize' => false,
        'title'  => esc_html__('Otomatik Reklam', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'amp-auto-ads',
        'type'  => 'code_editor',
        'sanitize' => false,
        
        'subtitle'  => esc_html__('Amp için otomatik reklamlar kodunuzu ekleyin. Sadece [amp-ad] kodlarını destekler.', 'kanews-admin'),
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'amp-auto-ads-switch', '==', 'true' ),
      ),
      array(
        'id'    => 'amp-ad-header-switch',
        'type'  => 'switcher',
        'sanitize' => false,
        
        'title'  => esc_html__('Header Altı', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'amp-ad-header',
        'type'  => 'code_editor',
        'sanitize' => false,
        
        'subtitle'  => esc_html__('Tüm sayfalarda headerın hemen altında gözükür.', 'kanews-admin').'Sadece [amp-ad] kodlarını destekler.',
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'amp-ad-header-switch', '==', 'true' ),
      ),
      array(
        'id'    => 'amp-ad-footer-switch',
        'type'  => 'switcher',
        'sanitize' => false,
        
        'title'  => esc_html__('Footer Üstü', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'amp-ad-footer',
        'type'  => 'code_editor',
        'sanitize' => false,
        
        'subtitle'  => esc_html__('Tüm sayfalarda footerın hemen üstünde gözükür.', 'kanews-admin').'Sadece [amp-ad] kodlarını destekler.',
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'amp-ad-footer-switch', '==', 'true' ),
      ),      
      array(
        'id'    => 'amp-ad-single-above-switch',
        'type'  => 'switcher',
        'title'  => esc_html__('Yazı Başlangıç', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'amp-ad-single-above',
        'type'  => 'code_editor',
        
        'sanitize' => false,
        'subtitle'  => esc_html__('Tüm yazıların yazı içeriğinin en üstünde gözükür.', 'kanews-admin').'Sadece [amp-ad] kodlarını destekler.',
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'amp-ad-single-above-switch', '==', 'true' ),
      ),
      array(
        'id'    => 'amp-ad-single-below-switch',
        'type'  => 'switcher',
        
        'title'  => esc_html__('Yazı Sonu', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'amp-ad-single-below',
        'type'  => 'code_editor',
        'sanitize' => false,
        
        'subtitle'  => esc_html__('Tüm yazıların yazı içeriğinin en altında gözükür.', 'kanews-admin').'Sadece [amp-ad] kodlarını destekler.',
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'amp-ad-single-below-switch', '==', 'true' ),
      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Diğer Ayalar', 'kanews-admin'),
      ),

      // WP Head
      array(
        'id'    => 'amp-wp-head',
        'type'  => 'code_editor',
        
        'sanitize' => false,
        'desc'  => esc_html__('Head etiketi içerisine kod eklemenizi sağlar, örneğin meta kodları.', 'kanews-admin'),
        'title'  => esc_html__('Head Kodları', 'kanews-admin'),
      ),

      // WP Footer
      array(
        'id'    => 'amp-wp-footer',
        'type'  => 'code_editor',
        
        'sanitize' => false,
        'desc'  => esc_html__('Body etiketinin sonuna kod eklemenizi sağlar, örneğin google analiz kodları, adsense kodları.', 'kanews-admin'),
        'title'  => esc_html__('Footer Kodları', 'kanews-admin'),
      ),
    )
  ));

  /**
	 * Single page
   */	
   CSF::createSection( $prefix, array(
    'title'  => esc_html__('Yazı Sayfası', 'kanews-admin'),
    'icon'  => 'far fa-newspaper',
    'fields' => array(
      array(
        'type'    => 'heading',
        'content' => esc_html__('Yazı Sayfası', 'kanews-admin'),
      ),
       // Layout
       array(
        'id'      => 'single-layout',
        'type'    => 'select',
        'title'   => esc_html__('Görünüm', 'kanews-admin'),
        'options' => array(
          '1' => '1',
          '2' => '2',
          '3' => '3',
          '4' => '4'
        ),
        'default' => '1',
      ),
      // Post Header
      array(
        'id'         => 'single-layout-block',
        'type'       => 'select',
        'title'      => esc_html__('Görünüm Detay', 'kanews-admin'),
        'options'    => array(
          'flat'     => esc_html__('Düz', 'kanews-admin'),
          'box'      => esc_html__('Kutu', 'kanews-admin'),
        ),
        'default' => 'box'
      ),
      // Infinite Post Scroll
      array(
        'id'      => 'infinite-post-scroll',
        'title'   => esc_html__('Sonsuz Yazı Kaydırma', 'kanews-admin'),
        'desc'   => esc_html__('Yazı sonuna gelindiğinde bir sonraki yazı yüklenir.', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Post Pagination
      array(
        'id'         => 'single-pagination',
        'type'       => 'select',
        'title'      => esc_html__('Yazı içi Sayfalama', 'kanews-admin'),
        'options'    => array(
          'number'   => esc_html__('Numaralı Sayfalama', 'kanews-admin'),
          'infinite' => esc_html__('Aşağı İndikçe Yükle', 'kanews-admin'),
          'button'   => esc_html__('Daha Fazla Yükle Butonu ile', 'kanews-admin'),
        ),
        'default' => 'number'
      ),
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Video Formatı', 'kanews-admin'),
      ),

      // Layout
      array(
        'id'      => 'single-video-layout',
        'type'    => 'select',
        'title'   => esc_html__('Görünüm', 'kanews-admin'),
        'options' => array(
          'x' => 'Video Özel',
          '1' => '1',
          '2' => '2',
          '3' => '3',
          '4' => '4'
        ),
        'default' => 'x',
      ),
      // Show More
      array(
        'id'      => 'show-post-more',
        'title'   => esc_html__('Daha Fazla Göster', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Diğer Ayarlar', 'kanews-admin'),
      ),
      // Breadcrumb
      array(
        'id'      => 'show-post-comments',
        'title'   => esc_html__('Tüm Yazıları Yoruma Kapat', 'kanews-admin'),
        'type'    => 'switcher',
        'class'    => 'yeni',
        'default' => false
      ),
      // Breadcrumb
      array(
        'id'      => 'show-post-breadcrumb',
        'title'   => esc_html__('Breadcrumb', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Share Switch
      array(
        'id'      => 'show-post-share',
        'title'   => esc_html__('Yazıyı Paylaş', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Share
      array(
        'id'      => 'post-share',
        'type'    => 'button_set',
        'title'   => esc_html__('Paylaş Butonları', 'kanews-admin'),
        'dependency' => array( 'show-post-share', '==', 'true' ),
        'multiple' => true,
        'options' => array(
          'facebook' => 'Facebook',
          'twitter' => 'Twitter',
          'whatsapp' => 'Whatsapp',
          'telegram' => 'Telegram',
          'pinterest' => 'Pinterest',
          'email' => 'E-Posta',
        ),
        'default' => array('facebook', 'twitter', 'whatsapp', 'email')
      ),
      array(
        'id'         => 'post-share-style',
        'type'       => 'select',
        'title'      => esc_html__('Paylaş Butonları Görünümü', 'kanews-admin'),
        'options'    => array(
          // '1'     => esc_html__('Görünüm', 'kanews-admin').' #1',
          '2'     => esc_html__('Görünüm', 'kanews-admin').' #2',
          '3'     => esc_html__('Görünüm', 'kanews-admin').' #3',
          '4'     => esc_html__('Görünüm', 'kanews-admin').' #4',
          '5'     => esc_html__('Görünüm', 'kanews-admin').' #5',
        ),
        'default' => '1'
      ),
      array(
        'id'      => 'post-text-share',
        'title'   => esc_html__('Seçili Yazıyı Paylaş', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Thumbnail
      array(
        'id'      => 'show-post-thumbnail',
        'title'   => esc_html__('Öne Çıkarılan Görsel', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Excerpt
      array(
        'id'      => 'show-post-excerpt',
        'title'   => esc_html__('Yazı Açıklaması', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Cat
      array(
        'id'      => 'show-post-cat',
        'title'   => esc_html__('Kategori', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Author
      array(
        'id'      => 'show-post-author',
        'title'   => esc_html__('Yazar', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Post Date
      array(
        'id'      => 'show-post-date',
        'title'   => esc_html__('Yayınlanma Tarihi', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Post Update Date
      array(
        'id'      => 'show-post-update-date',
        'title'   => esc_html__('Güncelleme Tarihi', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Post Views
      array(
        'id'      => 'show-post-views',
        'title'   => esc_html__('Okunma Sayısı', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => false
      ),
      // Post Reading Time
      array(
        'id'      => 'show-post-reading-time',
        'title'   => esc_html__('Okuma Süresi', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => false
      ),
      // Post Assets
      array(
        'id'      => 'show-post-assets',
        'title'   => esc_html__('Yazı Araçları', 'kanews-admin'),
        'desc'   => esc_html__('Yazı içeriğinin boyutu ayarlayan, hızlı yorum yap gibi işlevsel butonların durumu.', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => false
      ),
      // Post Tags
      array(
        'id'      => 'show-post-tags',
        'title'   => esc_html__('Etiketler', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => true
      ),
      // Popular Comments
      array(
        'id'      => 'show-popular-comments',
        'title'   => esc_html__('Popüler Yorumlar', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => false
      ),
      // Excerpt Lenght
      array(
        'id'       => 'popular-comments-count',
        'type'     => 'slider',
        'dependency' => array( 'show-popular-comments', '==', 'true' ),
        'title'    => esc_html__('Popüler Yorum Sayısı', 'kanews-admin'),
        'min'      => 1,
        'max'      => 5,
        'step'     => 1,
        'default'  => 2,
      ),

      // Reaction
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Reaksiyon', 'kanews-admin'),
      ),
      array(
        'id'      => 'reaction-system',
        'title'   => esc_html__('Reaksiyon Sistemi', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => false
      ),
      array(
        'id'     => 'reaction-buttons',
        'type'   => 'group',
        'dependency' => array( 'reaction-system', '==', 'true' ),
        'title'  => esc_html__('Emoji Oluştur', 'kanews-admin'),
        'button_title'  => esc_html__('Yeni Ekle', 'kanews-admin'),
        'fields' => array(
          array(
            'id'    => 'title',
            'type'  => 'text',
            'title' => __('Başlık', 'kanews-admin'),
          ),
          array(
            'id'    => 'emoji',
            'type'  => 'upload',
            'title' => esc_html__('Emoji', 'kanews-admin'),
            'desc' => '<a href="https://www.flaticon.com/packs/emoji-17?word=emoji" target="_blank">Emoji paketi</a>',
          ),
        ),
        'default' => array(
          array(
            'title' => esc_html__( 'Mutlu', 'kanews' ),
            'emoji' => KAN_TEMPLATE_URL .'/assets/img/emoji/happy.svg',
          ),
          array(
            'title' => esc_html__( 'Üzgün', 'kanews' ),
            'emoji' => KAN_TEMPLATE_URL .'/assets/img/emoji/sad.svg',
          ),
          array(
            'title' => esc_html__( 'Sinirli', 'kanews' ),
            'emoji' => KAN_TEMPLATE_URL .'/assets/img/emoji/angry.svg',
          ),
          array(
            'title' => esc_html__( 'Şaşırmış', 'kanews' ),
            'emoji' => KAN_TEMPLATE_URL .'/assets/img/emoji/shocked.svg',
          ),
          array(
            'title' => esc_html__( 'Virüslü', 'kanews' ),
            'emoji' => KAN_TEMPLATE_URL .'/assets/img/emoji/sick.svg',
          ),
        ),
      ),

      // Related Posts
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Benzer Yazılar', 'kanews-admin'),
      ),
      
      array(
        'id'      => 'related-posts-style',
        'type'    => 'image_select',
        'title'   => esc_html__('Görünüm', 'kanews-admin'),
        'options' => array(
          '1' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/1.png',
          '2' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/2.png',
          '3' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/3.png',
          '4' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/4.png',
          '5' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/5.png',
          'disable' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/disable.png',
        ),
        'default' => '3',
      ),
      array(
        'id'      => 'related-posts-sortby',
        'type'    => 'select',
        'title'   => esc_html__('Göre Sırala', 'kanews-admin'),
        'dependency' => array( 'related-posts-style', '!=', 'disable' ),
        'desc'   => 'Benzer yazıları sıralanışını belirler, tüm seçenekler ilk olarak ana yazının kategorisi baz alır (Etike göre rastgele seçeneği hariç',
        'options' => array(
          'recent' => esc_html__('Yayınlanma Tarihine Göre', 'kanews-admin'),
          'post-modified' => esc_html__('Düzenlenme Tarihine Göre', 'kanews-admin'),
          'post-viewed' => esc_html__('En Çok Okunan Yazı', 'kanews-admin'),
          'post-viewed-monthly' => esc_html__('En Çok Okunan Yazı', 'kanews-admin').' - '.esc_html__('Aylık', 'kanews-admin'),
          'post-viewed-weekly' => esc_html__('En Çok Okunan Yazı', 'kanews-admin').' - '.esc_html__('Haftalık', 'kanews-admin'),
          'post-viewed-daily' => esc_html__('En Çok Okunan Yazı', 'kanews-admin').' - '.esc_html__('Günlük', 'kanews-admin'),
          'commented' => esc_html__('En Çok Yorum Yapılan', 'kanews-admin'),
          'random' => esc_html__('Rastgele', 'kanews-admin'),
          'tag' => esc_html__('Etikete Göre Rastgele', 'kanews-admin'),
        ),
        'default' => 'random'
      ),
      array(
        'id'       => 'related-posts-count',
        'type'     => 'slider',
        'dependency' => array( 'related-posts-style', '!=', 'disable' ),
        'title'    => esc_html__('Yazı Sayısı', 'kanews-admin'),
        'min'      => 1,
        'max'      => 20,
        'step'     => 1,
        'default'  => 6,
      ),
    )
  ));

  /**
	 * Archives 
   */	
   CSF::createSection( $prefix, array(
    'title'  => esc_html__('Arşiv Sayfaları', 'kanews-admin'),
    'icon'  => 'fas fa-archive',
    'fields' => array(

      array(
        'type'    => 'heading',
        'content' => esc_html__('Arşiv Sayfaları', 'kanews-admin'),
      ),
      
      // Pagination
      array(
        'id'         => 'archives-pagination',
        'type'       => 'select',
        'title'      => esc_html__('Sayfalama Şekli', 'kanews-admin'),
        'options'    => array(
          'classic'     => esc_html__('Klasik Sayfalama', 'kanews-admin'),
          'number'     => esc_html__('Numaralı Sayfalama', 'kanews-admin'),
          'button'     => esc_html__('Daha Fazla Yükle Butonu', 'kanews-admin'),
          'infinite'     => esc_html__('Sonsuz Yazılar', 'kanews-admin'),
        ),
        'default' => 'classic'
      ),

      // Excerpt Lenght
      array(
        'id'       => 'excerpt-length',
        'type'     => 'slider',
        'title'    => esc_html__('Arşiv Yazı Açıklama Uzunluğu', 'kanews-admin'),
        'min'      => 0,
        'max'      => 35,
        'step'     => 1,
        'default'  => 7,
      ),

      array(
        'id'    => 'cat-links',
        'title'  => esc_html__('Arşivlerden Kategori Butonlarını Gizle', 'kanews-admin'),
        'type'  => 'switcher',
        
        'default' => false
      ),

      // Home Archives
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Anasayfa', 'kanews-admin'),
      ),
      
      array(
        'id'      => 'home-recent-post-style',
        'type'    => 'image_select',
        'title'   => esc_html__('Görünüm', 'kanews-admin'),
        'options' => array(
          '1' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/1.png',
          '2' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/2.png',
          '3' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/3.png',
          '4' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/4.png',
          '5' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/5.png',
          'disable' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/disable.png',
        ),
        'default' => '1',
      ),

      // Category Archives
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Kategori Sayfaları', 'kanews-admin'),
      ),
      
      // Cat Archives: Category Recent Post Style
      array(
        'id'      => 'cat-recent-post-style',
        'type'    => 'image_select',
        'title'   => esc_html__('Görünüm', 'kanews-admin'),
        'options' => array(
          '1' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/1.png',
          '2' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/2.png',
          '3' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/3.png',
          '4' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/4.png',
          '5' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/5.png',
        ),
        'default' => '3',
      ),

      array(
        'id'          => 'category-sidebar2',
        'type'        => 'select',
        'title'       => esc_html__('Özel Kategori Şablonu', 'kanews-admin'),
        'desc'        => esc_html__('Seçtiğiniz kategoriler için özel sidebar alanları oluşturulur. Çoklu seçim için CTRL kullanın.', 'kanews-admin'),
        'multiple'    => true,
        'options' => 'prefix_get_something',
        'placeholder' => 'Select a category',
      ),

      array(
        'id'    => 'category-right-sidebar',
        'title'  => esc_html__('Sağ Sidebar', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ),

      array(
        'id'    => 'navbar-sub-category',
        'title'  => esc_html__('Alt Kategori Barı', 'kanews-admin'),
        'subtitle'  => esc_html__('Kategori sayfasında navbar altında alt kategorileri listeler.', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ),

      // Tag Archives
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Etiket Sayfaları', 'kanews-admin'),
      ),
      
      // Tag Archives: Recent Post Style
      array(
        'id'      => 'tag-recent-post-style',
        'type'    => 'image_select',
        'title'   => esc_html__('Görünüm', 'kanews-admin'),
        'options' => array(
          '1' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/1.png',
          '2' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/2.png',
          '3' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/3.png',
          '4' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/4.png',
          '5' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/5.png',
        ),
        'default' => '4',
      ),

      // Author Archives
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Yazar Sayfaları', 'kanews-admin'),
      ),
      
      // Author Archives: Recent Post Style
      array(
        'id'      => 'author-recent-post-style',
        'type'    => 'image_select',
        'title'   => esc_html__('Görünüm', 'kanews-admin'),
        'options' => array(
          '1' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/1.png',
          '2' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/2.png',
          '3' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/3.png',
          '4' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/4.png',
          '5' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/5.png',
        ),
        'default' => '3',
      ),


      // Other
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Diğer Sayfalar', 'kanews-admin'),
      ),
      
      // Other Archives: Pages Recent Post Style
      array(
        'id'      => 'other-recent-post-style',
        'type'    => 'image_select',
        'title'   => esc_html__('Görünüm', 'kanews-admin'),
        'options' => array(
          '1' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/1.png',
          '2' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/2.png',
          '3' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/3.png',
          '4' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/4.png',
          '5' => KAN_TEMPLATE_URL .'/framework/admin/assets/images/archives/5.png',
        ),
        'default' => '1',
      ),

    )
  ));

  /**
	 * Advertisment
   */	
   CSF::createSection( $prefix, array(
    'title'  => esc_html__('Reklam Yönetimi', 'kanews-admin'),
    'icon'  => 'fas fa-hand-holding-usd',
    'fields' => array(
      array(
        'type'    => 'heading',
        'content' => esc_html__('Reklam Yönetimi', 'kanews-admin'),
      ),

      array(
        'id'    => 'ad-header-switch',
        'type'  => 'switcher',
        'title'  => esc_html__('Header Reklamları', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-header',
        'type'  => 'code_editor',
        'sanitize' => false,
        'subtitle'  => esc_html__('Tüm sayfalarda headerın hemen altında gözükür.', 'kanews-admin'),
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-header-switch', '==', 'true' ),
      ),

      // Footer
      array(
        'type'    => 'subheading',
        'content' => __('Footer Reklamları', 'kanews-admin'),
      ),
      array(
        'id'    => 'ad-footer-switch',
        'type'  => 'switcher',
        'sanitize' => false,
        'title'  => esc_html__('Footer Üstü', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-footer',
        'type'  => 'code_editor',
        'sanitize' => false,
        'subtitle'  => esc_html__('Tüm sayfalarda footerın hemen üstünde gözükür.', 'kanews-admin'),
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-footer-switch', '==', 'true' ),
      ),

      // Left Side
      array(
        'type'    => 'subheading',
        'content' => __('Kenar Reklamları', 'kanews-admin'),
      ),
      array(
        'id'    => 'ad-left-side-switch',
        'type'  => 'switcher',
        'title'  => esc_html__('Sabit Sol Reklam', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-left-side',
        'type'  => 'code_editor',
        'sanitize' => false,
        'desc'  => esc_html__('Minumum 1500px genişliğie sahip ekranlarda gözükür.', 'kanews-admin'),
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-left-side-switch', '==', 'true' ),
      ),
      array(
        'id'    => 'ad-right-side-switch',
        'type'  => 'switcher',
        'title'  => esc_html__('Sabit Sağ Reklam', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-right-side',
        'type'  => 'code_editor',
        'sanitize' => false,
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'desc'  => esc_html__('Minumum 1500px genişliğie sahip ekranlarda gözükür.', 'kanews-admin'),
        'dependency' => array( 'ad-right-side-switch', '==', 'true' ),
      ),


      // Yazı
      array(
        'type'    => 'subheading',
        'content' => __('Yazı Reklamları', 'kanews-admin'),
      ),
      
      array(
        'id'    => 'ad-single-above-switch',
        'type'  => 'switcher',
        'title'  => esc_html__('Yazı Başlangıç', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-single-above',
        'type'  => 'code_editor',
        'sanitize' => false,
        'subtitle'  => esc_html__('Tüm yazıların yazı içeriğinin en üstünde gözükür.', 'kanews-admin'),
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-single-above-switch', '==', 'true' ),
      ),
      array(
        'id'    => 'ad-single-below-switch',
        'type'  => 'switcher',
        'title'  => esc_html__('Yazı Sonu', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-single-below',
        'type'  => 'code_editor',
        'sanitize' => false,
        'subtitle'  => esc_html__('Tüm yazıların yazı içeriğinin en altında gözükür.', 'kanews-admin'),
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-single-below-switch', '==', 'true' ),
      ),

      array(
        'id'    => 'ad-single-amid-switch',
        'type'  => 'switcher',
        'title'  => esc_html__('Yazı Ortası', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-single-amid',
        'type'  => 'code_editor',
        'sanitize' => false,
        'subtitle'  => esc_html__('Tüm yazıların yazı içeriğinde belilediğiniz paragraftan sonra gözükür.', 'kanews-admin'),
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-single-amid-switch', '==', 'true' ),
      ),

      array(
        'id'       => 'ad-single-amid-limit',
        'type'     => 'slider',
        'title'    => esc_html__('Paragraf Sınırı', 'kanews-admin'),
        'dependency' => array( 'ad-single-amid-switch', '==', 'true' ),
        'min'      => 1,
        'max'      => 15,
        'step'     => 1,
        'default'  => 4,
      ),

      array(
        'id'    => 'ad-single-meta-below-switch',
        'type'  => 'switcher',
        'title'  => esc_html__('Yazı Meta Altı', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-single-meta-below',
        'type'  => 'code_editor',
        'sanitize' => false,
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-single-meta-below-switch', '==', 'true' ),
      ),

      array(
        'id'    => 'ad-single-comment-above-switch',
        'type'  => 'switcher',
        'title'  => esc_html__('Yorum Bloğu Üstü', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-single-comment-above',
        'type'  => 'code_editor',
        'sanitize' => false,
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-single-comment-above-switch', '==', 'true' ),
      ),

      array(
        'id'    => 'ad-single-shortcode-switch',
        'type'  => 'switcher',
        'title'  => esc_html__('Kısakod İle Reklam', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-single-shortcode',
        'type'  => 'code_editor',
        'sanitize' => false,
        'subtitle'  => esc_html__('Kısakodu eklediğiniz alanlarda gözükür. Kullanılması gereken kısakod: [kanews-ad]', 'kanews-admin'),
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-single-shortcode-switch', '==', 'true' ),
      ),

       // Yazı
       array(
        'type'    => 'subheading',
        'content' => __('Arşiv Reklamları', 'kanews-admin'),
      ),
      
      array(
        'id'    => 'ad-archieve-second-switch',
        'type'  => 'switcher',
        
        'title'  => esc_html__('Son Yazılar 2. Yazı Olarak', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-archieve-second',
        'type'  => 'code_editor',
        'sanitize' => false,
        
        'subtitle'  => esc_html__('Tüm yazıların yazı içeriğinin en altında gözükür.', 'kanews-admin'),
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-archieve-second-switch', '==', 'true' ),
      ),
      array(
        'id'    => 'ad-archieve-fifth-switch',
        'type'  => 'switcher',
        
        'title'  => esc_html__('Son Yazılar 5. Yazı Olarak', 'kanews-admin'),
        'default' => false,
      ),
      array(
        'id'    => 'ad-archieve-fifth',
        'type'  => 'code_editor',
        
        'sanitize' => false,
        'subtitle'  => esc_html__('Tüm yazıların yazı içeriğinin en altında gözükür.', 'kanews-admin'),
        'title'  => esc_html__('Reklam Kodu', 'kanews-admin'),
        'dependency' => array( 'ad-archieve-fifth-switch', '==', 'true' ),
      ),
    )
  ));

  /**
	 * Kanews Pages 
   */	
   CSF::createSection( $prefix, array(
    'title'  => esc_html__('Kanews Sayfaları', 'kanews-admin'),
    'icon'  => 'fas fa-bolt',
    'fields' => array(

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Akış Sayfası', 'kanews-admin'),
      ),
      array(
        'id'          => 'feed-page',
        'type'        => 'select',
        'title'       => esc_html__('Akış Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Canlı Tv', 'kanews-admin'),
      ),
      
      // Kanallar
      array(
        'id'     => 'live-tv',
        'type'   => 'group',
        'title' => esc_html__('Kanallar', 'kanews-admin'),
        'fields' => array(
          array(
            'id'    => 'title',
            'type'  => 'text',
            'title' => esc_html__('Kanal Adı', 'kanews-admin'),
          ),
          array(
            'id'    => 'logo',
            'type'  => 'upload',
            'title' => esc_html__('Kanal Logosu', 'kanews-admin'),
          ),
          array(
            'id'    => 'iframe-src',
            'type'  => 'text',
            'rows'  => '1',
            'title' => esc_html__('Embed Linki', 'kanews-admin'),
            'desc' => 'Örnek: https://www.youtube.com/embed/xxxx',
          )
        ),
      ),

      // Covid
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Covid 19 Sayfası', 'kanews-admin'),
      ),
      array(
        'id'          => 'covid-19-page',
        'type'        => 'select',
        'title'       => esc_html__('Covid 19 Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin'),
      ),

      // Hava Durumu
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Hava Durumu Sayfası', 'kanews-admin'),
      ),
      array(
        'id'          => 'weather-cities',
        'type'        => 'select',
        'title'       => esc_html__('Varsayılan Şehir', 'kanews-admin'),
        'default'     => '745042',
        'options' => 'kanews_get_turkey_cities2',
        'placeholder' => esc_html__('Şehir Seçin', 'kanews-admin'),
      ),

      // İletişim
      array(
        'type'    => 'subheading',
        'content' => esc_html__('İletişim Sayfası', 'kanews-admin'),
      ),
      array(
        'id'          => 'contact-page-description',
        'type'        => 'textarea',
        
        'default'        => 'Bizimle her konuda iletişime geçebilirsiniz, ekibimiz gün içinde mesai saatleri kapsamında cevap vermek için hazır bekliyor.',
        'title'       => esc_html__('Açıklama', 'kanews-admin'),
      ),
      array(
        'id'          => 'contact-page-email',
        'type'        => 'textarea',
        
        'default'     => 'admin@siteadresi.com',
        'title'       => esc_html__('E-Posta', 'kanews-admin'),
      ),
      array(
        'id'          => 'contact-page-phone',
        'type'        => 'textarea',
        
        'default'     => '850 8888 88',
        'title'       => esc_html__('Telefon', 'kanews-admin'),
      ),
      array(
        'id'          => 'contact-page-address',
        'type'        => 'textarea',
        
        'default'     => 'İstanbul/Mecidiyeköy',
        'title'       => esc_html__('Adres', 'kanews-admin'),
      ),
      array(
        'id'          => 'contact-page-form',
        'type'        => 'select',
        
        'title'       => esc_html__('İletişim Formu', 'kanews-admin'),
        'options'     => 'contact_forms',
        'placeholder' => esc_html__('İletişim Formu Seçin', 'kanews-admin'),
      ),
      array(
        'type'    => 'notice',
        'style'   => 'danger',
        'content' => '<a target="_blank" href="'.admin_url('plugin-install.php?tab=plugin-information&amp;plugin=contact-form-7&amp;TB_iframe=true&amp;width=640&amp;height=500').'">Contact Form 7</a> eklentisinin kurun ve form oluşturun.        ',
      ),

    )
  ));

	/**
	 * Members System
	 */
	CSF::createSection( $prefix, array(
		'title'       => esc_html__( 'Üyelik Sistemi', 'kanews-admin' ),
		'icon'        => 'fas fa-user',
		'fields'      => array(
      array(
        'type'    => 'heading',
        'content' => esc_html__('Üyelik Sistemi', 'kanews-admin'),
      ),
      // Like System
      array(
        'id'    => 'login-system',
        'title'  => esc_html__('Üyelik Sistemi', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ),
      
    
      // Kullanım Page
      array(
        'id'          => 'ks-page',
        'type'        => 'select',
        'title'       => esc_html__('Kullanım Sözleşmesi Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin')
      ),
      

      // Disable Admin Bar
      array(
        'id'    => 'wp-admin-bar-disable',
        'title'  => esc_html__('Admin Panel Çubuğunu Gizle', 'kanews-admin'),
        'type'  => 'switcher',
        
        'default' => false
      ),
      // Admin Redirect
      array(
        'id'    => 'wp-admin-redirect',
        'title'  => esc_html__('Wp-admin Sayfalarına Erişimi Engelle', 'kanews-admin'),
        'type'  => 'switcher',
        
        'default' => false
      ),
      // Like System
      array(
        'id'    => 'post-like',
        'title'  => esc_html__('Beğen Sistemi', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => true
      ),
      // Bookmark System
      array(
        'id'    => 'post-bookmark',
        'title'  => esc_html__('Favori Sistemi', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ),

      array(
        'id'     => 'user-badge',
        'type'   => 'group',
        'class'    => 'yeni',
        'title'  => esc_html__('Kullanıcı Rozetleri', 'kanews-admin'),
        'desc'  => esc_html__('Bu rozetler kullanıcı adlarının yanında gözükür (yorum yaptığında, profil sayfasında, yönetici paneli kullanıcılar sayfasında vb gibi alanlarda).', 'kanews-admin'),
        'button_title'  => esc_html__('Yeni Ekle', 'kanews-admin'),
        'fields' => array(
          array(
            'id'    => 'title',
            'type'  => 'text',
            'title' => __('Rozet Tanımı', 'kanews-admin'),
          ),
          array(
            'id'      => 'role',
            'type'    => 'select',
            'title'   => esc_html__('Eşleştirilen Wordpress Rolü', 'kanews-admin'),
            'options' => array(
              'subscriber' => esc_html__('Abone', 'kanews-admin'),
              'contributor' => esc_html__('İçerik Sağlayıcı', 'kanews-admin'),
              'author' => esc_html__('Yazar', 'kanews-admin'),
              'editor' => esc_html__('Editör', 'kanews-admin'),
              'administrator' => esc_html__('Yönetici', 'kanews-admin'),
            )
          ),
          array(
            'id'      => 'color',
            'type'    => 'color',
            'title'   => esc_html__('Rozet Arkaplanı', 'kanews-admin')
          ),
        ),
        'default' => array(
          array(
            'title' => esc_html__('Yönetici', 'kanews-admin'),
            'role' => 'administrator',
            'color' => '#e74c3c',
          ),
          array(
            'title' => esc_html__('Editör', 'kanews-admin'),
            'role' => 'editor',
            'color' => '#9b59b6',
          ),
          array(
            'title' => esc_html__('Yazar', 'kanews-admin'),
            'role' => 'author',
            'color' => '#34495e',
          ),
          array(
            'title' => esc_html__('Köşe Yazarı', 'kanews-admin'),
            'role' => 'contributor',
            'color' => '#16a085',
          ),
          array(
            'title' => esc_html__('Üye', 'kanews-admin'),
            'role' => 'subscriber',
            'color' => '#2ecc71',
          ),
        ),
      ),


      array(
        'title'  => esc_html__('Hesabım', 'kanews-admin'),
        'type'  => 'subheading'
      ),

      // Account Page
      array(
        'id'          => 'account-page',
        'type'        => 'select',
        'title'       => esc_html__('Hesabım Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin')
      ),

      // Posting System
      array(
        'id'    => 'post-submit',
        'title'  => esc_html__('İçerik Gönder', 'kanews-admin'),
        'type'  => 'switcher',
        'class'    => 'yeni',
        'default' => true
      ),
      array(
        'id'      => 'post-submit-button',
        'title'   => esc_html__('İçerik Gönder Butonu', 'kanews-admin'),
        'desc'   => esc_html__('Header\'da içerik gönder butonu oluşturur.', 'kanews-admin'),
        'dependency' => array( 'post-submit', '==', 'true' ),
        'class'    => 'yeni',
        'type'    => 'switcher',
        'default' => false
      ),
      array(
        'id'      => 'post-submit-status-editor',
        'type'    => 'select',
        'class'    => 'yeni',
        'title'   => esc_html__('Paylaşılan İçeriğin Durumu (Editör)', 'kanews-admin'),
        'dependency' => array( 'post-submit', '==', 'true' ),
        'options' => array(
          'pending' => esc_html__('Onay Sürecinde', 'kanews-admin'),
          'publish' => esc_html__('Yayınla', 'kanews-admin'),
          'draft' => esc_html__('Taslak', 'kanews-admin'),
          'private' => esc_html__('Özel', 'kanews-admin'),
        ),
        'default' => 'pending'
      ),
      array(
        'id'      => 'post-submit-status-author',
        'type'    => 'select',
        'class'    => 'yeni',
        'title'   => esc_html__('Paylaşılan İçeriğin Durumu (Yazar)', 'kanews-admin'),
        'dependency' => array( 'post-submit', '==', 'true' ),
        'options' => array(
          'pending' => esc_html__('Onay Sürecinde', 'kanews-admin'),
          'publish' => esc_html__('Yayınla', 'kanews-admin'),
          'draft' => esc_html__('Taslak', 'kanews-admin'),
          'private' => esc_html__('Özel', 'kanews-admin'),
        ),
        'default' => 'pending'
      ),
      array(
        'id'      => 'post-submit-status-contributor',
        'type'    => 'select',
        'class'    => 'yeni',
        'title'   => esc_html__('Paylaşılan İçeriğin Durumu (İçerik Sağlayıcı)', 'kanews-admin'),
        'dependency' => array( 'post-submit', '==', 'true' ),
        'options' => array(
          'pending' => esc_html__('Onay Sürecinde', 'kanews-admin'),
          'publish' => esc_html__('Yayınla', 'kanews-admin'),
          'draft' => esc_html__('Taslak', 'kanews-admin'),
          'private' => esc_html__('Özel', 'kanews-admin'),
        ),
        'default' => 'pending'
      ),
      array(
        'id'      => 'post-submit-status',
        'type'    => 'select',
        'class'    => 'yeni',
        'title'   => esc_html__('Paylaşılan İçeriğin Durumu (Üye)', 'kanews-admin'),
        'dependency' => array( 'post-submit', '==', 'true' ),
        'options' => array(
          'pending' => esc_html__('Onay Sürecinde', 'kanews-admin'),
          'publish' => esc_html__('Yayınla', 'kanews-admin'),
          'draft' => esc_html__('Taslak', 'kanews-admin'),
          'private' => esc_html__('Özel', 'kanews-admin'),
        ),
        'default' => 'pending'
      ),

      
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Kanews Insights', 'kanews-admin'),
      ),
      // Subscription System
      array(
        'id'    => 'kanews-insights',
        'title'  => esc_html__('Ücretli Abonelik Sistemi', 'kanews-admin'),
        'desc'  => esc_html__('Woocommerce eklentisi gerektirir.', 'kanews-admin'),
        'type'  => 'switcher',
        'default' => false
      ),
      // Subscription Page
      array(
        'id'          => 'kanews-insights-page',
        'type'        => 'select',
        'title'       => esc_html__('Abonelik Sayfası', 'kanews-admin'),
        'chosen'      => true,
        'sortable'    => true,
        'ajax'        => true,
        'options'     => 'pages',
        'placeholder' => esc_html__('Sayfa Seçin', 'kanews-admin')
      ),
      // Header Subscription Button
      array( 
        'id'      => 'kanews-insights-button',
        'dependency' => array( 'kanews-insights', '==', 'true' ),
        'title'   => esc_html__('Abonelik Butonu', 'kanews-admin'),
        'desc'    => esc_html__('Headera kullanıcıları abonelik sayfasına yönlendirecek bir buton ekler.', 'kanews-admin'),
        'type'    => 'switcher',
        'default' => false
      ),

      array(
        'id'     => 'subscription-faq',
        'type'   => 'group',
        'title' => esc_html__('Sıkça Sorulan Sorular', 'kanews-admin'),
        'fields' => array(
          array(
            'id'    => 'title',
            'type'  => 'text',
            'title' => esc_html__('Başlık', 'kanews-admin'),
          ),
          array(
            'id'    => 'content',
            'type'  => 'textarea',
            'title' => esc_html__('Açıklama', 'kanews-admin'),
          ),
        ),
      ),

      array(
        'type'    => 'subheading',
        'content' => esc_html__('Diğer Ayarlar', 'kanews-admin'),
      ),
      
      
      array(
        'id'                    => 'login-left-background',
        'type'                  => 'background',
        'title'                 => esc_html__( 'Giriş/Kayıt Sol Alan Tasarımı', 'kanews' ),
        'background_color'      => true,
        'background_image'      => true,
        'background-position'   => true,
        'background_repeat'     => true,
        'background_attachment' => true,
        'background_size'       => true,
        'background_origin'     => false,
        'background_clip'       => false,
        'background_blend_mode' => false,
        'background_gradient'   => false,
        'default'               => array(
          'background-color'              => '#1d1f26',
          'background-position'           => 'center center',
          'background-repeat'             => 'no-repeat',
          'background-size'               => 'cover',
        )
      ),

		)
  ) );
  
  /**
	 * Customizer
	 */
	CSF::createSection( $prefix, array(
		'title'       => esc_html__( 'Özelleştirmeler', 'kanews-admin' ),
		'icon'        => 'fas fa-fill-drip',
		'fields'      => array(
      // General
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Genel Özelleştirmeler', 'kanews-admin'),
      ),
      array(
        'id'                    => 'site-background',
        'type'                  => 'background',
        
        'title'                 => esc_html__('Site Arkaplanı', 'kanews-admin'),
        'background_color'      => true,
        'background_image'      => true,
        'background-position'   => true,
        'background_repeat'     => true,
        'background_attachment' => true,
        'background_size'       => true,
        'background_origin'     => true,
        'background_clip'       => true,
        'background_blend_mode' => true,
        'background_gradient'   => true,
      ),
      array(
        'id'      => 'primary-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Birincil Renk', 'kanews-admin')
      ),
      array(
        'id'          => 'site-font',
        'type'        => 'select',
        'title'       => esc_html__('Site Fontu', 'kanews-admin'),
        'chosen'      => true,
        'options'     => 'kanews_google_fonts',
        'attributes' => array(
          'style'    => 'width: 100%;'
        ),
        'placeholder' => 'Varsayılan',
      ),

      // Header
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Header', 'kanews-admin'),
      ),
      array(
        'id'      => 'header-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Arka Plan Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'header-color-2',
        'type'    => 'color',
        'dependency' => array( 'header-color', '!=', '' ),
        'title'   => esc_html__('Arkaplan Rengi 2 (Gradient)', 'kanews-admin')
      ),

      // Footer
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Footer', 'kanews-admin'),
      ),
      array(
        'id'      => 'footer-color',
        'type'    => 'color',
        'class'    => 'color',
        'class'    => 'yeni',
        'title'   => esc_html__('Arka Plan Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'footer-color-2',
        'type'    => 'color',
        'class'    => 'yeni',
        'dependency' => array( 'footer-color', '!=', '' ),
        'title'   => esc_html__('Arkaplan Rengi 2 (Gradient)', 'kanews-admin')
      ),

      // Navbar
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Navbar', 'kanews-admin'),
      ),
      array(
        'id'      => 'navbar-color',
        'type'    => 'color',
        'title'   => esc_html__('Arka Plan Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'navbar-color-2',
        'type'    => 'color',
        
        'dependency' => array( 'navbar-color', '!=', '' ),
        'title'   => esc_html__('Arkaplan Rengi 2 (Gradient)', 'kanews-admin')
      ),
      array(
        'id'      => 'navbarlink-color',
        'type'    => 'color',
        'title'   => esc_html__('Linklerin Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'navbarlinkhover-color',
        'type'    => 'color',
        'title'   => esc_html__('Linklerin Üzerindeykenki Rengi', 'kanews-admin')
      ),
      array(
        'id'                 => 'navbar-typography',
        'type'               => 'typography',
        'title'              => esc_html__('Tipografi', 'kanews-admin'),
        'font_family'        => false,
        'font_weight'        => false,
        'font_style'         => false,
        'font_size'          => true,
        'line_height'        => false,
        'letter_spacing'     => true,
        'text_align'         => false,
        'text-transform'     => true,
        'color'              => false,
        'subset'             => false,
        'backup_font_family' => false,
        'font_variant'       => false,
        'word_spacing'       => false,
        'text_decoration'    => false,
      ),
      

      // Big Menu
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Büyük Menü', 'kanews-admin'),
      ),
      array(
        'id'      => 'bigmenu-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Arka Plan Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'bigmenu-color-2',
        'type'    => 'color',
        
        'dependency' => array( 'bigmenu-color', '!=', '' ),
        'title'   => esc_html__('Arkaplan Rengi 2 (Gradient)', 'kanews-admin')
      ),
      array(
        'id'      => 'bigmenulink-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Linklerin Rengi', 'kanews-admin')
      ),

      // Mobile Menu
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Mobil Menü', 'kanews-admin'),
      ),
      array(
        'id'      => 'mobilmenu-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Arka Plan Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'mobilmenu-color-2',
        'type'    => 'color',
        
        'dependency' => array( 'bigmenu-color', '!=', '' ),
        'title'   => esc_html__('Arkaplan Rengi 2 (Gradient)', 'kanews-admin')
      ),
      array(
        'id'      => 'mobilmenu-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Yazıların Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'mobilmenulink-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Linklerin Rengi', 'kanews-admin')
      ),

      // Mobile Menu
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Sayfa Barı (Page Header)', 'kanews-admin'),
      ),
      array(
        'id'      => 'pageheader-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Arka Plan Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'pageheader-color-2',
        'type'    => 'color',
        
        'dependency' => array( 'bigmenu-color', '!=', '' ),
        'title'   => esc_html__('Arkaplan Rengi 2 (Gradient)', 'kanews-admin')
      ),
      array(
        'id'      => 'pageheadertext-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Yazıların Rengi', 'kanews-admin')
      ),

      // Single Post
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Yazı Sayfası', 'kanews-admin'),
      ),
      array(
        'id'      => 'single-postitle-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Yazı Başlığının Rengi', 'kanews-admin')
      ),
      array(
        'id'                 => 'single-postitle-typography',
        'type'               => 'typography',
        
        'title'              => esc_html__('Yazı Başlığının Tipografisi', 'kanews-admin'),
        'font_family'        => false,
        'font_weight'        => false,
        'font_style'         => false,
        'font_size'          => true,
        'line_height'        => true,
        'letter_spacing'     => true,
        'text_align'         => false,
        'text-transform'     => true,
        'color'              => false,
        'subset'             => false,
        'backup_font_family' => false,
        'font_variant'       => false,
        'word_spacing'       => true,
        'text_decoration'    => true,
      ),
      array(
        'id'      => 'single-postsubtitle-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Yazı Açıklamasının Rengi', 'kanews-admin')
      ),
      array(
        'id'                 => 'single-postsubtitle-typography',
        'type'               => 'typography',
        
        'title'              => esc_html__('Yazı Açıklamasının Tipografisi', 'kanews-admin'),
        'font_family'        => false,
        'font_weight'        => false,
        'font_style'         => false,
        'font_size'          => true,
        'line_height'        => true,
        'letter_spacing'     => true,
        'text_align'         => false,
        'text-transform'     => true,
        'color'              => false,
        'subset'             => false,
        'backup_font_family' => false,
        'font_variant'       => false,
        'word_spacing'       => true,
        'text_decoration'    => true,
      ),
      array(
        'id'      => 'single-postmeta-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Yazı Metalarının Rengi', 'kanews-admin')
      ),
      array(
        'id'                 => 'single-postmeta-typography',
        'type'               => 'typography',
        
        'title'              => esc_html__('Yazı Metalarının Tipografisi', 'kanews-admin'),
        'font_family'        => false,
        'font_weight'        => false,
        'font_style'         => false,
        'font_size'          => true,
        'line_height'        => true,
        'letter_spacing'     => true,
        'text_align'         => false,
        'text-transform'     => true,
        'color'              => false,
        'subset'             => false,
        'backup_font_family' => false,
        'font_variant'       => false,
        'word_spacing'       => true,
        'text_decoration'    => true,
      ),
      array(
        'id'      => 'single-postcontent-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Yazı İçeriğinin Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'single-postcontentlink-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Yazı İçerik Linklerinin Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'single-postcontentlinkhover-color',
        'type'    => 'color',
        
        'title'   => esc_html__('Yazı İçerik Linklerinin Üzerindeykenki Rengi', 'kanews-admin')
      ),
      array(
        'id'                 => 'single-postcontent-typography',
        'type'               => 'typography',
        
        'title'              => esc_html__('Yazı İçeriğinin Tipografisi', 'kanews-admin'),
        'font_family'        => false,
        'font_weight'        => false,
        'font_style'         => false,
        'font_size'          => true,
        'line_height'        => true,
        'letter_spacing'     => true,
        'text_align'         => false,
        'text-transform'     => true,
        'color'              => false,
        'subset'             => false,
        'backup_font_family' => false,
        'font_variant'       => false,
        'word_spacing'       => true,
        'text_decoration'    => false,
      ),

      // Back To Top
      array(
        'type'    => 'subheading',
        'content' => esc_html__('Başa Dön Tuşu', 'kanews-admin'),
      ),
      array(
        'id'      => 'backtotop-background',
        'type'    => 'color',
        
        'title'   => esc_html__('Arka Plan Rengi', 'kanews-admin')
      ),
      array(
        'id'      => 'backtotop-color',
        'type'    => 'color',
        
        'title'   => esc_html__('İkon Rengi', 'kanews-admin')
      ),

    )
  ));

	/**
	 * Translate
	 */
	CSF::createSection( $prefix, array(
		'title'       => esc_html__( 'Çeviri', 'kanews-admin' ),
		'icon'        => 'fas fa-language',
		'fields'      => array(

      array(
        'type'    => 'heading',
        'content' => esc_html__('Çeviri', 'kanews-admin'),
      ),
       // Son yazılar başlığı
       array(
        'id'      => 'home-recent-post-title',
        'type'    => 'text',
        'title'   => esc_html__('Son Yazılar', 'kanews-admin'),
        // 'default' => esc_html__('Yeni Haberler', 'kanews-admin')
      ),
      // Breadcrumb Birincil
      array(
        'id'      => 'post-breacrumb-main-title',
        'type'    => 'text',
        'title'   => esc_html__('Haberler', 'kanews-admin'),
        'subtitle'    => esc_html__('Breadcrumb birincil link yazısı.', 'kanews-admin'),
        // 'default'   => esc_html__('Haberler', 'kanews-admin')
      ),
      // Breaking News Title
      array(
        'id'      => 'breaking-new-text',
        'type'    => 'text',
        'title'   => esc_html__('Son Gelişmeler', 'kanews-admin'),
        'subtitle'   => esc_html__('Header sol üstte son dakika çubuğunun başlık yazısı.', 'kanews-admin'),
        // 'default'   => esc_html__('Son Gelişmeler', 'kanews-admin')
      ),
      // Google Newst Title
      array(
        'id'      => 'google-news-text',
        'type'    => 'text',
        'title'   => esc_html__('Abone Ol', 'kanews-admin'),
        'subtitle'   => esc_html__('Google News abonelik butonunun yanında yazacak yazı.', 'kanews-admin'),
        // 'default'   => esc_html__('Abone Ol', 'kanews-admin')
      ),
      // Like System
      array(
        'id'      => 'like-text',
        'type'    => 'text',
        'title'   => esc_html__('Beğen', 'kanews-admin'),
        // 'default'   => esc_html__('Beğen', 'kanews-admin')
      ),
      array(
        'id'      => 'unlike-text',
        'type'    => 'text',
        'title'   => esc_html__('Vazgeç', 'kanews-admin'),
        'subtitle'   => esc_html__('Beğenmekten vazgeç', 'kanews-admin'),
        // 'default'   => esc_html__('BVazgeçeğen', 'kanews-admin'),
      ),
      // Bookmark System
      array(
        'id'      => 'bookmark-text',
        'type'    => 'text',
        'title'   => esc_html__('Favorilerime Ekle', 'kanews-admin'),
        // 'default'   => esc_html__('Favorilerime Ekle', 'kanews-admin')
      ),
      array(
        'id'      => 'unbookmark-text',
        'type'    => 'text',
        'title'   => esc_html__('Favorilerimden Çıkar', 'kanews-admin'),
        // 'default'   => esc_html__('Favorilerimden Çıkar', 'kanews-admin')
      ),
      array(
        'id'      => 'post-views-dropdown-title',
        'type'    => 'text',
        'title'   => esc_html__('Ne Kadar Okundu', 'kanews-admin'),
      ),
      array(
        'id'      => 'related-posts-text',
        'type'    => 'text',
        'title'   => esc_html__('Benzer Haberler', 'kanews-admin'),
      ),
      array(
        'id'      => 'related-post-text',
        'type'    => 'text',
        'title'   => esc_html__('İlişkili Haber', 'kanews-admin'),
      ),
      array(
        'id'      => 'popular-comments-title',
        'type'    => 'text',
        'title'   => esc_html__('Öne Çıkan Yorumlar', 'kanews-admin'),
      ),
      array(
        'id'      => 'login-description',
        'type'    => 'text',
        'title'   => get_bloginfo( 'name' ).' ayrıcalıklarından yararlanmak için hemen giriş yapın veya hesap oluşturun, üstelik tamamen ücretsiz!',
      ),
      array(
        'id'      => 'register-text',
        'type'    => 'text',
        'title'   => esc_html__('Tamamen ücretsiz olarak üyeliğinizi başlatın.', 'kanews-admin'),
      ),
      array(
        'id'      => 'login-text',
        'type'    => 'text',
        'title'   => esc_html__('Zaten hesabınız var mı? O zaman giriş yapın.', 'kanews-admin'),
      ),
      array(
        'id'      => 'account-text',
        'type'    => 'text',
        'title'   => esc_html__('Hesap panonuz sayfasında kaydettiğiniz haberlere, yaptığınız yorumlara ulaşabilir ve şifreniz ile hesap ayrıntılarınızı düzenleyebilirsiniz.', 'kanews-admin'),
      ),
      array(
        'id'      => 'show-children',
        'type'    => 'text',
        'title'   => esc_html__('Yanıtları Göster', 'kanews-admin'),
      ),
      array(
        'id'      => 'hide-children',
        'type'    => 'text',
        'title'   => esc_html__('Yanıtları Gizle', 'kanews-admin'),
      ),
      array(
        'id'      => 'subscribe-post-title',
        'type'    => 'text',
        'title'   => esc_html__('Bu içerik abonelirimize özel olarak hazırlanmıştır.', 'kanews-admin'),
      ),
      array(
        'id'      => 'subscribe-post-desc',
        'type'    => 'text',
        'title'   => esc_html__('İlgili içeriği görebilmek için hemen bir abonelik başlatın veya zaten aboneyseniz giriş yapın.', 'kanews-admin'),
      ),
      array(
        'id'          => 'search-form-text',
        'type'        => 'text',
        'title'       => esc_html__('Aramak istediğiniz kelimeyi yazın..', 'kanews-admin'),
      ),
      array(
        'id'          => 'privacy-policy-text',
        'type'        => 'text',
        'title'       => esc_html__('Bu web sitesinde en iyi deneyimi yaşamanızı sağlamak için çerezler kullanılmaktadır.', 'kanews-admin'),
      ),
      array(
        'id'          => 'reaction-title',
        'type'        => 'text',
        'title'       => esc_html__('Bu Yazıya Tepki Ver', 'kanews-admin'),
      ),
      array(
        'id'          => '404-page-title',
        'type'        => 'text',
        'title'       => esc_html__('Aradığınız Sayfa Bulunamadı!', 'kanews-admin'),
      ),
      array(
        'id'          => '404-page-desc',
        'type'        => 'text',
        'title'       => esc_html__('Aradığınız sayfaya ulaşamadık silinmiş, geçici olarak kaldırılmış veya böyle bir sayfa hiç olmamış olabilir, lütfen daha sonra tekrar deneyiniz.', 'kanews-admin'),
      ),
      array(
        'id'          => 'kanews-add-post-text',
        'type'        => 'text',
        'class'    => 'yeni',
        'title'       => esc_html__('Paylaştığınız içerik editörümüz tarafından incelendikten sonra uygun görüldüğü taktirde yayınlanacaktır.', 'kanews-admin'),
      ),
      array(
        'id'          => 'kanews-insights-button-text',
        'type'        => 'text',
        'class'    => 'yeni',
        'title'       => esc_html__('Abone Ol', 'kanews-admin'),
      ),
      array(
        'id'          => 'post-submit-text',
        'type'        => 'text',
        'class'    => 'yeni',
        'title'       => esc_html__('İçerik Gönder', 'kanews-admin'),
      ),

		)
	) );
	/**
	 * API
	 */
	CSF::createSection( $prefix, array(
		'title'       => esc_html__( 'API Ayarları', 'kanews-admin' ),
		'icon'        => 'fas fa-key',
		'fields'      => array(
      array(
        'type'    => 'heading',
        'content' => esc_html__('API Ayarları', 'kanews-admin'),
      ),
      array(
        'id'         => 'openweathermap-api',
        'type'       => 'text',
        'title'      => esc_html__('Openweathermap API Anahtarı', 'kanews-admin'),
        'desc'      =>  '<a href="https://openweathermap.org/price" target="_blank">'.esc_html__( 'Api oluşturmak için tıklayın.', 'kanews-admin' ).'</a>'
      ),

		)
  ) );
  
	/**
	 * Cron Job
	 */
	CSF::createSection( $prefix, array(
		'title'       => esc_html__( 'Cron Job', 'kanews-admin' ),
		'icon'        => 'fas fa-user-md',
		'fields'      => array(
      array(
        'type'    => 'heading',
        'content' => esc_html__('Cron Job', 'kanews-admin'),
      ),
      array(
        'type'    => 'content',
        'content' => '
          <h3>1- Sitenizin cpanel veya türevi olan sunucu yönetim paneline girin </h3>
          <h3>2- Gelişmiş > Cron İşleri sayfasına girin. <a target="_blank" href="https://www.kanthemes.com/files/kanews/yardim/cron1.png">Görsel</a> </h3>
          <h3>3- Aşağıdaki kodların her birini tek tek görselde belirtildiği şekilde cron işi olarak ekleyin. Mevcut ayarlardan sadece Ortak Ayarlar kısmında ilgili verinin ne kadar sürede güncellenmesini istiyorsanız o seçeneği seçin.  <a target="_blank" href="https://www.kanthemes.com/files/kanews/yardim/cron2.png">Görsel</a> </h3>
          <ul>
            <li><code>wget -O /dev/null -o /dev/null '.KAN_TEMPLATE_URL.'/inc/api/currencies/tcmb289xj2.php</code> </li>
            <li><code>wget -O /dev/null -o /dev/null '.KAN_TEMPLATE_URL.'/inc/api/currencies/doviz71352.php</code> </li>
            <li><code>wget -O /dev/null -o /dev/null '.KAN_TEMPLATE_URL.'/inc/api/coins/coins5kmfs0h2.php</code> </li>
            <li><code>wget -O /dev/null -o /dev/null '.KAN_TEMPLATE_URL.'/inc/api/covid/covid742ja1.php</code> </li>
            <li><code>wget -O /dev/null -o /dev/null '.KAN_TEMPLATE_URL.'/inc/api/standings/standings5kds1.php</code> </li>
          </ul>

          <p>
          1. için <i>Saatte Bir Kez</i>,<br>
          2. için <i>Saatte İki Kez</i>,<br>
          3. için <i>Saatte İki Kez</i>,<br>
          4. için <i>Günde İki Kez</i>,<br>
          5. için <i>Günde İki Kez</i>,<br>
          ayarları önerilir.
          </p>

          <p><strong>Bu dosyaların güvenliği önemlidir kimsenin erişimi olmamalı, saldırı ihtimaline karşı bu 5 dosyanın isimlerini varsayılan halleriyle değil dosya isimlerini değiştirip yeni isimleriyle cron job eklemeniz güvenliğini arttıracaktır.</strong></p>
        ',
      ),

		)
	) );

	/**
	 * Backup
	 */
	CSF::createSection( $prefix, array(
		'title'       => esc_html__( 'İçe Aktar / Dışa Aktar', 'kanews-admin' ),
		'icon'        => 'fas fa-shield-alt',
		'fields'      => array(
      array(
        'type'    => 'heading',
        'content' => esc_html__('İçe Aktar / Dışa Aktar', 'kanews-admin'),
      ),
			array(
				'type' => 'backup',
			),

		)
	) );

}


function prefix_get_something() {
  $output_categories = array();
  $categories = get_categories();
  foreach($categories as $category) {
    $output_categories[$category->slug] = $category->name;
  }
  return $output_categories;
}

function contact_forms() {
  $dbValue = get_option('field-name'); //example!
  $posts = get_posts(array(
      'post_type'     => 'wpcf7_contact_form',
      'numberposts'   => -1
  ));

  foreach ( $posts as $p ) {
    $output[$p->ID] = $p->post_title;
  }
  
  return $output;
}