<?php

defined( 'ABSPATH' ) || exit; // Exit if accessed directly
define( 'KAN_THEME_VER', '1.5' );

/*-----------------------------------------------------------------------------------*/
# Main
/*-----------------------------------------------------------------------------------*/
require_once KAN_TEMPLATE_PATH . '/framework/functions/functions.php';
require_once KAN_TEMPLATE_PATH . '/framework/functions/helpers.php';
require_once KAN_TEMPLATE_PATH . '/framework/functions/tags.php';
require_once KAN_TEMPLATE_PATH . '/framework/functions/dynamic-styles.php';

/*-----------------------------------------------------------------------------------*/
# AMP
/*-----------------------------------------------------------------------------------*/
require_once KAN_TEMPLATE_PATH . '/amp/functions.php';

/*-----------------------------------------------------------------------------------*/
# Included
/*-----------------------------------------------------------------------------------*/
require_once KAN_TEMPLATE_PATH . '/inc/post-like.php';
require_once KAN_TEMPLATE_PATH . '/inc/bookmark.php';
require_once KAN_TEMPLATE_PATH . '/inc/shortcodes/app.php';
require_once KAN_TEMPLATE_PATH . '/inc/json-ld.php';
// require_once KAN_TEMPLATE_PATH . '/inc/customizer.php';
// ACF
define( 'MY_ACF_PATH', get_stylesheet_directory() . '/inc/acf/' );
define( 'MY_ACF_URL', get_stylesheet_directory_uri() . '/inc/acf/' );
include_once( MY_ACF_PATH . 'acf.php' );
add_filter('acf/settings/url', 'my_acf_settings_url');
function my_acf_settings_url( $url ) {
    return MY_ACF_URL;
}
add_filter('acf/settings/show_admin', 'my_acf_settings_show_admin');
function my_acf_settings_show_admin( $show_admin ) {
    return false;
}

/*-----------------------------------------------------------------------------------*/
# Classes
/*-----------------------------------------------------------------------------------*/
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-wp-helper.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-helper.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-hook.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-layout.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-currencies.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-post-views.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-primary-category.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-membership.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-insights.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-standings.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-category.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-breadcrumbs.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-advertisement.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-reaction-button.php';
require_once KAN_TEMPLATE_PATH . '/framework/classes/class.kanews-api.php';

/*-----------------------------------------------------------------------------------*/
# Widgets
/*-----------------------------------------------------------------------------------*/
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/manset-1.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/manset-2.php');

// load_template( KAN_TEMPLATE_PATH . '/framework/widgets/slider-1.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/slider-2.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/slider-3.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/slider-4.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/slider-5.php');

load_template( KAN_TEMPLATE_PATH . '/framework/widgets/posts-x.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/posts-1.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/posts-2.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/posts-3.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/posts-4.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/posts-5.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/posts-6.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/posts-7.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/posts-8.php');

load_template( KAN_TEMPLATE_PATH . '/framework/widgets/carousel-1.php');


load_template( KAN_TEMPLATE_PATH . '/framework/widgets/covid.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/currencies.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/standings.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/weather.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/calculator.php');

load_template( KAN_TEMPLATE_PATH . '/framework/widgets/tab-menu.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/video.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/ticker.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/authors.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/mail-subscription.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/ads.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/tagcloud.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/social.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/category-images.php');
load_template( KAN_TEMPLATE_PATH . '/framework/widgets/page-images.php');

/*-----------------------------------------------------------------------------------*/
# Theme Setup
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_setup2' ) ) {
	function kanews_setup2() {
		register_nav_menus( array(
			'amp-menu' => esc_html__( 'Amp Menü', 'kanews' ),
		) );
		if (kanews_get_option('wp-admin-bar-disable') == true ) {
			show_admin_bar(false);
		}
	}
}
add_action( 'after_setup_theme', 'kanews_setup2' );

/*-----------------------------------------------------------------------------------*/
# Widget Area
/*-----------------------------------------------------------------------------------*/
function kanews_widgets_init() {
	if ( function_exists('register_sidebar') ) {

		register_sidebar(
			array(
				'name'          => esc_html__( 'Anasayfa: Üst Tam Genişlik', 'kanews' ),
				'id'            => 'home-top-full',
				'before_widget' => '<div class="col"><section id="%1$s" class="kanews-section widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
				'after_title'   => '</span></h4></div>',
			)
		);

		register_sidebar(
			array(
				'name'          => esc_html__( 'Anasayfa: Sol Bölüm', 'kanews' ),
				'id'            => 'home-content',
				'before_widget' => '<div class="col"><section id="%1$s" class="kanews-section widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
				'after_title'   => '</span></h4></div>',
			)

		);
		register_sidebar(
			array(
				'name'          => esc_html__( 'Anasayfa: Sidebar', 'kanews' ),
				'id'            => 'home-sidebar',
				'before_widget' => '<div class="col-12"><section id="%1$s" class="kanews-section widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-section-heading"><h5 class="kanews-section-headline"><span>',
				'after_title'   => '</span></h5></div>',
			)
		);

		register_sidebar(
			array(
				'name'          => esc_html__( 'Anasayfa: Alt Tam Genişlik', 'kanews' ),
				'id'            => 'home-bottom-full',
				'before_widget' => '<div class="col"><section id="%1$s" class="kanews-section widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
				'after_title'   => '</span></h4></div>',
			)
		);

		register_sidebar(
			array(
				'name'          => esc_html__( 'Sayfa: Sidebar', 'kanews' ),
				'id'            => 'home-sidebar-page',
				'before_widget' => '<div class="col-12"><section id="%1$s" class="kanews-section widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-section-heading"><h5 class="kanews-section-headline"><span>',
				'after_title'   => '</span></h5></div>',
			)
		);

		register_sidebar(
			array(
				'name'          => esc_html__( 'Kategori: Üst Tam Genişlik', 'kanews' ),
				'id'            => 'category-top-full',
				'before_widget' => '<div class="col"><section id="%1$s" class="kanews-section widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
				'after_title'   => '</span></h4></div>',
			)
		);

		register_sidebar(
			array(
				'name'          => esc_html__( 'Kategori: Sol Bölüm', 'kanews' ),
				'id'            => 'category-content',
				'before_widget' => '<div class="col"><section id="%1$s" class="kanews-section widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
				'after_title'   => '</span></h4></div>',
			)
		);

		if(kanews_get_option('category-right-sidebar') == true) {
			register_sidebar(
				array(
					'name'          => esc_html__( 'Kategori: Sidebar', 'kanews' ),
					'id'            => 'home-sidebar-cat',
					'before_widget' => '<div class="col-12"><section id="%1$s" class="kanews-section widget %2$s">',
					'after_widget'  => '</section></div>',
					'before_title'  => '<div class="kanews-section-heading"><h5 class="kanews-section-headline"><span>',
					'after_title'   => '</span></h5></div>',
				)
			);
		}

		register_sidebar(
			array(
				'name'          => esc_html__( 'Arşiv: Sidebar', 'kanews' ),
				'id'            => 'home-sidebar-archive',
				'before_widget' => '<div class="col-12"><section id="%1$s" class="kanews-section widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-section-heading"><h5 class="kanews-section-headline"><span>',
				'after_title'   => '</span></h5></div>',
			)
		);
		
		register_sidebar(
			array(
				'name'          => esc_html__( 'Yazı: Sidebar', 'kanews' ),
				'id'            => 'home-sidebar-post',
				'before_widget' => '<div class="col-12"><section id="%1$s" class="kanews-section widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-section-heading"><h5 class="kanews-section-headline"><span>',
				'after_title'   => '</span></h5></div>',
			)
		);
		register_sidebar(
			array(
				'name'          => esc_html__( 'Video Yazı: Sidebar', 'kanews' ),
				'id'            => 'home-sidebar-video',
				'before_widget' => '<div class="col-12"><section id="%1$s" class="kanews-section widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-section-heading"><h5 class="kanews-section-headline"><span>',
				'after_title'   => '</span></h5></div>',
			)
		);

		register_sidebar(
			array(
				'name'          => esc_html__( 'Footer', 'kanews' ),
				'id'            => 'footer',
				'before_widget' => '<div class="col-12 col-lg"><section id="%1$s" class="footer-widget %2$s">',
				'after_widget'  => '</section></div>',
				'before_title'  => '<div class="kanews-footer-heading"><h6 class="kanews-footer-headline"><span>',
				'after_title'   => '</span></h6></div>',
			)
		);
		
	}
}
add_action( 'widgets_init', 'kanews_widgets_init' );

/*-----------------------------------------------------------------------------------*/
# Enqueue scripts and styles.
/*-----------------------------------------------------------------------------------*/
function kanews_scripts() {
	// CSS
    wp_enqueue_style('kanews-style', get_template_directory_uri() . '/assets/css/app.min.css', array(), KAN_THEME_VER);
    
	// JS
	$localize = array(
		'nonce'  => wp_create_nonce( 'ajax-nonce' ),
		'ajax'  => admin_url('admin-ajax.php'),
		'assets' => KAN_TEMPLATE_URL .'/assets/',
		'emptydata' => esc_html__( 'Veri alınamadı', 'kanews' ),
		'invalidapi' => esc_html__( 'API hatası', 'kanews' ),
		'weather_api' => kanews_get_option('openweathermap-api'),
		'noresult' => esc_html__( 'Sonuç bulunamadı.', 'kanews' ),
		'sticky_sidebar' => (kanews_get_option('sticky-sidebar') == true) ? 1 : 0,
		'infinite_scroll' => (kanews_get_option('infinite-post-scroll') == true) ? 1 : 0,
		'text_share' => (kanews_get_option('post-text-share') == true) ? 1 : 0,
		'right_click' => (kanews_get_option('right-click') == true) ? 1 : 0,
		'adblock' => (kanews_get_option('adblock-detected') == true) ? 1 : 0,
		'subscribe' => kanews_insights_control(get_current_user_id()) == true ? 1 : 0,
		'lazy' => kanews_get_option('lazy'),
		'unlike' => kanews_translate('like-text', esc_html__( 'Beğen', 'kanews' )),
		'unlike' => kanews_translate('unlike-text', esc_html__( 'Vazgeç', 'kanews' )),
		'bookmark' => kanews_translate('bookmark-text', esc_html__( 'Favorilerime Ekle', 'kanews' )),
		'unbookmark' => kanews_translate('unbookmark-text', esc_html__( 'Favorilerimden Çıkar', 'kanews' )),
		'show_children' => kanews_translate('show-children', esc_html__( 'Yanıtları Göster', 'kanews' )),
		'hide_children' => kanews_translate('hide-children', esc_html__( 'Yanıtları Gizle', 'kanews' )),
		'pagination' => (!empty(kanews_get_option('archives-pagination'))) ? kanews_get_option('archives-pagination') : 'numbers',
		'insights' => kanews_insights_page_url(),
	);
	wp_enqueue_script( 'kanews-script', get_template_directory_uri() . '/assets/js/app.min.js', array(), KAN_THEME_VER, true );
	wp_localize_script( 'kanews-script', 'kan_vars', $localize);
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
    }
    // remove dashicons
    $dashicons = kanews_get_option('dashicons');
    if ($dashicons == true && !is_admin_bar_showing())
    wp_deregister_style( 'dashicons' );

    // if not singular page remove wp block css 
    if (!is_singular()) {
			wp_deregister_style( 'wp-block-library' );
			wp_deregister_style( 'wp-block-library-theme' );
		}
		
		wp_enqueue_script('jquery');

    // Wp Embed is remove from pages
    if(!is_singular())
		wp_deregister_script( 'wp-embed' );
		
	
}
add_action( 'wp_enqueue_scripts', 'kanews_scripts' );

function remove_jquery_migrate( $scripts ) {
	if ( ! is_admin() && isset( $scripts->registered['jquery'] ) ) {
			 $script = $scripts->registered['jquery'];
	if ( $script->deps ) { 
// Check whether the script has any dependencies

			 $script->deps = array_diff( $script->deps, array( 'jquery-migrate' ) );
}
}
}
add_action( 'wp_default_scripts', 'remove_jquery_migrate' );

function remove_head_scripts() {
	remove_action('wp_head', 'wp_print_scripts');
	remove_action('wp_head', 'wp_print_head_scripts', 9);
	remove_action('wp_head', 'wp_enqueue_scripts', 1);

	add_action('wp_footer', 'wp_print_scripts', 5);
	add_action('wp_footer', 'wp_enqueue_scripts', 5);
	add_action('wp_footer', 'wp_print_head_scripts', 5);
}
add_action( 'wp_enqueue_scripts', 'remove_head_scripts' );

function kanews_custom_customize_enqueue() {
	wp_enqueue_style( 'kanews-customizer', get_stylesheet_directory_uri() . '/assets/css/customizer.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'kanews_custom_customize_enqueue' );

/*-----------------------------------------------------------------------------------*/
# Gutenberg
/*-----------------------------------------------------------------------------------*/
function geoit_gutenberg_editor_css() {
    wp_enqueue_style(
        'paul-editor-style',
        get_template_directory_uri() . "/editor-styles.css",
        array(),
        '1.0'
    );
}
add_action('enqueue_block_editor_assets', 'geoit_gutenberg_editor_css');