<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_authors');
function kanews_widget_authors() {
	register_widget('kanews_widget_class_authors');
}

// Widget Class
class kanews_widget_class_authors extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_authors');
		$control_ops = array('id_base' => 'kanews_widget_authors');
		parent::__construct('kanews_widget_authors', ''.KAN_THEME_NAME .' - '.__( "Yazarlarımız" , 'kanews' ), $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);
		$title = apply_filters('widget_title', $instance['title'] );
		$authors = $instance['authors'];
		$role = $instance['role'] ? $instance['role'] : '';
		$role__not_in = $instance['role__not_in'] ? $instance['role__not_in'] : '';
		$desc = $instance['desc'];
		$style = $instance['style'] ? $instance['style'] : 1;
		$detail = $instance['detail'] ? $instance['detail'] : '';
		$order = 'ASC';

		if(!empty($authors))
  	$order = 'include';
	
	
		if($uids == '')
		$uids = '';
		else
		$uids =  explode(',', $authors);

		$qargs = array (
			'include' => $uids,
			'role__not_in' => $role__not_in,
			'role' => $role,
			'orderby' => 'include'
    );
    
		$wp_user_query = new WP_User_Query( $qargs );
		$authors = $wp_user_query->get_results();
		
		$slick_options = [
			'slidesToShow'  => 4,
			'arrows'			  => true,
      'responsive' 			=> [
				[
					'breakpoint' 	 => 992,
					'settings'		 => [
						'slidesToShow' => 3
					]
        ],
				[
					'breakpoint' 	 => 525,
					'settings'		 => [
						'slidesToShow' => 2
					]
        ],
			]
		];

		$sidebar = explode('-', $args['id']);
		if($sidebar[1] == 'sidebar') {
			$slick_options = [
				'slidesToShow'  => 2,
				'arrows'			  => true
			];
		}
    
    if ( ! empty( $authors ) ) { ?>
      <div class="col-12"> 
			  <div class="kanews-section widget <?php echo $this->widget_options['classname']; ?>">
					<?php if($style == 1): ?>
						<div class="container-full">
							<div class="container">
								<div class="row">
									<?php if($sidebar[2] == 'full'): ?>
										<div class="col-12 col-lg-4 d-flex flex-column align-items-center justify-content-center">
											<h4 class="kanews-box-title"><?php echo $title; ?></h4>
											<p><?php echo $desc; ?></p>
										</div>
									<?php else: ?>
										<div class="col-12">
											<?php 
											if(!empty($title)) {
												echo $before_title;
													echo $title; 
												echo $after_title;
											} ?>
										</div>
									<?php endif; ?>
									<div class="col-12 col-lg-8">
										<div class="kanews-box-wrapper kanews-slider-wrapper" data-slick='<?php echo wp_json_encode( $slick_options ); ?>'>
											<?php foreach ( $authors as $author ) {  $args = array( 'author' => $author->ID, 'showposts' => 1 ); $posts = query_posts($args);	?>
												<?php  if ( have_posts() ) : ?>
													<?php while ( have_posts() ) : the_post(); ?>
													<div class="kanews-box-item">
														<div class="kanews-box-item-inner">
														<a class="author-name" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $author->ID ) ); ?>"><?php echo kanews_user_avatar(get_the_author_meta('ID', $author->ID),'150'); ?></a>
															<div class="kanews-box-item-content">
																<a class="author-name" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $author->ID ) ); ?>">
																	<?php if(get_the_author_meta('first_name', $author->ID) && get_the_author_meta('last_name', $author->ID)): ?>
																		<?php the_author_meta('first_name', $author->ID); ?> <?php the_author_meta('last_name', $author->ID); ?>
																	<?php else: ?>
																		<?php the_author_meta('display_name', $author->ID); ?>
																	<?php endif; ?>
																</a>
																<?php if($detail == ''): ?>
																	<h3 class="kanews-post-headline truncate truncate-2"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
																<?php elseif($detail == 'social'): ?>
																<div class="kanews-article-share">
																	<?php $twitter = get_the_author_meta('twitter_profile', $author->ID); if($twitter): ?> <a rel="external nofollow noopener" target="_blank" class="social-link bg-twitter" href="https://www.twitter.com/<?php echo $twitter; ?>"><i class="icon-twitter"></i></a><?php endif; ?>
																	<?php $facebook = get_the_author_meta('facebook_profile', $author->ID); if($facebook): ?><a rel="external nofollow noopener" target="_blank" class="bg-facebook" href="https://www.facebook.com/<?php echo $facebook; ?>"><i class="icon-facebook"></i></a> <?php endif; ?>
																	<?php $instagram = get_the_author_meta('instagram_profile', $author->ID); if($instagram): ?><a rel="external nofollow noopener" target="_blank" class="bg-instagram" href="https://www.instagram.com/<?php echo $instagram; ?>"><i class="icon-instagram"></i></a> <?php endif; ?>
																	<?php $linkedin = get_the_author_meta('linkedin_profile', $author->ID); if($linkedin): ?><a rel="external nofollow noopener" target="_blank" class="bg-linkedin" href="https://www.linkedin.com/<?php echo $linkedin; ?>"><i class="icon-linkedin"></i></a> <?php endif; ?>
																	<?php $youtube = get_the_author_meta('youtube_profile', $author->ID); if($youtube): ?><a rel="external nofollow noopener" target="_blank" class="bg-youtube" href="https://www.youtube.com/channel/<?php echo $youtube; ?>"><i class="icon-video"></i></a> <?php endif; ?>

																</div>
																<?php endif; ?>
															</div>
														</div>
													</div>
													<?php endwhile; ?>
												<?php endif; ?>
											<?php } ?>
										</div>
									</div>
								</div>
							</div>
						</div>
					<?php else: ?>
					<?php 
						if(!empty($title)) {
							echo $before_title;
								echo $title; 
							echo $after_title;
						} ?>
					<div class="row">
						
						<?php foreach ( $authors as $author ) {  $args = array( 'author' => $author->ID, 'showposts' => 1 ); $posts = query_posts($args);	?>
							<?php  if ( have_posts() ) : ?>
								
								<?php while ( have_posts() ) : the_post(); ?>
									<div class="col-12">
										<div class="kanews-post-item kanews-post-grid-item kanews-post-small-item">
											<div class="kanews-post-thumb">
												<a class="author-name" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $author->ID ) ); ?>"><?php echo kanews_user_avatar(get_the_author_meta('ID', $author->ID),'70'); ?></a>
											</div>

											<div class="kanews-post-content">
												<a class="kanews-post-headline" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $author->ID ) ); ?>">
													<?php if(get_the_author_meta('first_name', $author->ID) && get_the_author_meta('last_name', $author->ID)): ?>
														<?php the_author_meta('first_name', $author->ID); ?> <?php the_author_meta('last_name', $author->ID); ?>
													<?php else: ?>
														<?php the_author_meta('display_name', $author->ID); ?>
													<?php endif; ?>
												</a>
												<?php if($detail == ''): ?>
													<h3 class="kanews-post-headline subheadline truncate truncate-2"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
												<?php elseif($detail == 'social'): ?>
												<div class="kanews-article-share">
													<?php $twitter = get_the_author_meta('twitter_profile', $author->ID); if($twitter): ?> <a rel="external nofollow noopener" target="_blank" class="social-link bg-twitter" href="https://www.twitter.com/<?php echo $twitter; ?>"><i class="icon-twitter"></i></a><?php endif; ?>
													<?php $facebook = get_the_author_meta('facebook_profile', $author->ID); if($facebook): ?><a rel="external nofollow noopener" target="_blank" class="bg-facebook" href="https://www.facebook.com/<?php echo $facebook; ?>"><i class="icon-facebook"></i></a> <?php endif; ?>
													<?php $instagram = get_the_author_meta('instagram_profile', $author->ID); if($instagram): ?><a rel="external nofollow noopener" target="_blank" class="bg-instagram" href="https://www.instagram.com/<?php echo $instagram; ?>"><i class="icon-instagram"></i></a> <?php endif; ?>
													<?php $linkedin = get_the_author_meta('linkedin_profile', $author->ID); if($linkedin): ?><a rel="external nofollow noopener" target="_blank" class="bg-linkedin" href="https://www.linkedin.com/<?php echo $linkedin; ?>"><i class="icon-linkedin"></i></a> <?php endif; ?>
													<?php $youtube = get_the_author_meta('youtube_profile', $author->ID); if($youtube): ?><a rel="external nofollow noopener" target="_blank" class="bg-youtube" href="https://www.youtube.com/channel/<?php echo $youtube; ?>"><i class="icon-video"></i></a> <?php endif; ?>

												</div>
												<?php endif; ?>
											</div>
										</div>
									</div>
								<?php endwhile; ?>
							<?php endif; ?>
						<?php } ?>
						</div>
					<?php endif; ?>
				</div>
    	</div>
		<?php } ?>
		
			
	<?php wp_reset_query(); 
	}
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = $new_instance['title'];
		$instance['desc'] = $new_instance['desc'];
		$instance['authors'] = $new_instance['authors'];
		$instance['role'] = $new_instance['role'];
		$instance['role__not_in'] = $new_instance['role__not_in'];
		$instance['style'] = $new_instance['style'];
		$instance['detail'] = $new_instance['detail'];

		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
			'title' => esc_html__( 'Bünyemizdeki Yazarlarımız', 'kanews' ), 
			'desc' => esc_html__( 'Özgün içerik ihtiyacımızı karşılayan birbirinden iyi yazarlarımızın ve alanında en popüler, en tarafsız yazarlarımızın son yazılarını görüntüleyebilirsiniz.', 'kanews' ), 
			'role' => '', 
			'role__not_in' => '', 
			'detail' => '', 
			'authors' => '', 
			'style' => '1', 
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('style'); ?>"><?php _e( 'Görünüm' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('style'); ?>" name="<?php echo $this->get_field_name('style'); ?>" class="widefat" style="width:100%;">
				<option value='1' <?php if ('1' == $instance['style']) echo 'selected="selected"'; ?>>1</option>
				<option value='2' <?php if ('2' == $instance['style']) echo 'selected="selected"'; ?>>2</option>
	  	</select>
    </p>

		<p>
			<label for="<?php echo $this->get_field_id( 'desc' ); ?>"><?php _e( 'Açıklama' , 'kanews') ?></label>
			<textarea id="<?php echo $this->get_field_id( 'desc' ); ?>" name="<?php echo $this->get_field_name( 'desc' ); ?>" value="<?php echo $instance['desc']; ?>" class="widefat" type="text"><?php echo $instance['desc']; ?></textarea>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'authors' ); ?>"><?php _e( 'Gösterilecek Yazarlar' , 'kanews') ?></label>
			<br><i><?php _e('Yazar idlerini virgül ile ayırarak girin', 'kanews'); ?></i>
			<input id="<?php echo $this->get_field_id( 'authors' ); ?>" name="<?php echo $this->get_field_name( 'authors' ); ?>" value="<?php echo $instance['authors']; ?>" class="widefat" type="text" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('role'); ?>"><?php _e( 'Gösterilecek Rol' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('role'); ?>" name="<?php echo $this->get_field_name('role'); ?>" class="widefat" style="width:100%;">
				<option value='' <?php if ('' == $instance['role']) echo 'selected="selected"'; ?>>Hepsi</option>
				<option value='Administrator' <?php if ('Administrator' == $instance['role']) echo 'selected="selected"'; ?>>Yönetici</option>
				<option value='Editor' <?php if ('Editor' == $instance['role']) echo 'selected="selected"'; ?>>Editör</option>
				<option value='Author' <?php if ('Author' == $instance['role']) echo 'selected="selected"'; ?>>Yazar</option>
				<option value='Contributor' <?php if ('Contributor' == $instance['role']) echo 'selected="selected"'; ?>>İçerik Sağlayıcı</option>
				<option value='Subscriber' <?php if ('Subscriber' == $instance['role']) echo 'selected="selected"'; ?>>Üye</option>
	  	</select>
    </p>


		<p>
			<label for="<?php echo $this->get_field_id('role__not_in'); ?>"><?php _e( 'Gösterilemeyecek Rol' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('role__not_in'); ?>" name="<?php echo $this->get_field_name('role__not_in'); ?>" class="widefat" style="width:100%;">
				<option value='' <?php if ('' == $instance['role']) echo 'selected="selected"'; ?>>Hepsi</option>
				<option value='Administrator' <?php if ('Administrator' == $instance['role__not_in']) echo 'selected="selected"'; ?>>Yönetici</option>
				<option value='Editor' <?php if ('Editor' == $instance['role__not_in']) echo 'selected="selected"'; ?>>Editör</option>
				<option value='Author' <?php if ('Author' == $instance['role__not_in']) echo 'selected="selected"'; ?>>Yazar</option>
				<option value='Contributor' <?php if ('Contributor' == $instance['role__not_in']) echo 'selected="selected"'; ?>>İçerik Sağlayıcı</option>
				<option value='Subscriber' <?php if ('Subscriber' == $instance['role__not_in']) echo 'selected="selected"'; ?>>Üye</option>
	  	</select>
    </p>

		<p>
			<label for="<?php echo $this->get_field_id('detail'); ?>"><?php _e( 'Detay' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('detail'); ?>" name="<?php echo $this->get_field_name('detail'); ?>" class="widefat" style="width:100%;">
				<option value='' <?php if ('' == $instance['role']) echo 'selected="selected"'; ?>>Adını ve Son Yazısını</option>
				<option value='social' <?php if ('social' == $instance['detail']) echo 'selected="selected"'; ?>>Adını ve Sosyal Medya Hesaplarını</option>
				<option value='justname' <?php if ('justname' == $instance['detail']) echo 'selected="selected"'; ?>>Sadece Adını</option>
	  	</select>
    </p>

		
	<?php }
}
?>