<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_calculator');
function kanews_widget_calculator() {
	register_widget('kanews_widget_class_calculator');
}

// Widget Class
class kanews_widget_class_calculator extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_calculator kanews-section-gutter');
		$control_ops = array('id_base' => 'kanews_widget_calculator');
		parent::__construct('kanews_widget_calculator', ''.KAN_THEME_NAME .' - '.__( "Hesaplayıcılar" , 'kanews' ), $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);
    $title = apply_filters('widget_title', $instance['title'] );
		$tur = $instance['tur'] ? $instance['tur'] : 'doviz';
		$grid = $instance['grid'] ? $instance['grid'] : 'col-12';
		$desc = $instance['desc'];

		$sidebar = explode('-', $args['id']);
		if($sidebar[1] == 'sidebar')
		$grid = 'col-12';
		
	  ?>

    <div class="<?php echo $grid; ?>"> 
      <div id="<?php echo $this->id; ?>" class="kanews-section <?php echo $this->widget_options['classname']; ?>">
        <?php echo kanews_widget_title($title); ?>
        <div>
          <?php echo '<div class="kanews-section-description"><p>'.$desc.'</p></div>';
          echo do_shortcode('[kanews-calculator tur="'.$tur.'"]'); ?>
        </div>
      </div>
    </div>
    
  <?php
  }
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

    $instance['title'] = $new_instance['title'];
    $instance['desc'] = $new_instance['desc'];
		$instance['tur'] = $new_instance['tur'];
		$instance['grid'] = $new_instance['grid'];

		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
      'title' => esc_html__( 'Çevirici', 'kanews' ), 
      'tur'   => 'doviz',
      'grid'  => 'col-12',
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
    </p>	

		<p class="kanews-grid-select-x">
			<label for="<?php echo $this->get_field_id('grid'); ?>"><?php _e( 'Genişlik' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('grid'); ?>" name="<?php echo $this->get_field_name('grid'); ?>" class="widefat" style="width:100%;">
				<option value='col-12' <?php if ('col-12' == $instance['grid']) echo 'selected="selected"'; ?>>12/12</option>
				<option value='col-12 col-lg-8' <?php if ('col-12 col-lg-8' == $instance['grid']) echo 'selected="selected"'; ?>>12/8</option>
				<option value='col-12 col-lg-6' <?php if ('col-12 col-lg-6' == $instance['grid']) echo 'selected="selected"'; ?>>12/6</option>
				<option value='col-12 col-lg-4' <?php if ('col-12 col-lg-4' == $instance['grid']) echo 'selected="selected"'; ?>>12/4</option>
				<option value='col-12 col-md' <?php if ('col-12 col-md' == $instance['grid']) echo 'selected="selected"'; ?>>Sığdır</option>
			</select>
		</p> 

    <p>
			<label for="<?php echo $this->get_field_id( 'desc' ); ?>"><?php _e( 'Açıklama' , 'kanews') ?></label>
			<textarea id="<?php echo $this->get_field_id( 'desc' ); ?>" name="<?php echo $this->get_field_name( 'desc' ); ?>" value="<?php echo $instance['desc']; ?>" class="widefat"><?php echo $instance['desc']; ?></textarea>
		</p>

    <p>
			<label for="<?php echo $this->get_field_id('tur'); ?>"><?php _e( 'Araç' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('tur'); ?>" name="<?php echo $this->get_field_name('tur'); ?>" class="widefat" style="width:100%;">
				<option value='coin' <?php if ('coin' == $instance['tur']) echo 'selected="selected"'; ?>><?php _e( 'Kripto Para Çevirici' , 'kanews') ?></option>
				<option value='doviz' <?php if ('doviz' == $instance['tur']) echo 'selected="selected"'; ?>><?php _e( 'Döviz Çevirici' , 'kanews') ?></option>
				<option value='burc' <?php if ('burc' == $instance['tur']) echo 'selected="selected"'; ?>><?php _e( 'Burç' , 'kanews') ?></option>
				<option value='vki' <?php if ('vki' == $instance['tur']) echo 'selected="selected"'; ?>><?php _e( 'Vücut Kitle İndeksi' , 'kanews') ?></option>
			</select>
		</p>
    
		
	<?php 
	}
}
?>