<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_page_images');
function kanews_widget_page_images() {
	register_widget('kanews_widget_class_page_images');
}

// Widget Class
class kanews_widget_class_page_images extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_page_images kanews-section-flat kanews-section-gutter');
		$control_ops = array('id_base' => 'kanews_widget_page_images');
		parent::__construct('kanews_widget_page_images', ''.KAN_THEME_NAME .' - '.__( "Resimli Sayfalar" , 'kanews' ), $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);
		$title = apply_filters('widget_title', $instance['title'] );
    $style = !empty($instance['style']) ? $instance['style'] : '1';
    $postnotin = !empty($instance['postnotin']) ? $instance['postnotin'] : '';
		$exlude = $postnotin;
		$excludecats = explode(",", $exlude); 
    
    $pages_args = array(
      'sort_order' => 'asc',
      'sort_column' => 'post_title',
      'hierarchical' => 1,
      'exclude' => '',
      'include' => '',
      'meta_key' => '',
      'meta_value' => '',
      'authors' => '',
      'child_of' => 0,
      'parent' => -1,
      'exclude_tree' => '',
      'number' => '',
      'offset' => 0,
      'post_type' => 'page',
      'post_status' => 'publish'
  ); 
  $pages = get_pages($pages_args);
  $thumbnail = 'kanews-post-6';
  $show = 7;
  $sidebar = explode('-', $args['id']);
  if($sidebar[1] == 'sidebar') {
    $show = 2;
  }elseif($sidebar[1] == 'content') {
    $show = 4;
  }

  $slick_options = [
    'slidesToShow' 		=> $show,
    'infinite' 		=> true,
    'responsive' 			=> [
      [
        'breakpoint' 	 => 992,
        'settings'		 => [
          'slidesToShow' => 3
        ]
      ],
      [
        'breakpoint' 	 => 525,
        'settings'		 => [
          'slidesToShow' => 2
        ]
      ],
    ]
  ];

  $slick_options2 = [
    'slidesToShow' 		=> $show2,
    'infinite' 		=> true,
    'responsive' 			=> [
      [
        'breakpoint' 	 => 992,
        'settings'		 => [
          'slidesToShow' => 3
        ]
      ],
      [
        'breakpoint' 	 => 525,
        'settings'		 => [
          'slidesToShow' => 2
        ]
      ],
    ]
  ];
  
  ?>
    
    <div class="col-12"> 
      <div id="<?php echo $this->id; ?>" class="kanews-section <?php echo $this->widget_options['classname']; ?>">
        <?php echo kanews_widget_title($title); ?>
        <?php if($style == '1'): ?>
        <div class="kanews-slider-5 kanews-slider-global">
          <div class="col-12 no-gutter">
            <div class="kanews-slider-wrapper" data-slick='<?php echo wp_json_encode( $slick_options ); ?>'>
              <?php foreach($pages as $page) {
                foreach($excludecats as $cat) {
                  if($cat == $page->ID) {?>
                    <div class="kanews-slide-item">
                      <a href="<?php the_permalink($page->ID); ?>" class="kanews-slide-href"></a>
                      <div class="kanews-slide-thumb">
                        <?php echo get_the_post_thumbnail($page->ID, $thumbnail); ?>
                      </div>
                      <div class="kanews-slide-overlay"></div>
                      <div class="kanews-slide-content">
                        <h3 class="kanews-slide-headline truncate truncate-2"><?php echo get_the_title($page->ID); ?></h3>
                      </div>
                    </div>
                  <?php 
                  }
                }
              }
              ?>
            </div>
          </div>
        </div>
        <?php else: ?>
        <?php endif; ?>
      </div>
    </div>
  <?php
  }
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = $new_instance['title'];
		$instance['style'] = $new_instance['style'];
		$instance['postnotin'] = $new_instance['postnotin'];

		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
			'title' => '', 
			'postnotin' => '', 
			'style' => '1', 
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
    </p>

    <p>
			<label for="<?php echo $this->get_field_id('style'); ?>"><?php _e( 'Genişlik' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('style'); ?>" name="<?php echo $this->get_field_name('style'); ?>" class="widefat" style="width:100%;">
				<option value='1' <?php if ('1' == $instance['style']) echo 'selected="selected"'; ?>>Görünüm #1</option>
			</select>
		</p> 

    <p>
			<label for="<?php echo $this->get_field_id( 'postnotin' ); ?>"><?php _e( 'Gösterilecek Sayfalar (ID)' , 'geo') ?></label>
			<br><i><?php _e('Kategori idlerini virgül ile ayırarak girin', 'geo'); ?></i>
			<input id="<?php echo $this->get_field_id( 'postnotin' ); ?>" name="<?php echo $this->get_field_name( 'postnotin' ); ?>" value="<?php echo $instance['postnotin']; ?>" class="widefat" type="text" />
		</p>
		
	<?php }
}
?>