<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_weather');
function kanews_widget_weather() {
	register_widget('kanews_widget_class_weather');
}

// Widget Class
class kanews_widget_class_weather extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_weather  kanews-section-gutter');
		$control_ops = array('id_base' => 'kanews_widget_weather');
		parent::__construct('kanews_widget_weather', ''.KAN_THEME_NAME .' - '.__( "Hava Durumu" , 'kanews' ), $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);
		$title = apply_filters('widget_title', $instance['title'] );
		$apikey = kanews_get_option('openweathermap-api');
    $city = $instance['city'] ? $instance['city'] : 'İstanbul';
		
		$api = kanews_connect_api('http://api.openweathermap.org/data/2.5/weather?q='.$city.'&lang=tr&units=metric&appid='.$apikey);
		$data = json_decode($api,true);
    ?>
    
    <div class="col-12"> 
      <div id="<?php echo $this->id; ?>" class="kanews-section <?php echo $this->widget_options['classname']; ?>">
        <?php echo kanews_widget_title($title); ?>
        <div class="kanews-weather-widget">
					<div class="kanews-weather-widget-left">
						<div class="kanews-weather-widget-location">
							<svg xmlns="http://www.w3.org/2000/svg" width="10" height="12" viewBox="0 0 10 12" class="jsx-326061613 eaw-detail-locationIcon"><path fill-rule="nonzero" d="M9 5c0-2.265-1.757-4-4-4-2.243 0-4 1.735-4 4 0 1.16 1.32 3.094 4 5.636C7.68 8.094 9 6.16 9 5zm-4 7C1.667 8.967 0 6.634 0 5c0-2.851 2.239-5 5-5s5 2.149 5 5c0 1.634-1.667 3.967-5 7zm0-6a1 1 0 1 1 0-2 1 1 0 0 1 0 2z" class="jsx-326061613"></path></svg> 
							<span><?php echo $city; ?></span>
						</div>
						<div class="kanews-weather-widget-temp"><?php echo round($data['main']['temp']); ?>°</div>
					</div>
         
          <div class="kanews-weather-widget-right">
					<div class="kanews-weather-widget-icon"><img width="48" height="48" src="<?php kanews_lazy_link(); ?>" class="kanews-lazy" data-src="<?php echo KAN_TEMPLATE_URL; ?>/assets/img/weather/<?php echo $data['weather'][0]['icon'];?>.png" alt=""></div>
          
            <div class="kanews-weather-widget-description"><?php echo ucwords($data['weather'][0]['description']); ?></div>
             </div>
        </div>
      </div>	
    </div>
  <?php
  }
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = $new_instance['title'];
		$instance['city'] = $new_instance['city'];

		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
			'title' => '', 
			'city' => 'İstanbul', 
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
    </p>	

		<p>
			<label for="<?php echo $this->get_field_id( 'city' ); ?>"><?php _e( 'Şehir' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'city' ); ?>" name="<?php echo $this->get_field_name( 'city' ); ?>" value="<?php echo $instance['city']; ?>" class="widefat" type="text" />
    </p>
		
	<?php 
	}
}
?>