<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Kanews
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no"/>
	<link rel="preload" as="font" href="<?php echo get_template_directory_uri() . '/assets/fonts/icomoon.ttf?2lntm9'; ?>" type="font/ttf" crossorigin="anonymous">
	<link rel="preload" as="script" href="//ajax.googleapis.com/ajax/libs/webfont/1.6.26/webfont.js">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	<div id="page" class="site-wrapper">
		<?php wp_body_open(); ?>
			<?php do_action('kanews_header'); ?>
			<?php do_action('kanews_header_after'); ?>