<?php
/**
 * Template Name: Kripto Para Kurları
 * @theme kanews
 * @developer kanthemes.com
 */
__( 'Kripto Para Kurları', 'kanews' );
get_header(); ?>
  <?php while ( have_posts() ) : the_post(); ?>
    <?php kanews_page_header($post->ID); ?>
  <?php endwhile; ?>
  <?php do_action('kanews_header_ad'); ?>
  <main id="main" class="site-main">
    <div class="container">
      <div class="row">
        <?php $insights = get_post_meta( get_the_ID(), 'post_insight', true ) == 1 ? 1 : 0; if(kanews_insights_control() == true || $insights == 0 ): ?>
          <div class="col-12 col-lg-7 mb-1">
            <div class="kanews-section">
              <?php echo kanews_widget_title(esc_html__( 'Öne Çıkan Kripto Paralar', 'kanews' )); ?>
              <table class="kanews-table table-currencies">
                <thead>
                  <tr>
                    <th><span class="nobr"><?php esc_html_e( 'Adı', 'kanews' ); ?></span></th>
                    <th class="hidden-mobile"><span class="nobr"><?php esc_html_e( 'Sembol', 'kanews' ); ?></span></th>
                    <th><span class="nobr"><?php esc_html_e( 'Değer', 'kanews' ); ?></span></th>
                    <th><span class="nobr"><?php esc_html_e( 'Değişim', 'kanews' ); ?></span></th>
                  </tr>
                </thead>
                <tbody>
                  <?php
                  $args = array(
                    'timeout' => '20',
                    'sslverify' => false
                  );
                  $response = wp_remote_get(KAN_TEMPLATE_URL."/inc/api/coins/coins.json", $args);
                  $body = wp_remote_retrieve_body( $response );
                  $data = json_decode($body);
                  
                  if($response['response']['code'] == '404') {
                    $ch = curl_init();
                    curl_setopt($ch, CURLOPT_URL, "https://api.coingecko.com/api/v3/coins/markets?vs_currency=try&order=market_cap_desc&per_page=100&page=1&sparkline=false");
                    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
                    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
                    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
                    curl_setopt($ch, CURLOPT_REFERER,'http://www.google.com.tr'); 
                    curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1'); 
                    curl_setopt($ch, CURLOPT_TIMEOUT, 30);
                    
                    $headers = array();
                    $headers[] = "Content-Type: application/json";
                    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
                    
                    $result = curl_exec($ch);
                    if (curl_errno($ch)) {
                      $data = array();
                    }

                    curl_close ($ch);
                    $data = json_decode($result);
                  }
                  
                  if(!empty($data)) {
                    foreach($data as $coin) {
                      if($coin->market_cap_rank == 11) 
                      break;
                      $change =  $coin->price_change_percentage_24h;
                      if ($change < 0) {
                        $class = 'currencies-down-item';
                        $icon = '<i class="icon-caret icon-180deg color-danger icon-2x"></i>';
                      } else {
                        $class = 'currencies-up-item';
                        $icon = '<i class="icon-caret color-success icon-2x"></i>';
                      }
                      echo '<tr>';
                        echo '<td><img src="'.kanews_lazy_link().'" class="kanews-lazy" data-src="'.$coin->image.'" width="18" height="18" alt="'.$name->symbol.'" />'. $coin->name.'</td>';
                        echo '<td class="hidden-mobile">'. strtoupper($coin->symbol) .'</td>';
                        echo '<td>'.$icon.number_format($coin->current_price, 3,",",".").'</td>';
                        // echo '<td class="hidden-mobile">'. $coin->low_24h.'</td>';
                        // echo '<td class="hidden-mobile">'. $coin->high_24h.'</td>';
                        echo '<td class="'.$class.'"><span>%'.round($change, 2).'</span></td>';
                      echo '</tr>';
                    }
                  } else {
                    echo '<tr><td>'.esc_html__( ('Veri alınamadı'), 'kanews' ).'</td></tr>';
                  }
                  
                  ?>
                </tbody>
              </table>
            </div>
          </div>

          <div class="col-12 col-lg-5">
          <div class="kanews-section" style="height: 585px;overflow:hidden">
            <?php echo kanews_widget_title(esc_html__( 'Canlı Grafik', 'kanews' )); ?>
              <!-- TradingView Widget BEGIN -->
  <div class="tradingview-widget-container">
    <script type="text/javascript" src="https://s3.tradingview.com/external-embedding/embed-widget-market-overview.js" async>
    {
    "title": "Cryptocurrencies",
    "title_raw": "Cryptocurrencies",
    "tabs": [
      {
        "title": "Özet",
        "title_raw": "Overview",
        "symbols": [
          {
            "s": "BINANCE:BTCTRY"
          },
          {
            "s": "BITSTAMP:BTCUSD"
          },
          {
            "s": "BITSTAMP:ETHUSD"
          },
          {
            "s": "BITSTAMP:XRPUSD"
          },
          {
            "s": "COINBASE:BCHUSD"
          },
          {
            "s": "COINBASE:LTCUSD"
          },
          {
            "s": "BITFINEX:IOTUSD"
          }
        ],
        "quick_link": {
          "title": "More cryptocurrencies",
          "href": "/markets/cryptocurrencies/prices-all/"
        }
      },
      {
        "title": "Bitcoin",
        "title_raw": "Bitcoin",
        "symbols": [
          {
            "s": "BITSTAMP:BTCUSD"
          },
          {
            "s": "BINANCE:BTCTRY"
          },
          {
            "s": "COINBASE:BTCEUR"
          },
          {
            "s": "COINBASE:BTCGBP"
          },
          {
            "s": "BITFLYER:BTCJPY"
          },
          {
            "s": "CEXIO:BTCRUB"
          },
          {
            "s": "CME:BTC1!"
          }
        ],
        "quick_link": {
          "title": "More Bitcoin pairs",
          "href": "/markets/cryptocurrencies/prices-bitcoin/"
        }
      },
      {
        "title": "XRP",
        "title_raw": "XRP",
        "symbols": [
          {
            "s": "BINANCE:XRPTRY"
          },
          {
            "s": "BITSTAMP:XRPUSD"
          },
          {
            "s": "KRAKEN:XRPEUR"
          },
          {
            "s": "KORBIT:XRPKRW"
          },
          {
            "s": "BITSO:XRPMXN"
          },
          {
            "s": "BINANCE:XRPBTC"
          },
          {
            "s": "BITTREX:XRPETH"
          }
        ],
        "quick_link": {
          "title": "More XRP pairs",
          "href": "/markets/cryptocurrencies/prices-xrp/"
        }
      },
      {
        "title": "Ethereum",
        "title_raw": "Ethereum",
        "symbols": [
          {
            "s": "BINANCE:ETHTRY"
          },
          {
            "s": "COINBASE:ETHUSD"
          },
          {
            "s": "KRAKEN:ETHEUR"
          },
          {
            "s": "KRAKEN:ETHGBP"
          },
          {
            "s": "KRAKEN:ETHJPY"
          },
          {
            "s": "POLONIEX:ETHBTC"
          },
          {
            "s": "KRAKEN:ETHXBT"
          }
        ],
        "quick_link": {
          "title": "More Ethereum pairs",
          "href": "/markets/cryptocurrencies/prices-ethereum/"
        }
      },
      {
        "title": "Bitcoin Cash",
        "title_raw": "Bitcoin Cash",
        "symbols": [
          {
            "s": "COINBASE:BCHUSD"
          },
          {
            "s": "BITSTAMP:BCHEUR"
          },
          {
            "s": "CEXIO:BCHGBP"
          },
          {
            "s": "BITSTAMP:BCHBTC"
          },
          {
            "s": "HITBTC:BCHETH"
          },
          {
            "s": "KRAKEN:BCHXBT"
          }
        ],
        "quick_link": {
          "title": "More Bitcoin Cash pairs",
          "href": "/markets/cryptocurrencies/prices-bitcoin-cash/"
        }
      }
    ],
    "title_link": "/markets/cryptocurrencies/prices-all/",
    "width": 470,
    "height": 585,
    "showChart": true,
    "autosize": true,
    "isTransparent": true,
    "locale": "tr",
    "plotLineColorGrowing": "rgba(33, 150, 243, 1)",
    "plotLineColorFalling": "rgba(33, 150, 243, 1)",
    "belowLineFillColorGrowing": "rgba(33, 150, 243, 0.12)",
    "belowLineFillColorFalling": "rgba(33, 150, 243, 0.12)",
    "gridLineColor": "#F0F3FA",
    "scaleFontColor": "rgba(120, 123, 134, 1)",
    "showSymbolLogo": true,
    "symbolActiveColor": "rgba(33, 150, 243, 0.12)",
    "colorTheme": "light"
  }
    </script>
  </div>
  <!-- TradingView Widget END -->
            </div>
          </div>

          <div class="col-12 col-md-8 mb-1">
            <div class="kanews-section">
              <?php echo kanews_widget_title(esc_html__( 'Diğer Kripto Paralar', 'kanews' )); ?>
              <input placeholder="<?php _e('Görmek İstediğin Para Birimini Yaz', 'kanews'); ?>" id="kanews-currencies-search">
              <div class="kanews-scroll" style="max-height: 815px">
                <table class="kanews-table table-search table-currencies table-auto">
                  <thead>
                    <tr>
                      <th><span class="nobr"><?php esc_html_e( 'Adı', 'kanews' ); ?></span></th>
                      <th class="hidden-mobile"><span class="nobr"><?php esc_html_e( 'Sembol', 'kanews' ); ?></span></th>
                      <th><span class="nobr"><?php esc_html_e( 'Değer', 'kanews' ); ?></span></th>
                      <th class="hidden-mobile"><span class="nobr"><?php esc_html_e( 'En Düşük', 'kanews' ); ?></span></th>
                      <th class="hidden-mobile"><span class="nobr"><?php esc_html_e( 'En Yüksek', 'kanews' ); ?></span></th>
                      <th><span class="nobr"><?php esc_html_e( 'Değişim', 'kanews' ); ?></span></th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php
                    
                    if(!empty($data)) {
                      foreach($data as $coin) {
                        if($coin->market_cap_rank > 10) {
                          $change =  $coin->price_change_percentage_24h;
                          if ($change < 0) {
                            $class = 'currencies-down-item';
                            $icon = 'icon-arrow';
                          } else {
                            $class = 'currencies-up-item';
                            $icon = 'icon-arrow';
                          }
                          echo '<tr data-code="'. strtoupper($coin->symbol).'">';
                            echo '<td><img src="'.kanews_lazy_link().'" class="kanews-lazy" data-src="'.$coin->image.'" width="18" height="18" alt="'.$name->symbol.'" />'. $coin->name.'</td>';
                            echo '<td class="hidden-mobile">'. strtoupper($coin->symbol).'</td>';
                            echo '<td>'.number_format($coin->current_price, 3,",",".").'</td>';
                            echo '<td class="hidden-mobile">'. $coin->low_24h.'</td>';
                            echo '<td class="hidden-mobile">'. $coin->high_24h.'</td>';
                            echo '<td class="'.$class.'"><span>%'.round($change, 2).'</span></td>';
                          echo '</tr>';
                        }
                      }
                    } else {
                      echo '<tr><td>'.esc_html__( ('Veri alınamadı'), 'kanews' ).'</td></tr>';
                    }
                    ?>
                  </tbody>
                </table>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-4">
            <div class="kanews-section">
              <?php echo kanews_widget_title(esc_html__( 'Kripto Para Çevirici', 'kanews' ));?>
              <form id="doviz_calc">
                <div class="row">
                  <?php 
                
                  echo '<div class="col-12 col-md-6"><div class="kanews-form kanews-form-fsm">';
                    echo '<select class="currency_switcher_x">';
                    foreach($data as $coin) {
                      echo '<option value="'.$coin->current_price.'">'.strtoupper($coin->symbol).'</option>';
                    }
                    echo '<option value="1">TRY</option>';  
                    echo '</select>';
                  echo '</div></div>';

                  echo '<div class="col-12 col-md-6"><div class="kanews-form kanews-form-fsm">';
                    echo '<select class="currency_switcher_2">';
                    echo '<option value="1">TRY</option>';
                    foreach($data as $coin) {
                      echo '<option value="'.$coin->current_price.'">'.strtoupper($coin->symbol).'</option>';
                    }
                    echo '</select>';
                  echo '</div></div>';
                  ?>
                  <div class="col-12">
                    <div class="kanews-form kanews-form-fsm">
                      <input type="text" class="currency3value" value="1">
                      <span class="highlight"></span>
                      <span class="bar"></span>
                      <label><?php _e('Miktar', 'kanews'); ?></label>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="kanews-form kanews-form-fsm">
                      <input type="text" class="currency4value" value="?">
                      <span class="highlight"></span>
                        <span class="bar"></span>
                        <label><?php _e('Sonuç', 'kanews'); ?></label>
                    </div>
                  </div>
                </div>
              </form>
            </div>

            <div class="kanews-section kanews-section-flat">
              <?php echo kanews_widget_title(esc_html__( 'İlginizi Çekebilir', 'kanews' )); ?>
              <?php 
              $kanews_query = new WP_Query(
                array( 
                  'showposts' => 6,
                  'cat' => get_post_meta(get_queried_object_id(), 'custom_page_related', true),
                  'orderby'   => 'rand',
                )
              );
              
              if ($kanews_query->have_posts()) : ?>
                <div class="row">
                  <?php while($kanews_query->have_posts()): $kanews_query->the_post(); global $post; ?>
                    <div class="col-6">
                      <div class="kanews-post-item kanews-post-grid-item">
                        <a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
                        <?php do_action('kanews_post_hook'); ?>
                        <?php kanews_post_thumbnail('kanews-post-3', 'kanews-post-thumb'); ?>
                        <div class="kanews-post-content">
                          <?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-3"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
                        </div>
                      </div>
                    </div>
                  <?php endwhile; ?>
                </div>
              <?php endif; ?>
            </div>
            

          </div>

          <div class="col-12">
            <div class="kanews-section">
              <!-- TradingView Widget BEGIN -->
              <div class="tradingview-widget-container">
                <div id="tradingview_12510"></div>
                <div class="tradingview-widget-copyright"><a href="https://www.tradingview.com/symbols/USDTRY/?exchange=OANDA" rel="noopener" target="_blank"><span class="blue-text">USDTRY Chart</span></a> by TradingView</div>
                <script type="text/javascript" src="https://s3.tradingview.com/tv.js"></script>
                <script type="text/javascript">
                new TradingView.widget(
                {
                  "width": 1170,
                  "height": 610,
                  "symbol": "BINANCE:BTCTRY",
                  "interval": "15",
                  "timezone": "Europe/Istanbul",
                  "theme": "light",
                  "style": "3",
                  "locale": "tr",
                  "toolbar_bg": "#f1f3f6",
                  "enable_publishing": false,
                  "hide_top_toolbar": false,
                  "withdateranges": true,
                  "hide_side_toolbar": false,
                  "allow_symbol_change": true,
                  "show_popup_button": true,
                  "popup_width": "1000",
                  "popup_height": "650",
                  "container_id": "tradingview_e8ead",
                  "isTransparent": true,
                }
                );
                </script>
              </div>
              <!-- TradingView Widget END -->
            </div>
          </div>

          
          <?php while ( have_posts() ) : the_post(); 
            if ($post->post_content): ?>
              <div class="col-12">
                <div class="kanews-article kanews-section-box kanews-article-1">
                  <div class="kanews-article-content entry-content">
                    <?php the_content(); ?>
                  </div>
                </div>
              </div>
            <?php endif; ?>

            <?php if ( comments_open() || get_comments_number() ) : ?>
              
              <div class="col-12">
                <?php comments_template(); ?>
              </div>
            <?php endif;?> 
          <?php endwhile; ?>
        <?php else: ?>
          <div class="col-12"><?php echo kanews_private_content('a'); ?></div>
        <?php endif; ?>

      </div>
    </div>
  </main>
<?php get_footer();
