<?php 
/* KAldırılmıştır */

function kanews_customize_register( $wp_customize ) {

	$prefix = 'kanews_';

	if ( isset( $wp_customize->selective_refresh ) ) {

		// Renk Ayarları
		$wp_customize->add_panel( $prefix.'customizer', array(
			'priority'       => 10,
			'capability'     => 'edit_theme_options',
			'title'          => __('Kanews Özelleştirmeleri', 'kanews'),
		) );
		
		###
		###### Genel Ayarlar
		###
		$wp_customize->add_section( 'logo', array(
			'priority'       => 20,
			'capability'     => 'edit_theme_options',
			'theme_supports' => '',
			'title'          => __('Logo', 'kanews'),
			'panel'  				 => $prefix.'customizer',
		) );
		
		###
		###### Genel Ayarlar
		###
		$wp_customize->add_section( 'general', array(
			'priority'       => 20,
			'capability'     => 'edit_theme_options',
			'theme_supports' => '',
			'title'          => __('Genel', 'kanews'),
			'panel'  				 => $prefix.'customizer',
		) );

		// Genel Ayarlar - Arkaplan Rengi
		$wp_customize->add_setting( $prefix.'bg_color', array() );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, $prefix.'bg_color', array(
			'label' => __('Arkaplan Rengi', 'kanews'),
			'section' => 'general',
			'sanitize_callback' => 'sanitize_hex_color',
			'settings' => $prefix.'bg_color',
		) ) );

		// Genel Ayarlar - Birincil Renk
		$wp_customize->add_setting( $prefix.'primary_color', array() );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, $prefix.'primary_color', array(
			'label' => __('Birincil Renk', 'kanews'),
			'section' => 'general',
			'sanitize_callback' => 'sanitize_hex_color',
			'settings' => $prefix.'primary_color',
		) ) );

		// Genel Ayarlar - Birincil Renk
		$wp_customize->add_setting( $prefix.'mobil_menu_bg_color', array() );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, $prefix.'mobil_menu_primary_color', array(
			'label' => __('Mobil Menü Arkaplan Rengi', 'kanews'),
			'section' => 'general',
			'sanitize_callback' => 'sanitize_hex_color',
			'settings' => $prefix.'mobil_menu_primary_color',
		) ) );

		// Genel Ayarlar - Site Fontu
		$wp_customize->add_setting($prefix.'theme_font', array('sanitize_callback' => 'kanews_sanitize_select'));
    $wp_customize->add_control( 
			$prefix.'theme_font', 
			array(
				'label' => esc_html__( 'Site Fontu', 'kanews' ),
				'section' => 'general',
				'type' => 'select',
				'choices' => array(
					'' => esc_html__('Varsayılan','kanews'),
					'roboto' => 'Roboto',
					'roboto_condensed' => 'Roboto Condensed',
					'roboto_mono' => 'Roboto Mono',
					'roboto_slab' => 'Roboto Slab',
					'pt_sans' => 'PT Sans',
					'pt_serif' => 'PT Serif',
					'noto_sans' => 'Noto Sans',
					'noto_serif' => 'Noto Serif',
					'open_sans' => 'Open Sans',
					'open_sans_condensed' => 'Open Sans Condensed',
					'rubik' => 'Rubik',
					'montserrat' => 'Montserrat',
					'fira_sans' => 'Fira Sans',
					'work_sans' => 'Work Sans',
					'cabin' => 'Cabin',
					'cabin_condensed' => 'Cabin Condensed',
					'lexend_deca' => 'Lexend Deca',
					'karla' => 'Karla',
					'alata' => 'Alata',
					'alatsi' => 'Alatsi',
					'josefin_sans' => 'Josefin Sans',
					'hind' => 'Hind',
					'tomorrow' => 'Tomorrow',
					'source_sans_pro' => 'Source Sans Pro',
					'play' => 'Play',
					'oswald' => 'Oswald',
					'raleway' => 'Raleway',
					'niramit' => 'Niramit',
					'ubuntu' => 'Ubuntu',
					'k2d' => 'K2D',
					'exo_2' => 'Exo 2',
					'scada' => 'Scada',
					'lora' => 'Lora',
					'muli' => 'Muli',
					'quicksand' => 'Quicksand',
					'work_sans' => 'Work Sans',
					'titillium_web' => 'Titillium Web',
					'monda' => 'Monda',
					'oxygen' => 'Oxygen',
					'barlow' => 'Barlow',
					'reem_kufi' => 'Reem Kufi',
					'merriweather_sans' => 'Merriweather Sans',
					'russo_one' => 'Russo One',
					'righteous' => 'Righteous',
					'benchnine' => 'BenchNine',
					'playfair_display' => 'Playfair Display',
					'vidaloka' => 'Vidaloka',
					'prata' => 'Prata',
					'didact_gothic' => 'Didact Gothic',
					'calistoga' => 'Calistoga',
					'monoton' => 'Monoton',
					'bebas_neue' => 'Bebas Neue',
					'staatliches' => 'Staatliches',
					'jost' => 'Jost',
					'dm_sans' => 'Dm Sans',
					'inter' => 'Inter',
					'syne' => 'Syne',
					'sora' => 'Sora',
					'oxanium' => 'Oxanium',
					'spartan' => 'Spartan',
					'gelasio' => 'Gelasio',
					'alatsi' => 'Alatsi',
					'mulish' => 'Mulish',
					'poppins' => 'Poppins',
					'scheherazade' => 'Scheherazade',
				)
			)
    );  
		

	}
	
	
}
add_action( 'customize_register', 'kanews_customize_register' );


function sanitize_float( $input ) {
   return filter_var($input, FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);
}

function kanews_sanitize_select( $input, $setting ){
	
		//input must be a slug: lowercase alphanumeric characters, dashes and underscores are allowed only
		$input = sanitize_key($input);

		//get the list of possible select options 
		$choices = $setting->manager->get_control( $setting->id )->choices;
											
		//return input if valid or return default option
		return ( array_key_exists( $input, $choices ) ? $input : $setting->default );                
			
	}