<?php 
global $current_user, $wp_roles;
wp_get_current_user();
?>
<h2 class="kanews-custom-page-title mb-1"><?php esc_html_e( 'Yorumlarım', 'kanews' ); ?></h2>
  <?php 
  $comments_per_page=10;
  $all_comments_approved = kanews_get_comments_count_by_user($current_user->ID);
  $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
  $offset = (($paged-1) * $comments_per_page) ;
  $max_num_pages = ceil( $all_comments_approved / $comments_per_page );

  $args = array(
    'user_id' => $current_user->ID,
    'status' => 'approve',
    'post_status' => 'publish',
    'number' => $comments_per_page,
    'offset' => $offset,
    'post_type' => 'post'
  );

  $comments_query = new WP_Comment_Query;
  $comments = $comments_query->query( $args );
  
  if ( $comments ) : ?>

    <?php foreach ( $comments as $comment ) : ?>
      <div class="kanews-post-item">
        <div class="kanews-post-content flex-wrap">
      
          <div class="kanews-comment-item">
            <?php echo sprintf(esc_html__( '%1$s adlı yazıya %2$syorum%3$s yaptınız.', 'kanews'), 
              '<a href="'. get_the_permalink($comment->comment_post_ID) .'">'. get_the_title($comment->comment_post_ID) .'</a>',
              '<a href="'. get_the_permalink($comment->comment_post_ID) .'#comment'. $comment->comment_ID .'">',
              '</a>'
            ); ?>
          </div>
          <p><?php echo wp_html_excerpt( $comment->comment_content, 125 ); ?>..</p>
          <span style="font-size: 12px;"><?php echo human_time_diff( strtotime( $comment->comment_date ), current_time( 'timestamp', 1 ) ) ?><?php esc_html_e( '&nbsp;önce', 'kanews' ); ?></span>
        </div>
      </div>
    <?php endforeach; ?>

  <?php endif; ?>

<div class="navigation pagination">
  <div class="nav-links">
    <?php 
      $current_page = max(1, get_query_var('paged'));
      echo paginate_links(array(
        'base'         => str_replace( 999999999, '%#%', esc_url( get_pagenum_link( 999999999 ) ) ),
      'current' => $current_page,
      'total' => $max_num_pages,
      'prev_text'    => '<i class="icon-arrow icon-90degg"></i>',
      'next_text'    => '<i class="icon-arrow icon-90deg"></i>',
      'end_size' => 2,
      'mid-size' => 3
      ));
    ?>
  </div>
</div>