<?php 
global $current_user, $wp_roles;
wp_get_current_user();
?>
<?php if(kanews_get_option('post-bookmark') == true): ?>
  <h2 class="kanews-custom-page-title mb-1"><?php esc_html_e( 'İçeriklerim', 'kanews' ); ?></h2>
  <?php
  $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
  $args = array(
    'posts_per_page' => 9, // post per page
    'paged' => $paged,
  );		
  $like_query = new WP_Query( $args );
  if ( $like_query->have_posts() ) : ?>
    <div class="kanews-section kanews-section-flat">
      <div class="row">
        <?php while ( $like_query->have_posts() ) : $like_query->the_post(); global $post; ?>
        <div class="col-6 col-lg-4">
          <div class="kanews-post-item kanews-post-grid-item" <?php if($post->post_status != 'publish'): echo 'style="opacity: .75"'; endif; ?>>
            <?php if($post->post_status == 'publish'): ?>
              <a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
            <?php else: ?>
            <div class="p-1"><?php esc_html_e( 'Onay Bekliyor!', 'kanews' ); ?></div>
            <?php endif; ?>
            <?php kanews_post_thumbnail('kanews-post-1', 'kanews-post-thumb'); ?>
            <div class="kanews-post-content">
              <?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-3">', esc_url( get_permalink() ) ), '</h3>' ); ?>
            </div>
          </div>
        </div>
        <?php endwhile; ?>
      </div>
      
    </div>
  <?php else : ?>
    <p><?php _e( 'Henüz herhangi bir içerik paylaşmamışsınız.', 'kanews' ); ?></p>
  <?php 
  endif; 	wp_reset_postdata(); ?>
  <div class="navigation pagination">
    <div class="nav-links">
      <?php 
        echo paginate_links( array(
          'base'         => str_replace( 999999999, '%#%', esc_url( get_pagenum_link( 999999999 ) ) ),
          'total'        => $like_query->max_num_pages,
          'current'      => max( 1, get_query_var( 'paged' ) ),
          'format'       => '?paged=%#%',
          'show_all'     => false,
          'type'         => 'plain',
          'end_size'     => 2,
          'mid_size'     => 1,
          'prev_next'    => true,
          'prev_text'    => '<i class="icon-arrow icon-90degg"></i>',
          'next_text'    => '<i class="icon-arrow icon-90deg"></i>',
          'add_args'     => false,
          'add_fragment' => '',
        ) );
      ?>
    </div>
  </div>
<?php else: ?>
  <p><?php esc_html_e( 'Bu özellik geçici olarak devre dışıdır.', 'kanews' ); ?></p>
<?php endif; ?>