<?php
/**
 * @theme kanews
 * @developer kanthemes.com
 */
$lig = isset($_GET['lig']) ? $_GET['lig'] : 'spor-toto-super-lig';
$lig_title = str_replace("-", " ", $lig);
$new_title = ucwords($lig_title).' Puan Durumu - '.get_bloginfo("name");
function generate_custom_title($title) {
  global $new_title;
  $title = $new_title;
  return $title;  
}

add_filter( 'pre_get_document_title', 'generate_custom_title', 10 );
add_filter( 'wpseo_title', 'generate_custom_title', 15 );
get_header(); ?>
  <?php while ( have_posts() ) : the_post(); ?>
    <?php kanews_page_header($post->ID, ucwords($lig_title).' Puan Durumu'); ?>
  <?php endwhile; ?>

  <?php do_action('kanews_header_ad'); ?>
  <main id="main" class="site-main">
    <div class="container">
      <div class="row">

        <?php $insights = get_post_meta( get_the_ID(), 'post_insight', true ) == 1 ? 1 : 0; if(kanews_insights_control() == true || $insights == 0 ): ?>
          <div class="col-12">
            <?php 
            $api  =  new SuperLigStandings();
            $simpleStandings  =  $api->getStandings($lig);
            $active = ''; $active2 = ''; $active3 = ''; $active4 = ''; $active5 = ''; $active6 = ''; $active7 = '';
            switch($lig) {
              case 'spor-toto-super-lig':
               $active = 'active';
              break;
              case 'almanya-bundesliga':
               $active2 = 'active';
              break;
              case 'ingiltere-premier-ligi':
               $active3 = 'active';
              break;
              case 'italya-serie-a':
               $active4 = 'active';
              break;
              case 'fransa-ligue-1':
               $active5 = 'active';
              break;
              case 'ispanya-la-liga':
               $active6 = 'active';
              break;
              case 'ptt-1-lig':
               $active7 = 'active';
              break;
            }
            ?>

            <div class="kanews-section kanews_widget_posts_6">
            <div class="kanews-tab">
              <ul class="nav nav-tabs d-flex flex-wrap p-0 mb-0">
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=spor-toto-super-lig" class="nav-link <?php echo $active; ?>"><?php _e('Süper Lig', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=almanya-bundesliga" class="nav-link <?php echo $active2; ?>"><?php _e('Bundesliga', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=ingiltere-premier-ligi" class="nav-link <?php echo $active3; ?>"><?php _e('Premier Lig', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=italya-serie-a" class="nav-link <?php echo $active4; ?>"><?php _e('Serie A', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=fransa-ligue-1" class="nav-link <?php echo $active5; ?>"><?php _e('Ligue 1', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=ispanya-la-liga" class="nav-link <?php echo $active6; ?>"><?php _e('La Liga', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=ptt-1-lig" class="nav-link <?php echo $active7; ?>"><?php _e('PTT 1. Lig', 'kanews'); ?></a></li>
              </ul>
            </div>
            <div class="tab-content p-0">
              <div class="tab-pane fade show active">
                <div class="kanews-table-2">
                  <div class="kanews-table-content d-flex flex-wrap no-gutters">
                    <?php 
                    $args = array(
                      'timeout' => '20',
                      'sslverify' => false
                    );
                    $response = wp_remote_get(KAN_TEMPLATE_URL."/inc/api/standings/".$lig.".json", $args);
                    $body = wp_remote_retrieve_body( $response );
                    $data = json_decode($body)->data->initialData[0];
                    // print_r($data);
                    foreach ($data as $team) {
                      $match = $team->nextMatch;
                      if( empty( $GLOBALS['match_id'] ) || $GLOBALS['match_id'] != $match->id ){
                        echo '<div class="kanews-table-wrap col-12 d-flex justify-content-center align-items-center">';
                          echo '<div class="kanews-table-item">'. $match->homeTeam->middleName. '</div>';
                          echo '<div class="kanews-table-item">'. $match->awayTeam->middleName. '</div>';
                        echo '</div>';
                      }
                      $GLOBALS['match_id'] = $match->id;
                    } ?>
                  </div>
                </div>

              </div>
            </div>
            </div>
          </div>
        <?php else: ?>
          <div class="col-12"><?php echo kanews_private_content('a'); ?></div>
        <?php endif; ?>
      </div>
    </div>
  </main>
<?php get_footer();