<?php
/**
 * Template Name: Canlı Tv
 * @theme kanews
 * @developer kanthemes.com
 */
__( 'Canlı Tv', 'kanews' );
$watch = isset($_GET['kanal']) ? $_GET['kanal'] : NULL;
$channel = isset($_GET['no']) ? $_GET['no'] : 0;
$list = kanews_get_option('live-tv') ? kanews_get_option('live-tv') : array();
if($list[$channel]['title']) {
  $title = $list[$channel]['title'].' '.esc_html__( 'Canlı İzle', 'kanews' );
  $new_title = $title.' - '.get_bloginfo('name');
}
function generate_custom_title($title) {
  global $new_title;
  if($new_title)
  $title = $new_title;
  return $title;  
}

add_filter( 'pre_get_document_title', 'generate_custom_title', 10 );
add_filter( 'wpseo_title', 'generate_custom_title', 15 );
get_header(); ?>
  <?php while ( have_posts() ) : the_post(); 
    if(!$title)
    $title = get_the_title($post->ID);
  ?>
    <?php kanews_page_header($post->ID, $title); ?>
  <?php endwhile; ?>

  <?php do_action('kanews_header_ad'); ?>
  <main id="main" class="site-main">
    <div class="container">
      <div class="row">

        <?php $insights = get_post_meta( get_the_ID(), 'post_insight', true ) == 1 ? 1 : 0; if(kanews_insights_control() == true || $insights == 0 ): ?>
          <?php if($list): ?>
            <div class="col-12 col-md-8">
              <div class="kanews-jdke2-main mb-1">
                <div class="embed-containers">
                  <?php if($watch !== NULL) {
        
                      if($list[$channel]['iframe-src']) {
                        echo '<div class="plyr__video-embed" id="player">';
                          echo '<iframe src="'.$list[$channel]['iframe-src'].'" allowfullscreen allowtransparency allow="autoplay"></iframe>';
                        echo '</div>';
                      } else {
                        echo '<img class="kanews-lazy" src="'.kanews_lazy_link().'" data-src="https://dummyimage.com/870x490/1d1f26/555555&text='.__('Kaynak Bulunamadı', 'kanews').'" alt="example" width="870" height="490" />';
                      }
                    
                  } else {
                    if($list[0]['iframe-src']) {
                      echo '<div class="plyr__video-embed" id="player">';
                        echo '<iframe src="'.$list[0]['iframe-src'].'" allowfullscreen allowtransparency allow="autoplay"></iframe>';
                      echo '</div>';
                    } else {
                      echo '<img class="kanews-lazy" src="'.kanews_lazy_link().'" data-src="https://dummyimage.com/870x490/1d1f26/555555&text='.__('Kaynak Bulunamadı', 'kanews').'" alt="example" width="870" height="490" />';
                    }
                  } ?>
                </div>
              </div>
            </div>
            <div class="col-12 col-md-4">
              <div class="kanews-jdke2-panel kanews-section kanews-scroll">
              <?php echo kanews_widget_title(esc_html__( 'Kanallar', 'kanews' )); ?>
                <?php $counter=0; foreach($list as $tv) :  
                  if($counter == $channel) 
                    $class = 'is-active';
                  else
                    $class = '';
                  ?>
                  <a href="<?php the_permalink(); ?>?kanal=<?php echo kanews_seflink($tv['title']); ?>&no=<?php echo $counter; ?>" class="kanews-jdke2-item <?php echo $class; ?>">
                    <?php if($tv['logo']): ?>
                      <img class="kanews-lazy" src="<?php echo kanews_lazy_link(); ?>" data-src="<?php echo $tv['logo']; ?>" width="32" height="32" alt="tv" />
                    <?php else: ?>
                      <img class="kanews-lazy" src="<?php echo kanews_lazy_link(); ?>" data-src="https://dummyimage.com/32x32/ccc/ccc" width="32" height="32" alt="tv" />
                    <?php endif; ?>
                    <?php if($tv['title']): ?>
                      <span><?php echo $tv['title']; ?></span>
                    <?php else: ?>
                      <span><?php _e('Kanal Adı', 'kanews'); ?></span>
                    <?php endif; ?>
                  </a>
                <?php $counter++; endforeach;?>
                
              </div>
            </div>
          <?php else: ?>
            <div class="col-12 col-md-9">
              <div class="kanews-jdke2-main">
                <div class="embed-container">
                  <img class="kanews-lazy" src="<?php echo kanews_lazy_link(); ?>" data-src="https://dummyimage.com/870x490/1d1f26/555555&text=<?php _e('Kanal Ekle', 'kanews'); ?>" alt="example" width="870" height="490" />
                </div>
              </div>
            </div>
            <div class="col-12 col-md-3">
              <div class="kanews-jdke2-panel kanews-section kanews-scroll">
                <a href="<?php the_permalink(); ?>" class="kanews-jdke2-item">
                  <img src="<?php echo kanews_lazy_link(); ?>"src="https://dummyimage.com/32x32/ccc/ccc" width="32" height="32" alt="tv" />
                  <span><?php _e('Kanal Ekle', 'kanews'); ?></span>
                </a>
              </div>
            </div>
          <?php endif; ?>

          <?php while ( have_posts() ) : the_post(); 
            if ($post->post_content): ?>
              <div class="col-12">
                <div class="kanews-article kanews-section-box kanews-article-1">
                  <div class="kanews-article-content entry-content">
                    <?php the_content(); ?>
                  </div>
                </div>
              </div>
            <?php endif; ?>
            <?php if ( comments_open() || get_comments_number() ) : ?>
              
              <div class="col-12">
                <?php comments_template(); ?>
              </div>
            <?php endif;?> 
          <?php endwhile; ?>
        <?php else: ?>
          <div class="col-12"><?php echo kanews_private_content('a'); ?></div>
        <?php endif; ?>
      </div>
    </div>
  </main>
  <link rel="stylesheet" href="https://cdn.plyr.io/3.6.3/plyr.css" />
  <script src="https://cdn.plyr.io/3.6.3/plyr.polyfilled.js"></script>
  <script>
    const player = new Plyr('#player');
    const supported = Plyr.supported('video', 'html5', true);
    player.play();
  </script>
<?php get_footer();