<?php
/**
 * Template Name: Akış
 * @url kanthemes.com
 */
__( 'Akış', 'kanews' );
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

get_header(); ?>
<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); endwhile; endif; ?>
<?php $insights = get_post_meta( get_the_ID(), 'post_insight', true ) == 1 ? 1 : 0; if(kanews_insights_control() == true || $insights == 0 ): ?>
<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<?php if(is_user_logged_in()): ?>
		<div class="kanews-page-header">
			<div class="container">
				<div class="row align-items-center justify-space-between">
					<div class="col"><h1 class="kanews-page-title"><?php the_title(); ?></h1></div>
          <?php $user_cats = get_user_option( 'kanews_subscribe_category', get_current_user_id() );
          if(!empty($user_cats)): ?>
          <div class="col-auto">
            <div data-toggle="kanews-modal-categories" class="kanews-btn kanews-btn-light m-0"><?php esc_html_e( 'Akışımı Yönet', 'kanews' ); ?> <i class="icon-caret icon-180deg"></i></div>
            <div id="kanews-modal-categories" class="kanews-modal">
              <div data-toggle="kanews-modal-categories" class="kanews-modal-close"></div>
              <div class="kanews-modal-content">
                <div class="kanews-modal-title"><?php esc_html_e( 'Abone Olabileceğin Konular', 'kanews' ); ?></div>
                <div data-toggle="kanews-modal-categories" class="kanews-modal-close-btn"><i class="icon-close"></i></div>
                <div class="kanews-modal-content-inner">
                  <div class="kanews-category-subscribe-wrapper">
                  <?php 
                    $nonce = wp_create_nonce( 'kanews-cat-nonce' );
                    
                    $categories = get_categories(array(
                      'orderby' => 'count',
                      'order'   => 'ASC'
                    ));
                    foreach($categories as $category) {
                      if(in_array($category->term_id, $user_cats)) 
                      echo '<a class="kanews-category-subscribe-button category-subscribed" data-nonce="'.$nonce.'" data-cat-id="'.$category->term_id.'" href="' . admin_url( 'admin-ajax.php?action=kanews_ajax_subscribe_category' . '&cat_id=' . $category->term_id . '&nonce=' . $nonce ) . '"">'.$category->name.' <div class="check"></div> <div id="kanews-loader"></div></a>';
                      else
                      echo '<a class="kanews-category-subscribe-button" data-nonce="'.$nonce.'" data-cat-id="'.$category->term_id.'" href="' . admin_url( 'admin-ajax.php?action=kanews_ajax_subscribe_category' . '&cat_id=' . $category->term_id . '&nonce=' . $nonce ) . '"">'.$category->name.' <div class="check"></div> <div id="kanews-loader"></div></a>';
                    }
                  ?>
                  </div>
                </div>
              </div>
              
            </div>
          </div>
          <?php else:
            $user_cats[0] = '';
          endif; ?>
				</div>
			</div>
		</div>
    

		<main id="main" class="site-main">
			<div class="container">
        <?php 
        wp_reset_query();
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
        $kanews_query = new WP_Query(
          array( 
            'category__in' => $user_cats,
            'posts_per_page'    => 8,
            'paged' => $paged, 
          )
        );
        
        if ($kanews_query->have_posts()) : ?>
          <div class="row"  kanews-data-load-more data-status="1">
            <?php while($kanews_query->have_posts()): $kanews_query->the_post(); global $post; ?>
              <div class="col-6 col-md-4 col-lg-3 toinfinite">
                <div class="kanews-post-item kanews-post-grid-item">
                  <a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
                  <?php do_action('kanews_post_hook'); ?>
                  <?php kanews_post_thumbnail('kanews-post-1', 'kanews-post-thumb'); ?>
                  <div class="kanews-post-content">

                      <?php echo kanews_primary_category($post->ID); ?>

                    <?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-2"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
                  </div>
                </div>
              </div>
            <?php endwhile; ?>
          </div>

          <?php
            $total_pages = $kanews_query->max_num_pages;
            if ($total_pages > 1){
              echo '<nav class="navigation pagination" style="width: 100%" hidden role="navigation"><div class="nav-links">';
              $current_page = max(1, get_query_var('paged'));
              echo paginate_links(array(
                'base' => get_pagenum_link(1) . '%_%',
                'format' => '/page/%#%',
                'current' => $current_page,
                'total' => $total_pages,
                'prev_text'          => '<i class="icon-arrow"></i>',
                'next_text'          => '<i class="icon-arrow icon-90deg"></i>',
              ));
              echo '</div></nav>';
            }
          ?> 
          <div id="load-more-posts-button-wrapper">
            <div style="display:none" class="page-load-status">
              <div class="loader-ellips infinite-scroll-request">
                <svg version="1.1" id="loader-1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="40px" height="40px" viewBox="0 0 40 40" enable-background="new 0 0 40 40" xml:space="preserve"> <path opacity="0.2" fill="#000" d="M20.201,5.169c-8.254,0-14.946,6.692-14.946,14.946c0,8.255,6.692,14.946,14.946,14.946 s14.946-6.691,14.946-14.946C35.146,11.861,28.455,5.169,20.201,5.169z M20.201,31.749c-6.425,0-11.634-5.208-11.634-11.634 c0-6.425,5.209-11.634,11.634-11.634c6.425,0,11.633,5.209,11.633,11.634C31.834,26.541,26.626,31.749,20.201,31.749z"/> <path fill="#000" d="M26.013,10.047l1.654-2.866c-2.198-1.272-4.743-2.012-7.466-2.012h0v3.312h0 C22.32,8.481,24.301,9.057,26.013,10.047z"> <animateTransform attributeType="xml" attributeName="transform" type="rotate" from="0 20 20" to="360 20 20" dur="0.5s" repeatCount="indefinite"/> </path> </svg>
              </div>
              <p class="infinite-scroll-last"><?php _e('Daha fazla gösterilecek yazı bulunamadı!', 'kanews'); ?></p>
              <p class="infinite-scroll-error"><?php _e('Tekrar deneyiniz.', 'kanews'); ?></p>
            </div>
          </div>
        <?php else: ?>
          <div class="kanews-section kanews-subs-section kanews-section-flat">
            <h2>İlgi alanların neler?</h2>
            <p>Deneyimini kişiselleştirmene yardımcı olması için, ilgini çeken birkaç konu seç. Takip edebileceğin konulara aşağıdan ulaşabilirsin.</p>
          
          <div class="kanews-category-subscribe-wrapper">
            <?php 
              $nonce = wp_create_nonce( 'kanews-cat-nonce' );
              $user_cats = get_user_option( 'kanews_subscribe_category', get_current_user_id() ) ? get_user_option( 'kanews_subscribe_category', get_current_user_id() ) : array('');
              $categories = get_categories(array(
                'orderby' => 'count',
                'order'   => 'ASC'
              ));
              foreach($categories as $category) {
                if(in_array($category->term_id, $user_cats)) 
                echo '<a class="kanews-category-subscribe-button category-subscribed" data-nonce="'.$nonce.'" data-cat-id="'.$category->term_id.'" href="' . admin_url( 'admin-ajax.php?action=kanews_ajax_subscribe_category' . '&cat_id=' . $category->term_id . '&nonce=' . $nonce ) . '"">'.$category->name.' <div class="check"></div> <div id="kanews-loader"></div></a>';
                else
                echo '<a class="kanews-category-subscribe-button" data-nonce="'.$nonce.'" data-cat-id="'.$category->term_id.'" href="' . admin_url( 'admin-ajax.php?action=kanews_ajax_subscribe_category' . '&cat_id=' . $category->term_id . '&nonce=' . $nonce ) . '"">'.$category->name.' <div class="check"></div> <div id="kanews-loader"></div></a>';
              }
            ?>
            </div>
        <?php endif; ?>
      </div>
    </main>
  <?php else: ?>
   <div class="container" style="padding: 0 7.5px;">
			<div class="row">
				<div class="col-12 mobile-col">
					<div class="kanews-lr-page d-flex flex-wrap">
						<div class="kanews-lr-page-left col-12 col-lg-4 hidden-mobile"></div>
						<div class="kanews-lr-page-right col-12 col-lg-8 ">
							<div class="kanews-lr-page-inner d-flex flex-column">
              <div class="mb-2">
											<h1 class="kanews-page-title"><?php esc_html_e( 'Giriş Yap', 'kanews' ); ?></h1>
											<p><?php echo kanews_translate('login-description', sprintf( esc_html__('%s ayrıcalıklarından yararlanmak için hemen giriş yapın veya hesap oluşturun, üstelik tamamen ücretsiz!', 'kanews' ), get_bloginfo( 'name' ))); ?></p>
										</div>
										<form id="kanews-login-form">
											<div class="kanews-form">      
												<input autofocus type="text" id="username" name="username" value="">
												<span class="highlight"></span>
												<span class="bar"></span>
												<label><i class="icon-user"></i> <?php _e('Kullanıcı adı veya e-posta', 'kanews'); ?></label>
											</div>
											<div class="kanews-form">      
												<input type="password" id="password" name="password" value="">
												<span class="highlight"></span>
												<span class="bar"></span>
												<label><i class="icon-vpn_key"></i> <?php _e('Şifreniz', 'kanews'); ?></label>
											</div>
											<div class="d-flex justify-content-between">
												<div class="d-flex">
													<div class="kanews-form">
														<input name="rememberme" type="checkbox" id="rememberme" value="1">
													</div>
													<label for="rememberme" style="margin-bottom: 0;margin-top: 3px;"><?php esc_html_e( ' Beni hatırla', 'kanews' ); ?></label>
												</div>
												<div><a href="<?php echo wp_lostpassword_url(home_url( add_query_arg( [], $GLOBALS['wp']->request ) )); ?>"><?php esc_html_e( 'Şifremi Unuttum', 'kanews' ); ?></a></div>
											</div>
											<button class="kanews-btn kanews-btn-block" type="submit"><?php esc_html_e( 'Giriş Yap', 'kanews' ); ?> <div id="kanews-loader"></div></button>
											<?php wp_nonce_field( 'login_action', 'login_field' ); ?>
										</form>
										<?php if ( get_option( 'users_can_register' ) ): ?>
											<div class="d-flex justify-content-between align-items-center">
												<div class="hidden-mobile"><?php echo kanews_translate('register-text', esc_html__( 'Tamamen ücretsiz olarak üyeliğinizi başlatın.', 'kanews' )); ?></div>
												<a href="<?php the_permalink(); ?>?islem=kayit" class="kanews-btn kanews-btn-sm kanews-btn-light m-0"><?php esc_html_e( 'Hesap Oluştur', 'kanews' ); ?></a>
											</div>
										<?php endif; ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  <?php endif; ?>
<?php endwhile; endif; ?>
<?php else: ?>
  <main id="main" class="site-main">
    <div class="container">
      <div class="row">
        <div class="col-12"><?php echo kanews_private_content('a'); ?></div>
      </div>
    </div>
  </main>
<?php endif; ?>

<?php get_footer(); ?>