<?php
/*
Sayfa Adı: Kısakodlar
@link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*/
add_action('init', 'kanews_shortcode_button');
function kanews_shortcode_button() {
    global $typenow;
    if ( !current_user_can('edit_posts') && !current_user_can('edit_pages') && !current_user_can('post_type') ) {
    return;
    }
    if( in_array( $typenow, array( 'post', 'page' ) ) )
        return;
    if ( get_user_option('rich_editing') == 'true') {
        add_filter("mce_external_plugins", "kanews_shortcodes_button");
        add_filter('mce_buttons', 'kanews_shortcode_button_save');
    }
}
function kanews_shortcodes_button($plugin_array) {
   $plugin_array['kanews_add_shortcode_button'] = get_template_directory_uri().'/inc/shortcodes/shortcodes.js';
   return $plugin_array;
}
function kanews_shortcodes_css() {
	wp_enqueue_style('kanews-shortcodes-admin-css',  get_template_directory_uri().'/inc/shortcodes/shortcodes.css' );
}
add_action( 'admin_enqueue_scripts', 'kanews_shortcodes_css' );
function kanews_shortcode_button_save($buttons) {
   array_push($buttons, "kanews_add_shortcode_button");
   return $buttons;
}
/* ------------------------------------------------------------------------- *
	* Loader
/* ------------------------------------------------------------------------- */
add_action( 'init', 'kanews_add_shortcodes' );
function kanews_add_shortcodes() {
	$shortcodes = array(
		'calculator',
		'btn',
		'alert',
		'accordion',
		'collapse',
		'authors',
		'dropcap',
		'highlight',
		'related-posts',
		'related-post',
		'title',
		'covid',
	);
	foreach ( $shortcodes as $shortcode ) {
		$function = 'kanews_shortcode_' . str_replace( '-', '_', $shortcode );
		add_shortcode( 'kanews-'.$shortcode, $function );
	}
}

/* ------------------------------------------------------------------------- *
	* Helpers
/* ------------------------------------------------------------------------- */
function parse_data_attributes( $data ) {
  $data_props = '';
  if ( $data ) {
    $data = explode( '|', $data );
    foreach ( $data as $d ) {
      $d = explode( ',', $d );
      $data_props .= sprintf( 'data-%s="%s" ', esc_html( $d[0] ), esc_attr( trim( $d[1] ) ) );
    }
  } else {
    $data_props = false;
  }
  return $data_props;
}

/* ------------------------------------------------------------------------- *
	* 1.0 Calculator
/* ------------------------------------------------------------------------- */
function kanews_shortcode_calculator( $atts, $content = null ) {
  extract(shortcode_atts(array(
    'tur' => 'doviz',
  ), $atts)); ?>
  <?php switch($tur) { 
    case 'doviz': ?>
      <form id="doviz_calc">
        <div class="row">
          <?php 
          $args = array(
            'timeout' => '20',
            'sslverify' => false
          );
          $response = wp_remote_get(KAN_TEMPLATE_URL."/inc/api/currencies/currencies2.json", $args);
          $body = wp_remote_retrieve_body( $response );
          $data = json_decode($body);

          $array = array(
            '0' => [
              'code' => 'USD',
              'name' => 'Amerikan Doları'
            ],
            '1' => [
              'code' => 'AUD',
              'name' => 'Avustralya Doları'
            ],
            '2' => [
              'code' => 'DKK',
              'name' => 'Danimarka Kronu'
            ],
            '3' => [
              'code' => 'EUR',
              'name' => 'Euro'
            ],
            '4' => [
              'code' => 'GBP',
              'name' => 'İngiliz Sterlini'
            ],
            '5' => [
              'code' => 'CHF',
              'name' => 'İsviçre Frangı'
            ],
            '6' => [
              'code' => 'SEK',
              'name' => 'İsveç Kronu'
            ],
            '7' => [
              'code' => 'CAD',
              'name' => 'Kanada Doları'
            ],
            '8' => [
              'code' => 'KWD',
              'name' => 'Kuveyt Dinarı'
            ],
            '9' => [
              'code' => 'NOK',
              'name' => 'Norveç Kronu'
            ],
            '10' => [
              'code' => 'SAR',
              'name' => 'Suudi Arabistan Riyali'
            ],
            '11' => [
              'code' => 'JPY',
              'name' => 'Japon Yeni'
            ],
            '12' => [
              'code' => 'BGN',
              'name' => 'Bulgar Levası'
            ],
            '13' => [
              'code' => 'RON',
              'name' => 'Rumen Leyi'
            ],
            '14' => [
              'code' => 'RUB',
              'name' => 'Rus Rublesi'
            ],
            '15' => [
              'code' => 'IRR',
              'name' => 'İran Riyali'
            ],
            '16' => [
              'code' => 'CNY',
              'name' => 'Çin Yuanı'
            ],
            '17' => [
              'code' => 'PKR',
              'name' => 'Pakistan Rupisi'
            ],
            '18' => [
              'code' => 'QAR',
              'name' => 'Katar Riyali'
            ]
          );
          
          if($response['response']['code'] == '404')
          $data = simplexml_load_file('http://www.tcmb.gov.tr/kurlar/today.xml');
          
          $out .= '<div class="col-12 col-md-6"><div class="kanews-form kanews-form-fsm">';

          $out .= '<select class="currency_switcher_x">';
            foreach($array as $number=>$name){
              $out .= '<option value="'.(string)$data->Currency[$number]->ForexSelling.'">'.$name['code'].'</option>';
            }
            $out .= '<option value="1">TRY</option>';
            $out .= '</select>';
          $out .= '</div></div>';

          $out .= '<div class="col-12 col-md-6"><div class="kanews-form kanews-form-fsm">';
            $out .= '<select class="currency_switcher_2">';
            $out .= '<option value="1">TRY</option>';
            foreach($array as $number=>$name){
              $out .= '<option value="'.(string)$data->Currency[$number]->ForexSelling.'">'.$name['code'].'</option>';
            }
            $out .= '</select>';
          $out .= '</div></div>';
          
          $out .= '<div class="col-12">';
            $out .= '<div class="kanews-form kanews-form-fsm">';
              $out .= '<input type="text" class="currency3value" value="1">';
              $out .= '<span class="highlight"></span>';
              $out .= '<span class="bar"></span>';
              $out .= '<label>'. __('Miktar', 'kanews').'</label>';
            $out .= '</div>';
          $out .= '</div>';
          $out .= '<div class="col-12">';
            $out .= '<div class="kanews-form kanews-form-fsm">';
              $out .= '<input type="text" class="currency4value" value="?">';
              $out .= '<span class="highlight"></span>';
              $out .= '<span class="bar"></span>';
              $out .= '<label>'. __('Sonuç', 'kanews') .'</label>';
            $out .= '</div>';
          $out .= '</div>';
        $out .= '</div>';
      $out .= '</form>';
      if(empty($data))
      return false;
    break;
    case 'coin': 
      $args = array(
        'timeout' => '20',
        'sslverify' => false
      );
      $response = wp_remote_get(KAN_TEMPLATE_URL."/inc/api/coins/coins.json", $args);
      $body = wp_remote_retrieve_body( $response );
      $data = json_decode($body);
      
      if($response['response']['code'] == '404') {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, "https://api.coingecko.com/api/v3/coins/markets?vs_currency=try&order=market_cap_desc&per_page=100&page=1&sparkline=false");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_REFERER,'http://www.google.com.tr'); 
        curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1'); 
        curl_setopt($ch, CURLOPT_TIMEOUT, 30);
        
        $headers = array();
        $headers[] = "Content-Type: application/json";
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        
        $result = curl_exec($ch);
        if (curl_errno($ch)) {
          $data = array();
        }

        curl_close ($ch);
        $data = json_decode($result);
      }
    
      $out .= '<form id="coin_calc">';
        $out .= '<div class="row">';
          $out .= '<div class="col-12 col-md-6"><div class="kanews-form kanews-form-fsm">';
            $out .=  '<select class="currency_switcher_x">';
            foreach($data as $coin) {
              $out .=  '<option value="'.$coin->current_price.'">'.strtoupper($coin->symbol).'</option>';
            }
            $out .=  '<option value="1">TRY</option>';  
            $out .=  '</select>';
          $out .=  '</div></div>';

          $out .=  '<div class="col-12 col-md-6"><div class="kanews-form kanews-form-fsm">';
            $out .=  '<select class="currency_switcher_3">';
            $out .=  '<option value="1">TRY</option>';
            foreach($data as $coin) {
              $out .=  '<option value="'.$coin->current_price.'">'.strtoupper($coin->symbol).'</option>';
            }
            $out .=  '</select>';
          $out .=  '</div></div>';
         
          $out .= '<div class="col-12">
            <div class="kanews-form kanews-form-fsm">
              <input type="text" class="currency5value" value="1">
              <span class="highlight"></span>
              <span class="bar"></span>
              <label>'.__('Miktar', 'kanews').'</label>
            </div>
          </div>
          <div class="col-12">
            <div class="kanews-form kanews-form-fsm">
              <input type="text" class="currency6value" value="?">
              <span class="highlight"></span>
              <span class="bar"></span>
              <label>'.__('Sonuç', 'kanews').'</label>
            </div>
          </div>';
          $out .= '</div>
      </form>';
      if(empty($data))
      return false;
    break;
    case 'burc';
    $array = array(__('Ocak', 'kanews'), __('Şubat', 'kanews'), __('Mart', 'kanews'), __('Nisan', 'kanews'), __('Mayıs', 'kanews'), __('Haziran', 'kanews'), __('Temmuz', 'kanews'), __('Ağustos', 'kanews'), __('Eylül', 'kanews'), __('Ekim', 'kanews'), __('Kasım', 'kanews'), __('Aralık', 'kanews'));
    $out .= '<form name="form1">
      <div class="row">
        <div class="col-12 col-md-6">
          <div class="kanews-form kanews-form-fsm mb-1">
            <select name="ay">
              <option value="x" selected>'.__('Ay Seçin', 'kanews').'</option>';
              $i = 0;
              foreach ($array as $item) {
                $i++;
                $out .= '<option value="'.$i.'">'.$item.'</option>';
              }
            $out .= '</select>
          </div>
        </div>
        <div class="col-12 col-md-6">
          <div class="kanews-form kanews-form-fsm mb-1">
            <select name="gun" onChange="validate()">
              <option value="y" selected>'.__('Gün Seçin', 'kanews').'</option>';
              for($say=1;$say<=31;$say++) {
                $out .= '<option value="'.$say.'">'.$say.'</option>';
              }
              $out .= '</select>
          </div>
        </div>
        <div class="col-12">
          <div class="kanews-form kanews-form-fsm mb-0">
            <input placeholder="'.__('Sonuç', 'kanews').'" disabled name="burc" value="" />
          </div>
        </div>
        <div class="col-12">
          <input class="kanews-btn kanews-btn-block kanews-btn-sm mb-0"  type="button" value="'.__('Burcunu Öğren', 'kanews').'" onClick="burcbul()">
        </div>
      </div>
    </form>
		<script>
		function burcbul(){document.form1.gun.selectedIndex;document.form1.ay.selectedIndex;document.form1.burc.value;if(document.form1.ay.selectedIndex==1&&document.form1.gun.selectedIndex<=19){document.form1.burc.value="'.__('Oğlak', 'kanews').'"}
if(document.form1.ay.selectedIndex==1&&document.form1.gun.selectedIndex>=20){document.form1.burc.value="'.__('Kova ', 'kanews').'"}
if(document.form1.ay.selectedIndex==2&&document.form1.gun.selectedIndex<=18){document.form1.burc.value="'.__('Kova ', 'kanews').'"}
if(document.form1.ay.selectedIndex==2&&document.form1.gun.selectedIndex>=19){document.form1.burc.value="'.__('Balık', 'kanews').'"}
if(document.form1.ay.selectedIndex==3&&document.form1.gun.selectedIndex<=20){document.form1.burc.value="'.__('Balık', 'kanews').'"}
if(document.form1.ay.selectedIndex==3&&document.form1.gun.selectedIndex>=21){document.form1.burc.value="'.__('Koç', 'kanews').'"}
if(document.form1.ay.selectedIndex==4&&document.form1.gun.selectedIndex<=20){document.form1.burc.value="'.__('Koç', 'kanews').'"}
if(document.form1.ay.selectedIndex==4&&document.form1.gun.selectedIndex>=21){document.form1.burc.value="'.__('Boğa', 'kanews').'"}
if(document.form1.ay.selectedIndex==5&&document.form1.gun.selectedIndex<=20){document.form1.burc.value="'.__('Boğa', 'kanews').'"}
if(document.form1.ay.selectedIndex==5&&document.form1.gun.selectedIndex>=21){document.form1.burc.value="'.__('İkizler', 'kanews').'"}
if(document.form1.ay.selectedIndex==6&&document.form1.gun.selectedIndex<=20){document.form1.burc.value="'.__('İkizler', 'kanews').'"}
if(document.form1.ay.selectedIndex==6&&document.form1.gun.selectedIndex>=21){document.form1.burc.value="'.__('Yengeç', 'kanews').'"}
if(document.form1.ay.selectedIndex==7&&document.form1.gun.selectedIndex<=21){document.form1.burc.value="'.__('Yengeç', 'kanews').'"}
if(document.form1.ay.selectedIndex==7&&document.form1.gun.selectedIndex>=22){document.form1.burc.value="'.__('Aslan', 'kanews').'"}
if(document.form1.ay.selectedIndex==8&&document.form1.gun.selectedIndex<=21){document.form1.burc.value="'.__('Aslan', 'kanews').'"}
if(document.form1.ay.selectedIndex==8&&document.form1.gun.selectedIndex>=22){document.form1.burc.value="'.__('Başak', 'kanews').'"}
if(document.form1.ay.selectedIndex==9&&document.form1.gun.selectedIndex<=21){document.form1.burc.value="'.__('Başak', 'kanews').'"}
if(document.form1.ay.selectedIndex==9&&document.form1.gun.selectedIndex>=22){document.form1.burc.value="'.__('Terazi', 'kanews').'"}
if(document.form1.ay.selectedIndex==10&&document.form1.gun.selectedIndex<=21){document.form1.burc.value="'.__('Terazi', 'kanews').'"}
if(document.form1.ay.selectedIndex==10&&document.form1.gun.selectedIndex>=22){document.form1.burc.value="'.__('Akrep', 'kanews').'"}
if(document.form1.ay.selectedIndex==11&&document.form1.gun.selectedIndex<=21){document.form1.burc.value="'.__('Akrep', 'kanews').'"}
if(document.form1.ay.selectedIndex==11&&document.form1.gun.selectedIndex>=22){document.form1.burc.value="'.__('Yay', 'kanews').'"}
if(document.form1.ay.selectedIndex==12&&document.form1.gun.selectedIndex<=20){document.form1.burc.value="'.__('Yay', 'kanews').'"}
if(document.form1.ay.selectedIndex==12&&document.form1.gun.selectedIndex>=21){document.form1.burc.value="'.__('Oğlak', 'kanews').'"}
if(document.form1.ay.selectedIndex=="x"||document.form1.gun.selectedIndex=="y")return}
function validate(){if(document.form1.ay.selectedIndex==2&&document.form1.gun.selectedIndex>29){alert("'.__('Şubat ayında en fazla 29 gün seçebilirsiniz', 'kanews').'");return!1}
if(document.form1.ay.selectedIndex==4&&document.form1.gun.selectedIndex==31){alert("'.__('Nisan ayında sadece 30 gün vardır.', 'kanews').'");return!1}
if(document.form1.ay.selectedIndex==6&&document.form1.gun.selectedIndex==31){alert("'.__('Haziran ayında sadece 30 gün vardır.', 'kanews').'");return!1}
if(document.form1.ay.selectedIndex==9&&document.form1.gun.selectedIndex==31){alert("'.__('Eylül ayında sadece 30 gün vardır.', 'kanews').'");return!1}
if(document.form1.ay.selectedIndex==11&&document.form1.gun.selectedIndex==31){alert("'.__('Kasım ayında sadece 30 gün vardır.', 'kanews').'");return!1}
else{return!0}}
		</script>';
    break;
    case 'vki':
      $out .= '<form name="BedenKitleEndeksi" class="mt-2" onreset="bicimTemizle(this)"><div class="row">';

        $out .= '<div class="col-12 col-md-6">';
          $out .= '<div class="kanews-form kanews-form-fsm mb-0">';
            $out .= '<input type="text" name="kilosu" id="kilosu" value="" onfocus="fcs(this);" onblur="fcs(this)">';
            $out .= '<span class="highlight"></span>';
            $out .= '<span class="bar"></span>';
            $out .= '<label>'. __('Kilonuz', 'kanews').'</label>';
          $out .= '</div>';
        $out .= '</div>';

        $out .= '<div class="col-12 col-md-6">';
          $out .= '<div class="kanews-form kanews-form-fsm mb-0">';
            $out .= '<input type="text" name="boyu" id="boyu" value="" onfocus="fcs(this);" onblur="fcs(this)">';
            $out .= '<span class="highlight"></span>';
            $out .= '<span class="bar"></span>';
            $out .= '<label>'. __('Boyunuz', 'kanews').'</label>';
          $out .= '</div>';
        $out .= '</div>';

        $out .= '<div class="col-12">
        <input class="kanews-btn kanews-btn-block kanews-btn-sm" type="button" value="'.__('Hesapla', '').'" onClick="bkihesap()">
        </div>';

        $out .= '<div class="col-12">
          <div class="kanews-form kanews-form-fsm">
            <input disabled placeholder="'.__('Vücut Kitle İndeksin', 'sp').'" class="eku" type="text" name="bki" id="bki">
          </div>
        </div>

        <div class="col-12">
            <div class="kanews-form kanews-form-fsm mb-0">
            <input placeholder="'.__('Açıklama', 'kanews').'" disabled class="eku" type="text" name="vkisonuc" id="vkisonuc">
          </div>
        </div>';

        $out .= '<div class="col-12">
          <input class="kanews-btn kanews-btn-block kanews-btn-sm mb-0 kanews-btn-o" value="'.__('Sıfırla', '').'" type="reset">
        </div>';

      $out .= '</div></form>';

      $out .= '<script>
      function bkihesap(){var kilosu=document.BedenKitleEndeksi.kilosu.value
var boyu=document.BedenKitleEndeksi.boyu.value
if(boyu>1&&kilosu>1){var bkisonucu=kilosu/(boyu*boyu/10000)
document.BedenKitleEndeksi.bki.value=bkisonucu.toFixed(2)
if(bkisonucu<18.49){document.BedenKitleEndeksi.vkisonuc.value="'.__('Zayıfsın', 'kanews').'"}
if(bkisonucu>18.49&&bkisonucu<24.99){document.BedenKitleEndeksi.vkisonuc.value="'.__('İdeal Kilo', 'kanews').'"}
if(bkisonucu>24.99&&bkisonucu<29.99){document.BedenKitleEndeksi.vkisonuc.value="'.__('Fazla Kilolusun', 'kanews').'"}
if(bkisonucu>29.99&&bkisonucu<34.99){document.BedenKitleEndeksi.vkisonuc.value="'.__('1. Derece Obez', 'kanews').'"}
if(bkisonucu>34.99&&bkisonucu<39.99){document.BedenKitleEndeksi.vkisonuc.value="'.__('2. Derece Obez', 'kanews').'"}
if(bkisonucu>39.99){document.BedenKitleEndeksi.vkisonuc.value="'.__('3. derece morbid obezite', 'kanews').'"}}
else{alert("'.__('Yanlış alan var. Lütfen Kontrol Edin ve Yeniden Deneyin.', 'kanews').'")}}
</script>';
  }

  return $out;
}

/* ------------------------------------------------------------------------- *
	* 2.0 Button
/* ------------------------------------------------------------------------- */
function kanews_shortcode_btn( $atts, $content = null ) {
	$size  = 'kanews-btn-sm';
	$color = '';
	$link  = $button_target  =  '';
	
  if( is_array( $atts ) ) extract($atts);

	if( !empty( $target ) && $target == 'true' ) $button_target = ' target="_blank"';
	if( !empty( $icon ) )   $icon   = '<i class="fa '.$icon.'"></i>';
	
  $out = '<a href="'.$link.'"'.$button_target.' class="kanews-btn '.$style.' '.$size.' '.$color.'">'. do_shortcode($content). '</a>';
  
  return $out;
}

/* ------------------------------------------------------------------------- *
	* 3.0 Alert
/* ------------------------------------------------------------------------- */
function kanews_shortcode_alert( $atts, $content = null ) {
	$color = 'bg-success';
  if( is_array( $atts ) ) extract($atts);
	$out = '<div role="alert" class="kanews-response '.$color.'">'.do_shortcode($content). '</div>';
  return $out;
}

/* ------------------------------------------------------------------------- *
	* 4.0 Accordion
/* ------------------------------------------------------------------------- */
function kanews_shortcode_accordion( $atts , $content = null ) {

		if ( isset( $GLOBALS['collapsibles_count'] ) ) {
			$GLOBALS['collapsibles_count'] ++;
		} else {
			$GLOBALS['collapsibles_count'] = 0;
		}

		$atts = shortcode_atts( array(
			"xclass" => false,
			"data"   => false
		), $atts );

		$class = 'accordion';
		$class .= ( $atts['xclass'] ) ? ' ' . $atts['xclass'] : '';

		$id = 'custom-collapse-' . $GLOBALS['collapsibles_count'];

		$data_props = parse_data_attributes( $atts['data'] );

		return sprintf(
			'<div class="%s" id="%s" role="tablist" aria-multiselectable="true"%s>%s</div>',
			esc_attr( trim( $class ) ),
			esc_attr( $id ),
			( $data_props ) ? ' ' . $data_props : '',
			do_shortcode( $content )
		);


}

/* ------------------------------------------------------------------------- *
	* 5.0 Collapse
/* ------------------------------------------------------------------------- */
function kanews_shortcode_collapse( $atts , $content = null ) {

  if ( isset( $GLOBALS['single_collapse_count'] ) ) {
    $GLOBALS['single_collapse_count'] ++;
  } else {
    $GLOBALS['single_collapse_count'] = 0;
  }

  $atts = shortcode_atts( array(
    "title"  => false,
    "type"   => false,
    "active" => false,
    "xclass" => false,
    "data"   => false
  ), $atts );

  $card_class = 'collapse-item';
  $card_class .= ( $atts['xclass'] ) ? ' ' . $atts['xclass'] : '';

  $collapse_class = 'collapse';
  $collapse_class .= ( $atts['active'] == 'true' ) ? ' in' : '';

  $a_class = 'collapse-btn ';
  $a_class .= ( $atts['active'] == 'true' ) ? '' : 'collapsed';

  $parent           = isset( $GLOBALS['collapsibles_count'] ) ? 'custom-collapse-' . $GLOBALS['collapsibles_count'] : 'single-collapse';
  $current_collapse = $parent . '-' . $GLOBALS['single_collapse_count'];

  $data_props = parse_data_attributes( $atts['data'] );

  return sprintf(
    '<div class="%1$s"%2$s>
    <div class="collapse-item-header">
      <button class="%3$s" data-toggle="collapse"%4$s href="#%5$s">
        <h3>
          %6$s
        </h3>
      </button>
      </div>
      <div id="%5$s" class="%7$s">
        <div class="collapse-item-body">%8$s</div>
      </div>
    </div>',
    esc_attr( $card_class ),
    ( $data_props ) ? ' ' . $data_props : '',
    $a_class,
    ( $parent ) ? ' data-parent="#' . $parent . '"' : '',
    $current_collapse,
    $atts['title'],
    esc_attr( $collapse_class ),
    do_shortcode( $content )
  );
}

/* ------------------------------------------------------------------------- *
	* 6.0 Alert
/* ------------------------------------------------------------------------- */
function kanews_shortcode_authors( $atts, $content = null ) {
	$ids = '';
	$col = 'col-md-4 col-lg-3';
	$role = '';
  $role__not_in = '';
  $order = 'ASC';

  if( is_array( $atts ) ) extract($atts);

  $uids =  explode(',', $ids);

  if(!empty($ids)) {
  $order = 'include';
  $include = $uids;
  }

  $qargs = array (
    'include' => $include,
    'role__not_in' => $role__not_in,
    'role' => $role,
    'orderby' => $order
  );
    
  $wp_user_query = new WP_User_Query( $qargs );
  $authors = $wp_user_query->get_results();

  $out = '';

  if(!$authors)
    return false;
  else {
    $out .= '<div class="kanews-box-wrapper kanews-box-shortcode">';
    $out .= '<div class="row">';
      foreach ( $authors as $author ) {  
        $out .= '<div class="col-6 '.$col.'">';
          $out .= '<div class="kanews-box-item"">';
            $out .= '<div class="kanews-box-item-inner">';
              $out .= kanews_user_avatar(get_the_author_meta('ID', $author->ID),'150');
              $out .= '<div class="kanews-box-item-content">';
                $out .= '<a class="author-name" href="'. get_author_posts_url( get_the_author_meta( 'ID', $author->ID ) ).'">';
                  if(get_the_author_meta('first_name', $author->ID) && get_the_author_meta('last_name', $author->ID)) {
                    $out .= get_the_author_meta('first_name', $author->ID).' '.get_the_author_meta('last_name', $author->ID);
                  } else {
                    $out .= get_the_author_meta('display_name', $author->ID);
                  }
                $out .= '</a>';
              $out .= '</div>';
            $out .= '</div>';
          $out .= '</div>';
        $out .= '</div>';
      } 
    $out .= '</div>';
    $out .= '</div>';
  }

  return $out;
}

/* ------------------------------------------------------------------------- *
	* 6.0 Alert
/* ------------------------------------------------------------------------- */
function kanews_shortcode_dropcap( $atts, $content = null ) {
	$type = '';
	if( is_array( $atts ) ) extract($atts);
  return '<span class="kanews-text-dropcap ' . $color . '">' . $content . '</span>';
}

/* ------------------------------------------------------------------------- *
	* 7.0 Highlight
/* ------------------------------------------------------------------------- */
function kanews_shortcode_highlight( $atts, $content = null ) {
  return '<span class="kanews-text-highlight">' . $content . '</span>';
}

/* ------------------------------------------------------------------------- *
	* 8.0 Related Posts
/* ------------------------------------------------------------------------- */
function kanews_shortcode_related_posts( $atts, $content = null ) {
  $title = kanews_translate('related-posts-text', esc_html__( 'Benzer Haberler', 'kanews' ));
  $style = '1';
  $tag = 'h4';
  $p = '';
  if( is_array( $atts ) ) extract($atts);

  if(!$tag)
  $tag = 'h4';

  $pids =  explode(',', $p);
  $kanews_query = new WP_Query(
    array( 'post__in'=> $pids)
  );

  switch($style) {
    case '2':
      $classes = 'kanews-post-grid-item';
      $col = 'col-6 col-md-4';
      $thumbnail = 'kanews-post-2';
    break;
    default:
      $classes = 'kanews-post-grid-item kanews-post-small-item';
      $col = 'col-12 col-md-6';
      $thumbnail = 'kanews-post-thumb';
    break;
  }

  $out = '';

  if ($kanews_query->have_posts()) {
    $out .= '<div class="kanews-posts-shortcode mb-1">';
      $out .= kanews_widget_title($title);
      $out .= '<div class="row">';
      while($kanews_query->have_posts()) : $kanews_query->the_post();
        if (has_post_thumbnail() ) {
          $image_id = get_post_thumbnail_id();  
          $image_url = wp_get_attachment_image_src($image_id, $thumbnail);  
          $image_url = $image_url[0]; 
        }
        $out .= '<div class="'.$col.'">';
          $out .= '<div class="kanews-post-item '.$classes.'">';
            $out .= '<a href="' . get_permalink() . '" class="kanews-post-href"></a>';
            $out .= '<div class="kanews-post-thumb">';
              $out .= '<img alt="thumbnail" height="90" width="150" src="'.$image_url.'" />';
            $out .= '</div>';
            $out .= '<div class="kanews-post-content">';
              // $out .= kanews_primary_category(get_the_ID());
              $out .= '<'.$tag.' class="kanews-post-headline truncate truncate-3">' . get_the_title() . '</'.$tag.'>';
            $out .= '</div>';
          $out .= '</div>';
        $out .= '</div>';
      endwhile;
      $out .= '</div>';
    $out .= '</div>';
  } else {
    return false;
  }
  wp_reset_postdata();

  return $out;
}
/* ------------------------------------------------------------------------- *
	* 8.0 Related Posts
/* ------------------------------------------------------------------------- */
function kanews_shortcode_related_post( $atts, $content = null ) {
  $title = kanews_translate('related-post-text', esc_html__( 'İlişkili Haber', 'kanews' ));
  $style = '1';
  $tag = 'h4';
	$p = '';
  if( is_array( $atts ) ) extract($atts);

  $pids =  explode(',', $p);
  $kanews_query = new WP_Query(
    array( 'p'=> $pids, 'showposts' => 1)
  );

  if(!$tag)
  $tag = 'h4';

  $classes = 'kanews-post-item';
  $col = 'col-12';
  $thumbnail = 'kanews-post-1';

  $out = '';

  if ($kanews_query->have_posts()) {
    $out .= '<div class="kanews-post-shortcode mb-2 mt-2">';
      while($kanews_query->have_posts()) : $kanews_query->the_post();
        if (has_post_thumbnail() ) {
          $image_id = get_post_thumbnail_id();  
          $image_url = wp_get_attachment_image_src($image_id, $thumbnail);  
          $image_url = $image_url[0]; 
        }

        $out .= '<div class="kanews-post-item '.$classes.'">';
          $out .= '<a href="' . get_permalink() . '" class="kanews-post-href"></a>';
          $out .= '<div class="kanews-post-thumb">';
            $out .= '<img alt="thumbnail" height="90" width="215" src="'.$image_url.'" />';
          $out .= '</div>';
          $out .= '<div class="kanews-post-content">';
            $out .= '<div class="kanews-label kanews-label-sm">'.$title.'</div>';
            $out .= '<'.$tag.' class="kanews-post-headline truncate truncate-2">' . get_the_title() . '</'.$tag.'>';
          $out .= '</div>';
        $out .= '</div>';
      endwhile;
    $out .= '</div>';
  } else {
    return false;
  }
  wp_reset_postdata();

  return $out;
}

/* ------------------------------------------------------------------------- *
	* 9.0 Title
/* ------------------------------------------------------------------------- */
function kanews_shortcode_title( $atts, $content = null ) {
  $title = 'Kanews Wordpress Haber Teması';
  $tag = 'h3';
  if( is_array( $atts ) ) extract($atts);
  if(!$tag)
  $tag = 'h3';

  return '<div class="kanews-section-flat kanews-section-gutter">'.kanews_widget_title($content, $tag).'</div>';
}

/* ------------------------------------------------------------------------- *
	* 10.0 Covid Data
/* ------------------------------------------------------------------------- */
function kanews_shortcode_covid( $atts, $content = null ) {

  if( is_array( $atts ) ) extract($atts);

  $cargs = array(
    'timeout' => '20',
    'sslverify' => false
  );
  $response = wp_remote_get(KAN_TEMPLATE_URL."/inc/api/covid/covid19.json", $cargs);
  $body = wp_remote_retrieve_body( $response );
  $covid_data = json_decode($body, true);

  if($response['response']['code'] == '404') {
    return false;
  } else {
    switch($data) {
      case 'global':
        $global_data = [
          'cases' => 0,
          'todayCases' => 0,
          'recovered' => 0,
          'todayRecovered' => 0,
          'deaths' => 0,
          'todayDeaths' => 0,
        ];
        foreach($covid_data as $global) {
          $global_data['cases'] += $global['cases']; 
          $global_data['todayCases'] += $global['todayCases']; 
          $global_data['recovered'] += $global['recovered']; 
          $global_data['todayRecovered'] += $global['todayRecovered']; 
          $global_data['deaths'] += $global['deaths']; 
          $global_data['todayDeaths'] += $global['todayDeaths']; 
        }
        if(!$covid_data)
        return false;

        $covid_data = $global_data;
      break;
      default:
        $covid_data = $covid_data[203];
        if(!$covid_data)
        return false;
      break;
    }
  } 

  $out = '';

  $out .= '<div class="row mb-2">
    <div class="col-6 col-md">
      <div class="kanews-covid-item">
        <label class="covid-label">'. esc_html__( 'Toplam Vakalar', 'kanews' ).'</label>
        <div class="covid-total-value">'.number_format($covid_data['cases'], 0,",",".").'</div>
        <div class="kanews-label kanews-label-sm border-danger color-danger">+'.$covid_data['todayCases'].'</div>
      </div>
    </div>
    <div class="col-6 col-md">
      <div class="kanews-covid-item">
        <label class="covid-label">'. esc_html__( 'İyileşen', 'kanews' ).'</label>
        <div class="covid-total-value">'. number_format($covid_data['recovered'], 0,",",".").'</div>
        <div class="kanews-label kanews-label-sm border-success color-success hover-success">+'.$covid_data['todayRecovered'].'</div>
      </div>
    </div>
    <div class="col-12 col-md">
      <div class="kanews-covid-item last">
        <label class="covid-label">'. esc_html__( 'Ölüm', 'kanews' ).'</label>
        <div class="covid-total-value">'. number_format($covid_data['deaths'], 0,",",".").'</div>
        <div class="kanews-label kanews-label-sm border-danger color-danger">+'. $covid_data['todayDeaths'].'</div>
      </div>
    </div>
  </div>';

  return $out;
}