<?php
/**
 * Template Name: Hava Durumu
 * @theme kanews
 * @developer kanthemes.com
 */
__( 'Hava Durumu', 'kanews' );
get_header(); ?>


  <?php do_action('kanews_header_ad'); ?>
  <main id="main" class="site-main m-0" style="background-image: linear-gradient(#8cc2a9,#c9eac7,#fcf9f7);">
    <div class="container">
      <div class="row">

        <?php $insights = get_post_meta( get_the_ID(), 'post_insight', true ) == 1 ? 1 : 0; if(kanews_insights_control() == true || $insights == 0 ): ?>
          <div class="col-12 mt-3">
            <?php $cities = kanews_get_turkey_cities2();  $default_city = kanews_get_option('weather-cities') ? kanews_get_option('weather-cities') : '742902' ; ?> 
            <div class="kanews-weather-form mb-2">
              <select name="sehir" id="sehir">
                <option value="742902"><?php esc_html_e( 'Şehir Seçiniz', 'kanews' ); ?></option>
                <?php foreach ($cities as $key => $city) {?>
                  <option value="<?php echo $key; ?>" <?php if($key==$default_city){ echo 'selected'; } ?>><?php echo $city; ?> için Saatlik Hava Tahminleri</option>
                <?php  }?>
              </select>
          
            </div>
          </div>

        </div>
        
        <div id="havadonen" class="row">
          <div id="kanews-weather-loader"></div>
          <?php $counter = 0; foreach (kanews_weather_data($default_city) as $key => $value) { $counter++;
            ?>
            <div class="col-12">
  
              <div class="kanews-weather-wrapper">
                <?php if($counter == 1): ?>
                  <div class="kanews-weather-day"><?php _e('Bugün', 'kanews'); echo '<span>'.$key.'</span>'; ?></div>
                <?php else: ?>
                  <?php $nameOfDay = date('D', strtotime($key)); $day = kanews_translate_days($nameOfDay); 
                  echo '<div class="kanews-weather-day">'.$day.'<span>'.__('Günü Hava Tahminleri', 'kanews').'</span> </div>'; ?>
                <?php endif; ?>
                
                  <div>
                    <?php
                    foreach ($value as $key => $val) {
                      ?>
                      <div class="kanews-weather-item d-flex flex-wrap align-items-center">
                        <div class="kanews-weather-time col-auto"><span class="kanews-label kanews-label-sm"><?=$key; ?></span></div>
                        <div class="kanews-weather-temp col-auto"><?=round($val['sicaklik'], 1); ?> °</div>
                        <div class="kanews-weather-icon col-auto"><img width="48" height="48" src="<?php kanews_lazy_link(); ?>" class="kanews-lazy" data-src="<?php echo KAN_TEMPLATE_URL; ?>/assets/img/weather/<?=$val['icon']; ?>.png" alt=""></div>
                        <div class="kanews-weather-desc col-12 col-lg"><?=$val['desc']; ?></div>
                        <div class="kanews-weather-label col-12 col-lg d-flex justify-content-end">
                          <div class="kanews-weather-feels-like" title="<?php _e('Hissedilen Sıcaklık', 'kanews'); ?>"><svg aria-label="Hissedilen" aria-hidden="false" role="img" viewBox="0 0 24 24"><path d="M9.94 15.406v.323c.974.358 1.671 1.325 1.671 2.461 0 1.441-1.122 2.61-2.505 2.61-1.384 0-2.506-1.169-2.506-2.61 0-1.136.697-2.103 1.67-2.461v-.323a2.088 2.088 0 0 1-1.252-1.914V5.488a2.088 2.088 0 1 1 4.176 0v8.004c0 .856-.516 1.592-1.253 1.914zM9.15 4.9a.75.75 0 0 0-.75.75v5.33h1.5V5.65a.75.75 0 0 0-.75-.75zM15.4 8a2.8 2.8 0 1 1 0-5.6 2.8 2.8 0 0 1 0 5.6zm0-1.8a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"></path></svg><span><?=round($val['hissedilen'], 1); ?> °</span></div>
                          <div class="kanews-weather-wind" title="<?php _e('Rüzgar Hızı', 'kanews'); ?>"><svg aria-label="Rüzgar" aria-hidden="false" role="img" viewBox="0 0 24 24"><path d="M6 8.67h5.354c1.457 0 2.234-1.158 2.234-2.222S12.687 4.4 11.354 4.4c-.564 0-1.023.208-1.366.488M3 11.67h15.54c1.457 0 2.235-1.158 2.235-2.222S19.873 7.4 18.54 7.4c-.747 0-1.311.365-1.663.78M6 15.4h9.389c1.457 0 2.234 1.159 2.234 2.223 0 1.064-.901 2.048-2.234 2.048a2.153 2.153 0 0 1-1.63-.742" stroke-width="2" stroke="currentColor" stroke-linecap="round" fill="none"></path></svg><span><?=$val['hiz']; ?> mph</span></div>
                          <div class="kanews-weather-nem" title="<?php _e('Nem', 'kanews'); ?>"><svg aria-label="Nem" aria-hidden="false" role="img" viewBox="0 -2 5 10"><path d="M4.7329.0217c-.1848-.059-.3855.0064-.4803.148L.2731 5.1191c-.0814.0922-.1501.1961-.196.3108-.2469.6009.1185 1.2697.8156 1.4943.6914.226 1.447-.0712 1.7-.6585L4.9662.4987l.0111-.0282c.073-.1807-.036-.379-.2444-.4488z"></path></svg><span><?=$val['nem']; ?>%</span></div>
                        </div>
                      </div>
                    <?php 
                    }
                    ?>
                  </div>
                </div>
              
            </div>
          <?php } ?>
       

          <?php while ( have_posts() ) : the_post(); 
            if ($post->post_content): ?>
              <div class="col-12">
                <div class="kanews-article kanews-section-box kanews-article-1">
                  <div class="kanews-article-content entry-content">
                    <?php the_content(); ?>
                  </div>
                </div>
              </div>
            <?php endif; ?>
            <?php if ( comments_open() || get_comments_number() ) : ?>
              <div class="col-12">
                  <?php comments_template(); ?>
                </div>
            <?php endif;?> 
          <?php endwhile; ?>
        <?php else: ?>
          <div class="col-12"><?php echo kanews_private_content('a'); ?></div>
        <?php endif; ?>

      </div>
    </div>
  </main>
<?php get_footer();