<?php
$style = kanews_get_option('related-posts-style') ? kanews_get_option('related-posts-style') : 3; 
if($style != 'disable'):
  $related_count = kanews_get_option('related-posts-count') ? kanews_get_option('related-posts-count') : 6;
  $sortby = kanews_get_option('related-posts-sortby') ? kanews_get_option('related-posts-sortby') : 'random';
  $tags = wp_get_post_terms( get_queried_object_id(), 'post_tag', ['fields' => 'ids'] );
  $categories = get_the_category($post->ID); if ($categories) {$category_ids = array(); foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;}
  if($sortby == 'commented') {
    $kanews_query = new WP_Query(
      array( 
        'showposts' => $related_count, 
        'category__in' => $category_ids,
        'orderby' => 'comment_count',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
      )
    );
  }
  elseif($sortby == 'random') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'orderby' => 'rand',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
      )
    );
  }
  elseif($sortby == 'post-viewed') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'meta_key' => 'post_views_count',
        'orderby' => 'meta_value_num',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
      )
    );
  }
  elseif($sortby == 'post-viewed-monthly') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'meta_key' => 'post_views_count_monthly',
        'orderby' => 'meta_value_num',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
      )
    );
  }
  elseif($sortby == 'post-viewed-weekly') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'meta_key' => 'post_views_count_weekly',
        'orderby' => 'meta_value_num',
        'post__not_in' => array($post->ID),
      )
    );
  }
  elseif($sortby == 'post-viewed-daily') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'meta_key' => 'post_views_count_daily',
        'orderby' => 'meta_value_num',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
      )
    );
  }
  elseif($sortby == 'post-modified') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'orderby' => 'modified',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
      )
    );
  }
  elseif($sortby == 'tag') {
    $kanews_query = new WP_Query(
      array( 
        'tax_query' => [
          [
            'taxonomy' => 'post_tag',
            'terms'    => $tags
          ]
          ],
        'showposts' => $related_count,
        'orderby' => 'modified',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
      )
    );
  }
  else {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts'    => $related_count,
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
      )
    );
  }


  if ($kanews_query->have_posts()) : ?>
    <div class="kanews-section-box" id="related-posts">
      <?php echo kanews_widget_title(kanews_translate('related-posts-text',esc_html__( 'Benzer Haberler', 'kanews' )), 'h4', 'kanews-section-flat-heading'); ?>
      <div class="row">
        <?php while($kanews_query->have_posts()): $kanews_query->the_post(); global $post;
          get_template_part('template-parts/archives/article', $style );
        endwhile; ?>
      </div>
    </div>
  <?php endif;
endif;