<?php
$style = kanews_get_option('related-posts-style') ? kanews_get_option('related-posts-style') : 3; 
if($style != 'disable'):
  $related_count = kanews_get_option('related-posts-count') ? kanews_get_option('related-posts-count') : 6;
  $sortby = kanews_get_option('related-posts-sortby') ? kanews_get_option('related-posts-sortby') : 'random';
  $tags = wp_get_post_terms( get_queried_object_id(), 'post_tag', ['fields' => 'ids'] );
  $categories = get_the_category($post->ID); if ($categories) {$category_ids = array(); foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;}
  if($sortby == 'commented') {
    $kanews_query = new WP_Query(
      array( 
        'showposts' => $related_count, 
        'category__in' => $category_ids,
        'orderby' => 'comment_count',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
        'tax_query' => array( 
          array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => array('post-format-video'),
          )
        ),
      )
    );
  }
  elseif($sortby == 'random') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'orderby' => 'rand',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
        'tax_query' => array( 
          array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => array('post-format-video'),
          )
        ),
      )
    );
  }
  elseif($sortby == 'post-viewed') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'meta_key' => 'post_views_count',
        'orderby' => 'meta_value_num',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
        'tax_query' => array( 
          array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => array('post-format-video'),
          )
        ),
      )
    );
  }
  elseif($sortby == 'post-viewed-monthly') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'meta_key' => 'post_views_count_monthly',
        'orderby' => 'meta_value_num',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
        'tax_query' => array( 
          array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => array('post-format-video'),
          )
        ),
      )
    );
  }
  elseif($sortby == 'post-viewed-weekly') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'meta_key' => 'post_views_count_weekly',
        'orderby' => 'meta_value_num',
        'post__not_in' => array($post->ID),
        'tax_query' => array( 
          array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => array('post-format-video'),
          )
        ),
      )
    );
  }
  elseif($sortby == 'post-viewed-daily') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'meta_key' => 'post_views_count_daily',
        'orderby' => 'meta_value_num',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
        'tax_query' => array( 
          array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => array('post-format-video'),
          )
        ),
      )
    );
  }
  elseif($sortby == 'post-modified') {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts' => $related_count,
        'orderby' => 'modified',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
        'tax_query' => array( 
          array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => array('post-format-video'),
          )
        ),
      )
    );
  }
  elseif($sortby == 'tag') {
    $kanews_query = new WP_Query(
      array( 
        'showposts' => $related_count,
        'orderby' => 'modified',
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
        'tax_query' => array( 
          array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => array('post-format-video'),
          ),
          array(
            'taxonomy' => 'post_tag',
            'terms'    => $tags
          ),
        ),
      )
    );
  }
  else {
    $kanews_query = new WP_Query(
      array( 
        'category__in' => $category_ids,
        'showposts'    => $related_count,
        'ignore_sticky_posts'=>1,
        'post__not_in' => array($post->ID),
        'tax_query' => array( 
          array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => array('post-format-video'),
          )
        ),
      )
    );
  }


  if ($kanews_query->have_posts()) : ?>
    <div class="col-12">
      <div id="related-videos" class="kanews-section">
        <?php echo kanews_widget_title(kanews_translate('related-posts-text',esc_html__( 'Benzer Videolar', 'kanews' )), 'h4'); ?>
        <div class="d-flex flex-wrap">
          <?php while($kanews_query->have_posts()): $kanews_query->the_post(); global $post; ?>
            <div class="w-100">
              <div class="kanews-post-item kanews-post-grid-item kanews-post-small-item <?php echo $post_thumb_position; ?>">
                <a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
                <?php do_action('kanews_post_hook'); ?>
    
                <?php kanews_post_thumbnail('kanews-post-thumb', 'kanews-post-thumb'); ?>
  
                <div class="kanews-post-content">
                  <?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-3"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
                </div>
              </div>
            </div>
          <?php endwhile; ?>
        </div>
      </div>
    </div>
  <?php endif;
endif;