<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_covid');
function kanews_widget_covid() {
	register_widget('kanews_widget_class_covid');
}

// Widget Class
class kanews_widget_class_covid extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_covid');
		$control_ops = array('id_base' => 'kanews_widget_covid');
		parent::__construct('kanews_widget_covid', ''.KAN_THEME_NAME .' - '.__( "Covid 19 Verileri" , 'kanews' ), $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);
    $title = apply_filters('widget_title', $instance['title'] );
    $grid = (!empty($instance['grid'])) ? $instance['grid'] : 'col-12';
    $widget_data = $instance['data'] ? $instance['data'] : 'turkey-summary';
    $show_covid_page = !isset($instance['show_covid_page']) ? false : true;
    $countries = kanews_get_countires();

    $args = array(
      'timeout' => '40',
      'sslverify' => false
    );
    $response = wp_remote_get(KAN_TEMPLATE_URL."/inc/api/covid/covid19.json", $args);
    $body = wp_remote_retrieve_body( $response );
    $data = json_decode($body, true);
    if(!empty($data)) {
      $turkey_data = $data[203];
      $global_data = [
        'cases' => 0,
        'todayCases' => 0,
        'recovered' => 0,
        'todayRecovered' => 0,
        'deaths' => 0,
        'todayDeaths' => 0,
      ];
      foreach($data as $global) {
        $global_data['cases'] += $global['cases']; 
        $global_data['todayCases'] += $global['todayCases']; 
        $global_data['recovered'] += $global['recovered']; 
        $global_data['todayRecovered'] += $global['todayRecovered']; 
        $global_data['deaths'] += $global['deaths']; 
        $global_data['todayDeaths'] += $global['todayDeaths']; 
      }
    }

    if($response['response']['code'] == '404') {
      $ch = curl_init();
      curl_setopt($ch, CURLOPT_URL, "https://corona.lmao.ninja/v2/countries?yesterday&sort");
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
      curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
      curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
      curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
      curl_setopt($ch, CURLOPT_TIMEOUT, 30);
      curl_setopt($ch, CURLOPT_REFERER,'http://www.google.com.tr'); 
      curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1'); 
      
      $headers = array();
      $headers[] = "Content-Type: application/json";
      curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
      
      $result = curl_exec($ch);
      if (curl_errno($ch)) {
        $data = '';
      }
      curl_close ($ch);
      $data = json_decode($result, true);
      $turkey_data = $data[203];
      $global_data = [
        'cases' => 0,
        'todayCases' => 0,
        'recovered' => 0,
        'todayRecovered' => 0,
        'deaths' => 0,
        'todayDeaths' => 0,
      ];
      foreach($data as $global) {
        $global_data['cases'] += $global['cases']; 
        $global_data['todayCases'] += $global['todayCases']; 
        $global_data['recovered'] += $global['recovered']; 
        $global_data['todayRecovered'] += $global['todayRecovered']; 
        $global_data['deaths'] += $global['deaths']; 
        $global_data['todayDeaths'] += $global['todayDeaths']; 
      }
    }
    
  

    $col = 'col';

    $sidebar = explode('-', $args['id']);
		if(!isset($sidebar[2])) {
      $grid = 'col-12';
      $class = 'covid-sidebar';
    }
    
    ?>

    <div class="<?php echo $grid; ?>">
      <div class="kanews-section kanews-section-flat">
        <?php if($turkey_data && $global_data) : ?>

          <div class="kanews-covid-widget <?php echo $class; ?>">
            <div class="row align-items-stretch justify-content-between no-gutters">
              <?php 
              switch($widget_data) {
                case 'turkey-summary':
                  $covid_data = $turkey_data;
                break;
                case 'global-summary':
                  $covid_data = $global_data;
                break;
              }
              ?>
              <div class="col-auto">
                <div class="kanews-covid-widget-heading d-flex align-items-center justify-content-center"><i class="icon-covid icon-3x"></i><?php echo $title; ?></div>
              </div>
              <div class="col">
                <div class="d-flex flex-wrap justify-content-end no-gutters">
                  <div class="<?php echo $col; ?>">
                    <div class="kanews-covid-widget-item">
                      <label class="covid-label"><?php esc_html_e( 'Vaka', 'kanews' ); ?></label>
                      <div>
                        <div class="covid-total-value"><?php echo number_format($covid_data['cases'], 0,",","."); ?></div>
                        <div class="covid-new-value">+ <?php echo number_format($covid_data['todayCases'], 0,",","."); ?></div>
                      </div>
                    </div>
                  </div>
                  <div class="<?php echo $col; ?>">
                    <div class="kanews-covid-widget-item">
                      <label class="covid-label"><?php esc_html_e( 'İyileşen', 'kanews' ); ?></label>
                      <div>
                        <div class="covid-total-value"><?php echo number_format($covid_data['recovered'], 0,",","."); ?></div>
                        <div class="covid-new-value">+ <?php echo number_format($covid_data['todayRecovered'], 0,",","."); ?></div>
                      </div>
                    </div>
                  </div>
                  <div class="<?php echo $col; ?>">
                    <div class="kanews-covid-widget-item last">
                      <label class="covid-label"><?php esc_html_e( 'Ölüm', 'kanews' ); ?></label>
                      <div>
                        <div class="covid-total-value"><?php echo number_format($covid_data['deaths'], 0,",","."); ?></div>
                        <div class="covid-new-value">+ <?php echo number_format($covid_data['todayDeaths'], 0,",","."); ?></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <?php if(kanews_get_option('covid-19-page') != '' && $show_covid_page == true ): ?>
                <div class="col-12">
                  <div class="kanews-covid-widget-item d-flex align-items-center justify-content-center last">
                    <a href="<?php echo get_page_link(kanews_get_option('covid-19-page')); ?>" class="kanews-btn kanews-btn-block"><?php esc_html_e('Detaylı Covid 19 İstatistikleri', 'kanews'); ?></a>
                  </div>
                </div>
              <?php endif; ?>
            </div>
          </div>
        <?php endif; ?>
      </div>
    </div>
  <?php
	}
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = $new_instance['title'];
		$instance['grid'] = $new_instance['grid'];
		$instance['show_covid_page'] = $new_instance['show_covid_page'];
		$instance['data'] = $new_instance['data'];
		
		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
      'title' => '', 
			'data' => 'turkey-summary', 
			'grid' => 'col-12', 
			'show_covid_page' => 'off', 
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>

    <p class="kanews-grid-select-x">
			<label for="<?php echo $this->get_field_id('grid'); ?>"><?php _e( 'Genişlik' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('grid'); ?>" name="<?php echo $this->get_field_name('grid'); ?>" class="widefat" style="width:100%;">
				<option value='col' <?php if ('col' == $instance['grid']) echo 'selected="selected"'; ?>>Sığdır</option>
				<option value='col-12' <?php if ('col-12' == $instance['grid']) echo 'selected="selected"'; ?>>12/12</option>
				<option value='col-12 col-lg-8' <?php if ('col-12 col-lg-8' == $instance['grid']) echo 'selected="selected"'; ?>>12/8</option>
				<option value='col-12 col-lg-6' <?php if ('col-12 col-lg-6' == $instance['grid']) echo 'selected="selected"'; ?>>12/6</option>
				<option value='col-12 col-lg-4' <?php if ('col-12 col-lg-4' == $instance['grid']) echo 'selected="selected"'; ?>>12/4</option>
			</select>
    </p> 

    <p>
			<label for="<?php echo $this->get_field_id('data'); ?>"><?php _e( 'İstatistikler' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('data'); ?>" name="<?php echo $this->get_field_name('data'); ?>" class="widefat" style="width:100%;">
				<option value='turkey-summary' <?php if ('turkey-summary' == $instance['data']) echo 'selected="selected"'; ?>><?php esc_html_e( 'Türkiye Özeti', 'kanews' ); ?></option>
				<option value='global-summary' <?php if ('global-summary' == $instance['data']) echo 'selected="selected"'; ?>><?php esc_html_e( 'Dünya Geneli Özeti', 'kanews' ); ?></option>
			</select>
    </p>

    <p>
      <label for="<?php echo $this->get_field_id('show_covid_page'); ?>"><?php _e( 'Covid 19 Sayfa Butonu' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_covid_page'], 'on'); ?> id="<?php echo $this->get_field_id('show_covid_page'); ?>" name="<?php echo $this->get_field_name('show_covid_page'); ?>" /> 
		</p>

	<?php }
}
?>